<h1>Contract contents</h1>
<p>All relevant information can be entered for a contract. This can include <span
style='font-weight:bold;font-style:italic'>e-mails</span>, <span
style='font-weight:bold;font-style:italic'>correspondence</span>, <span
style='font-weight:bold;font-style:italic'>termination notices</span>, <span
style='font-weight:bold;font-style:italic'>invoices</span>, or <span
style='font-weight:bold;font-style:italic'>contract documents</span>.</p>
<h2>Filing documents related to a contract</h2>
<p>Information relevant to a contract should be filed within the contract using the <span
style='font-weight:bold;font-style:italic'>Contract Document</span> metadata form. In this case, ELO Indexserver inheritance applies and transfers all information relevant to the search. </p>
<p>Optionally, the employee responsible for the document can be specified.</p>
<p><span class="tag_important">Different responsibilities can be configured for the contract and contract documents. This is necessary so you can define a department responsible for terminations different from the one responsible for creating contract documents, for example.</span></p>
<p>{@img img1.png}</p>
<p><span class="tag_warning">If documents from downstream contract processes are filed in the form of a reference, the Indexserver inheritance mechanisms no longer apply. This is the case, for example, if invoices from <span
style='font-weight:bold;font-style:italic'>ELO Business Solution Invoice</span> are allocated to contracts.</span></p>
<h2>Structuring contract content</h2>
<p>Contract content can be organized using child folders. You can define the structure set automatically when you create a new contract in the <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">contract type</a>.</p>
<blockquote>
<p><span
style='font-style:italic'>Documents with well-structured contract content can be organized by their type. This is necessary to file e-mails and correspondence, e.g. from contract documents, separately. </span></p>
</blockquote>
<p>{@img img3.png}</p>
<p><span class="tag_important">For child folders, you have to choose the <span
style='font-weight:bold;font-style:italic'>Contract Structure</span> keywording form. This form contains a number of index fields relevant for searches, among other things. Indexserver inheritance ensures that all information from the contract is taken over properly and passed down to the document correctly.</span></p>
<h3>Creating a new folder</h3>
<p>Folder structures can also be extended for existing contracts. To do this, select the contract, then call the <span
style='font-weight:bold;font-style:italic'>New folder</span> function in the client's ribbon. Next, you have to choose the <span
style='font-weight:bold;font-style:italic'>Contract Structure</span> keywording form.</p>
<p>You should specify both a short name and the corresponding document type. This is passed on to documents within the structure as an index characteristic.</p>
<blockquote>
<p><span
style='font-style:italic'>The folder with short name </span><span
style='font-weight:bold;font-style:italic'>Contract documents</span><span
style='font-style:italic'> is also assigned document type </span><span
style='font-weight:bold;font-style:italic'>Contract document</span><span
style='font-style:italic'>. This allows you to search explicitly for </span><span
style='font-weight:bold;font-style:italic'>contract documents</span><span
style='font-style:italic'> later.</span></p>
</blockquote>
<p>{@img img5.png}</p>
<p>Structures can also be configured in the <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">contract type</a> via the contract management configuration. The document type can be specified in the second column.</p>
<p>{@img img7.png}</p>
