<h1>Timeline</h1>
<p>The <span
style='font-weight:bold;font-style:italic'>timeline view </span>in the dashboard is the best option to compare the durations of different contracts. Highlighting also makes users aware of upcoming contract deadlines.</p>
<p>{@img img1.png}</p>
<p>In this view, each line represents the duration of an active contract. Generally, the duration is divided into different periods resulting from the contract deadlines.</p>
<p><span class="tag_important">If a contract does not have a duration (no contract beginning), it is excluded from the timeline list to prevent any empty rows.</span></p>
<p>As with the table, you simply have to single-click an entry to open the document preview for the corresponding contract. Double-clicking once again jumps to the repository. This exits the dashboard.</p>
<h2>Time frames</h2>
<p>Time frames based on deadlines and contract data are visualized in the timeline using color codes. </p>
<table><thead><tr><td>Color</td><td>Description</td></tr></thead><tbody><tr><td>Green</td><td>Active contract</td></tr><tr><td>Yellow</td><td>Termination deadline coming up</td></tr><tr><td>Red</td><td>Contract expiring</td></tr><tr><td>Green-expiring</td><td>Contract with extension</td></tr></tbody></table>

<h2>Current time</h2>
<p>The current time is signified by a vertical blue line throughout the entire timeline. This makes it clear at all times which areas are in the past or future, even when scrolling horizontally.</p>
<h2>Notes related to a period</h2>
<p>Mousing over a certain period shows a note on the corresponding contract. The status of the period, exact duration, and short name are displayed. </p>
<p>{@img img3.png}</p>
<p>For more information, the user can switch directly to the document preview.</p>
<h2>Horizontal zoom</h2>
<p>For a better overview or to be able to go more into detail when comparing different durations, a horizontal zoom function is available. You can click and drag to change the view in 10% increments. Values between 20% and 400% are possible. This zoom function does not have any effect on the height of the individual rows.</p>
<p>{@img img5.png}</p>
<h2>Zooming in on the time frame</h2>
<p>By default, 4 full years is set as the general time frame. The previous and the next two years are shown beside the current year. If this time frame is not enough, it can be extended in both directions by as many years as you would like. To add one year, simply single-click a double arrow at the beginning and end of the time frame.</p>
<p>{@img img7.png}</p>
<p>{@img img9.png}</p>
<p>In the event that periods exceed the selected time frame, an arrow is shown at the beginning or end of a row. Mousing over this arrow also shows a note on the respective contract period. If a contract is entirely outside this period, the full contract duration or planned contract duration is displayed.</p>
