<h1>Contract phases</h1>
<p>ELO Business Solution Contract implements <span
style='font-weight:bold'>loose control of the contract life cycle</span>. This means that no comprehensive process is implemented, but that the cycle was split into process parts (phases) in order to allow contract managers to individually address special situations. The statuses resulting from the different contract phases are documented in the <a
href="#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8">contract status</a>.</p>
<p>Below you will find some examples that increase in complexity.</p>
<blockquote>
<p><span
style='font-style:italic'>For an incoming contract, first the demand is determined, then an approval process is started. Once approval has been granted, multiple rounds of negotiation take place with the contract partners in which procurement attempts to drive down the price further. Now a final draft of the contract is available. This draft can either be submitted for approval or concluded.</span></p>
<p><span
style='font-style:italic'>For an outgoing contract, the responsible sales employee concludes a contract with the end customer selling a new kitchen. The contract becomes effective at the point of signing. The phases of contract drafting, approval, and negotiation fall on the day of the sales talk.</span></p>
<p><span
style='font-style:italic'>An employee from development concludes a contract with a magazine vendor. Since the contract volume is quite low, approval and negotiation are not necessary.</span></p>
</blockquote>
<h2>Difference phases of contract management</h2>
<p>ELO Business Solution Contract provides six phases for controlling the contract life cycle: <a
href="#!/guide/p7435E940_1D95_44B8_9C89_EA6FDDEDF247">Draft</a>, <a
href="#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C">Approval</a>, <a
href="#!/guide/pFA843D33_178F_4995_9EF9_6807252DC76E">Negotiation</a>, <a
href="#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04">Contract conclusion</a>, <a
href="#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7">Termination</a>, and <a
href="#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF">Negotiation canceled</a>.</p>
<p><a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Newly added contracts</a> are in the draft phase by default.</p>
<p>The following image shows a comprehensive process and provides information on the corresponding <a
href="#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8">contract status</a>.</p>
<p>{@img img1.png}</p>
<p><span class="tag_important">Individual phases can be triggered using buttons on the client ribbon. More information on the procedure and control options can be found in the corresponding sub-chapters.</span></p>
<h3>States in detail</h3>
<p><span
style='font-weight:bold'>Draft</span></p>
<ul>
<li>Master data entry</li>
<li>Definition of deadlines and volumes</li>
<li>Conclusion: <span
style='text-decoration:underline'>Initiate contract approval</span></li>
</ul>
<p><span
style='font-weight:bold'>Under review</span></p>
<ul>
<li>Checks by various people</li>
<li>Approval process controlled by workflow</li>
<li>Corrections possible, otherwise returned to draft state</li>
<li>Conclusion: <span
style='text-decoration:underline'>Contract approved</span></li>
</ul>
<p><span
style='font-weight:bold'>In negotiation</span></p>
<ul>
<li>Content should be permanent</li>
<li>Contract conclusion after signing</li>
<li>Corrections possible; in case of doubt, second approval</li>
<li>Conclusion: <span
style='text-decoration:underline'>Contract is concluded</span></li>
<li>Cancellation: <span
style='text-decoration:underline'>Negotiation canceled</span></li>
</ul>
<p><span
style='font-weight:bold'>Completed</span></p>
<ul>
<li>The contract is signed and is waiting to take effect</li>
<li>Considered a transitional phase; preparations for contract fulfillment can start at the same time</li>
</ul>
<p><span
style='font-weight:bold'>Active</span></p>
<ul>
<li>Main state for current contracts: the contract is in effect</li>
<li>Regular actions: <span
style='text-decoration:underline'>Reminder/extension</span></li>
<li>Special actions: <span
style='text-decoration:underline'>Create report</span>, <span
style='text-decoration:underline'>Adjustments</span>, <span style='text-decoration:
underline'>Initiate termination</span></li>
</ul>
<p><span
style='font-weight:bold'>Completed</span></p>
<ul>
<li>Expired/terminated</li>
<li>Contract end defined and expired</li>
<li>Renewal is only possible with a new contract</li>
<li>In the event of a termination, a termination date is defined beforehand</li>
</ul>
<p><span
style='font-weight:bold'>Canceled</span></p>
<ul>
<li>Should only be possible before the contract is concluded</li>
<li>In exceptional cases, also possible afterward (e.g. within a fixed objection period)</li>
</ul>
