<h1>Contract conclusion</h1>
<p>A contract is concluded once it has been signed by the contract partners. Generally, it does not take effect immediately unless otherwise agreed. Beside the signing date, the date on which the contract begins is also of importance.</p>
<blockquote>
<p><span
style='font-style:italic'>Following contract negotiation, the contract manager marks the phase as concluded. In addition to the date of conclusion, the manager also enters a comment indicating how the negotiations turned out. </span></p>
</blockquote>
<p>{@img img1.png}</p>
<p><span class="tag_important">When a contract is concluded, the contract document filed in the system is considered final. Any additional modifications require the agreement of both contract parties.</span></p>
<p><span class="tag_warning">Contracts in force must be marked as concluded. This enables calculations based on active and inactive contracts.</span></p>
<h2>Action: Conclude contract</h2>
<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>
<p>{@img img3.png}</p>
<h3>Requirements</h3>
<ul>
<li>A contract is selected.</li>
</ul>
<h3>Data input</h3>
<p>The <code>004_sign_contract</code> form tab group is used for data input. </p>
<p>{@img img5.png}</p>
<p>This consists of the following components:</p>
<table><thead><tr><td><span
style='font-weight:bold'>Contract conclusion</span></td><td><span
style='font-weight:bold'>Contract data</span></td><td><span
style='font-weight:bold'>Duration</span></td><td><span
style='font-weight:bold'>Contract partner</span></td><td><span
style='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>620_conclusion</td><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td></td><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td></td><td>230_contract_data</td><td></td><td></td><td></td></tr><tr><td></td><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td></td><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>

<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.ContractConcluded</code> configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code>sol.contract.ix.actions.ConcludeContract</code>. This action starts the <code>sol.contract.contract.conclude</code> workflow.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Shows the form to input data in a dialog box.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>

<p><span
style='font-weight:bold'>Description of the workflow</span></p>
<p>{@img img7.png}</p>
<table><thead><tr><td><span
style='font-weight:bold'>Node name</span></td><td><span
style='font-weight:bold'>Node description</span></td><td><span
style='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>Contract conclusion</span></td><td><span
style='font-weight:bold'></span><br />User node: Marks a contract as concluded.</td><td></td></tr><tr><td><span
style='font-weight:bold'>STATUS: Concluded</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'S'</td><td>sol.common.ix.functions.Status</td></tr><tr><td><span
style='font-weight:bold'>CHANGECOLOR: Contract concluded</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Sets the color of the SORD object</td><td>sol.common.ix.functions.ChangeColor</td></tr><tr><td><span
style='font-weight:bold'>FEED: Contract concluded</span></td><td><span
style='font-weight:bold'></span><br />Creates a feed post indicating negotiation has been concluded.</td><td>sol.common.ix.functions.FeedComment</td></tr></tbody></table>
