<h1>Contract monitoring dashboard</h1>
<p>The <span
style='font-weight:bold'>Contract monitoring dashboard</span> shows an overview of all filed contracts and aims to enable employees to monitor contract deadlines. It also provides management with a basic overview with the help of key figures and many filter options. </p>
<p>The dashboard is also the starting point for viewing or editing filed contracts and allows users to switch quickly between them.</p>
<p>{@img img1.png}</p>
<h2>Header</h2>
<p>The dashboard features a header that is always visible across the different views. The different views of the selected data, as well as the current database, can be displayed via the header. A free text search is also available here and can be used to narrow down the displayed data further.</p>
<p>{@img img3.png}</p>
<h3>Database</h3>
<p>The database for the dashboard consists of <span
style='font-weight:bold;font-style:italic'>dynamic search folders</span>. Further information can be found in <a
href="#!/guide/pFBEFA9E6_D1C9_43E2_9E89_934F035F4DA9">Database</a>.</p>
<p><span class="tag_warning">If the dashboard is used directly on a <a
href="#!/guide/p3639BF77_213A_477F_B14C_B1568C3E11E7">contract group</a> in the repository&nbsp;&ndash; that is, context-related&nbsp;- it is no longer possible to switch to another group. This is indicated by the lack of an arrow facing downward.</span></p>
<p><span class="tag_important">You can also refresh the database manually at any time by clicking the &quot;Refresh&quot; icon.</span></p>
<h3>Switching between views</h3>
<p>While the database in the background always remains the same, different views can be selected in the dashboard. You can switch these views by clicking the buttons in the right area of the header. </p>
<p>{@img img5.png}</p>
<p><span class="tag_important">The client stores which view you select. When you open the dashboard again, you can continue working where you left off.</span></p>
<h3>Free text search</h3>
<p>To narrow down the data displayed further, you can use a free text search. It responds immediately once you begin typing and automatically updates what you see. In addition to pure text values, appointments and posts can also be interpreted.</p>
<p>{@img img7.png}</p>
<p><span class="tag_important">All data that can be selected as column values in the table view serves as the basis for this type of filtering. To perform a more extensive search in the dashboard for values in index fields that are not listed, the general ELO search is recommended.</span></p>
<h2>Key figures</h2>
<p>Key figures provide a fast statistical overview of the processing status of the contracts in the dashboard. At the same time, filtering these key figures allows you to narrow down data in a structured manner.</p>
<p>The key figure area can be shown and hidden by clicking the arrow to the outer right in the header. When this area is hidden, the user has more space for content. </p>
<h3>Status values</h3>
<p>All contract objects have a <a
href="#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8">contract status</a> that is specified in the keywording form as <code>CONTRACT_STATUS</code>. The corresponding localized keyword list, <span
style='font-weight:bold;font-style:italic'>status</span>, serves as the basis for the possible status values in the dashboard. All entries in this list are offered as filter buttons that also indicate how many contracts have this status value. </p>
<p>{@img img9.png}</p>
<p>Selecting and deselecting different status values changes the dashboard database. </p>
<blockquote>
<p><span
style='font-style:italic'>If users are only interested in contracts that have not yet been concluded, normally they can choose between the statuses </span><span
style='font-weight:bold;font-style:italic'>Draft</span><span
style='font-style:italic'>, </span><span style='font-weight:bold;font-style:
italic'>Approval initiated</span><span style='font-style:italic'>, </span><span
style='font-weight:bold;font-style:italic'>Approved</span><span
style='font-style:italic'>, and </span><span style='font-weight:bold;font-style:
italic'>In negotiation</span><span style='font-style:italic'>.</span></p>
</blockquote>
<p><span class="tag_warning">Extending or adjusting the entries in the localized keyword list automatically takes effect on the filter buttons in the dashboard.</span></p>
<p><span class="tag_important">The client remembers which status values you select. When you open the dashboard again, you can continue working where you left off.</span></p>
<h3>Contract statuses</h3>
<p>In addition to the status values, which apply more to the stages in the overall contract process, a statistical evaluation is also offered for different states of concluded contracts. This evaluation is only shown if concluded contracts exist in the filtered database.</p>
<p>{@img img11.png}</p>
<p>Stored contract deadlines serve as the basis for these statistics. This results in the following states:</p>
<table><thead><tr><td>Deadline</td><td>Description</td></tr></thead><tbody><tr><td>Signed</td><td>Contracts for which a contract conclusion date has already been set and whose contract start is in the future are considered signed.</td></tr><tr><td>Active</td><td>A contract is active once it has been signed and the contract start date is in the past.</td></tr><tr><td>Under review</td><td>Active contracts are automatically under review when they are between the reminder date and termination deadline.</td></tr><tr><td>Expiring</td><td>A contract is considered to be 'expiring' when its termination deadline has already passed.</td></tr><tr><td>Expired</td><td>A concluded contract is considered expired once the contract end is in the past.</td></tr></tbody></table>

<h2>Views</h2>
<p>The dashboard offers different views of a central database. You could also refer to them as the actual work area of a dashboard, while the header and key figures just provide an overview and allow you to filter data. The views are designed for different purposes. They are described in detail in the subchapters on the dashboard.</p>
<table><thead><tr><td>View</td><td>Description</td></tr></thead><tbody><tr><td><a
href="#!/guide/pAB2F21E3_8741_4B22_ACE0_C42E22EF732A">Table</a></td><td>Table list of the most important data relevant to the contract. With its sorting and grouping options, this view is particularly useful for custom statistical evaluations.</td></tr><tr><td><a
href="#!/guide/p04F33BAA_14AE_4F39_802E_C47D7D4F1DC2">Timeline</a></td><td>Contract periods shown on a timeline. This view offers a visual presentation of contract timelines, allowing you to compare them.</td></tr><tr><td><a
href="#!/guide/pF159EE6B_DC4E_4B8B_A4A3_F2241D6EF7DF">Calendar</a></td><td>Contract deadlines displayed in calendar form. This view offers a date-by-date overview and can also be used to begin processing tasks in day-to-day work.</td></tr></tbody></table>

<h2>Responsive design</h2>
<p>The dashboard layout automatically adapts to the available space. Clicking a specific contract in the dashboard in the client, for example, opens the document preview for the corresponding contract object beside it. </p>
<p>{@img img13.png}</p>
<p>If there is not enough horizontal space, the key figures and contracts are only displayed separately. You can select these areas by clicking the menu button at the top right. A free text search is also available in the narrow view in this menu.</p>
<p>{@img img15.png}</p>
