<h1>Create cover sheet</h1>
<p><span class="tag_important">Cover sheets enable standardized filing and, like <a
href="#!/guide/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F">labels</a>, they provide a link to the digital document.</span></p>
<p>Depending on the contract type, the original documents may have to be kept, but are available in a digitized form. </p>
<blockquote>
<p><span
style='font-style:italic'>An employment contract is concluded with an employee. After digitization, the original document is not destroyed, but is then located in a physical archive.</span></p>
</blockquote>
<p>To assign original documents to an electronic contract document, a standardized cover sheet containing information on the contract can be printed. This sheet also includes a QR code allowing quick access to the digital contract using a mobile end device.</p>
<p>{@img img1.png}</p>
<h2>Action: Create cover sheet</h2>
<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon.</p>
<p>{@img img3.png}</p>
<h3>Requirements</h3>
<ul>
<li>A contract is selected.</li>
<li>Select a <span
style='font-weight:bold'>cover sheet template</span> (optional if only one type is available)</li>
</ul>
<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.documents.CreateCoverSheet</code> configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by ELOas action <code>sol.contract.as.actions.CreateContractCoverSheet</code>. This creates a PDF with the help of Apache FOP.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client.</td><td></td></tr></tbody></table>

<h2>Configuring cover sheet templates</h2>
<p>Cover sheets are based on Apache FOP templates and use handlebars.js for data evaluation. Cover sheets are located in the contract management configuration <span
style='font-weight:bold;font-style:italic'>Templates for cover sheets</span>.</p>
<p>{@img img5.png}</p>
