<h1>Report on all contracts</h1>
<p>Exports all contracts to Excel for evaluation. As a result, the Data tab in the Excel file contains one row for each contract. Report templates form the basis for creating contract reports. See also <a
href="#!/guide/pE813B0B9_50F0_4400_9450_59AAE9C1BB07">Reporting</a>.</p>
<p>The report on all contracts allows users to perform different evaluations based on all contract information available as <a
href="#!/guide/p10C4B882_3072_4CC4_BED1_E497E57E8B95">index fields in the keywording form</a>. </p>
<blockquote>
<p><span
style='font-style:italic'>Example: A report groups all contracts by their contractual relationship and totals the contract volume (in local currency) for the individual contract partners.</span></p>
<p><span
style='font-style:italic'>Example: Contracts are compared by risk assessment and contract volume based on the projects and visualized. Project managers thus always have an overview of which contracts pose the greatest risks to their projects.</span></p>
</blockquote>
<p>The Data tab is filled out as follows based on the generated report.</p>
<p>{@img img1.png}</p>
<h2>Action: Contracts report</h2>
<p>This action can be accessed on the <span
style='font-weight:bold;font-style:italic'>Contracts</span> tab in the ribbon.</p>
<p>{@img img3.png}</p>
<h3>Requirements</h3>
<ul>
<li>Select a folder that contains contracts</li>
<li>Select a <span
style='font-weight:bold'>report template </span> (optional if only one type is available)</li>
</ul>
<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.CreateContractsReport</code> configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by ELOas action <code>sol.contract.as.actions.CreateContractsReport</code>. With the help of Apache FOP, it uses the selected template and data from the registered function <code>sol.common.ix.services.ChildrenDataCollector</code> to generate a PDF at the selected location.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client and opens the newly generated document in Microsoft Excel.</td><td></td></tr></tbody></table>
