<h1>Create contract</h1>
<p>The <span
style='font-weight:bold'>current contract phase</span> is relevant when adding a contract. Generally, there are two scenarios here: the drafting of a fully new contract based on predefined contract templates or capture of an existing contract/contract initiation that has already begun. For this reason, you can freely select the current contract phase when creating the contract.</p>
<blockquote>
<p><span
style='font-style:italic'>Yesterday, a sales employee concluded a &quot;</span><span
style='font-weight:bold;font-style:italic'>purchase contract</span><span
style='font-style:italic'>&quot; type end customer contract. This contract is scanned and filed in the system as a new </span><span
style='font-weight:bold;font-style:italic'>outgoing</span><span
style='font-style:italic'> contract. When the contract is created, its status is set to </span><span
style='font-weight:bold;font-style:italic'>Concluded</span><span
style='font-style:italic'> since it is already signed.</span></p>
<p><span
style='font-style:italic'>During negotiations, a decision was made to conclude a new framework contract to purchase licenses. A new </span><span
style='font-weight:bold;font-style:italic'>incoming</span><span
style='font-style:italic'> type </span><span style='font-weight:
bold;font-style:italic'>framework contract</span><span style='font-style:italic'> is created. This contract is still in the </span><span
style='font-weight:bold;font-style:italic'>Draft</span><span
style='font-style:italic'> status since the contract document is currently being processed.</span></p>
</blockquote>
<p>A new contract has to be based on a <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">contract type</a>. The appropriate master data can be preset to facilitate data entry for users. The template is cloned when the contract is created. Over the course of further processing, additional data can be added, processes started, and documents generated.</p>
<p>The new contract is transferred to a <a
href="#!/guide/p551C5305_D9E1_41D7_9927_32EECF2E617B">filing structure</a> so that it can be found in the repository tree at all times.</p>
<h2>Action: Create contract</h2>
<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>
<p>{@img img1.png}</p>
<p>Starting with ELO 10, the <span
style='font-weight:bold'>Create contract </span>tile is also available.</p>
<p>{@img img3.png}</p>
<h3>Requirements</h3>
<ul>
<li>Contracts can be added <span
style='font-weight:bold'>without context</span>.</li>
<li>Select the <span
style='font-weight:bold'>contract type</span> (only if multiple types are available).</li>
</ul>
<h3>Data input</h3>
<p>The <code>002_create_contract</code> form tab group is used for data input. </p>
<p>{@img img5.png}</p>
<p>This consists of the following components:</p>
<table><thead><tr><td><span
style='font-weight:bold'>Contract data</span></td><td><span
style='font-weight:bold'>Duration</span></td><td><span
style='font-weight:bold'>Contract partner</span></td><td><span
style='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td>230_contract_data</td><td></td><td>530_partner_contact</td><td></td></tr><tr><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>

<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.CreateContract</code> configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code>sol.contract.ix.actions.CreateContract</code>. This clones a new element based on the selected contract type in the chaos folder and starts the <code>sol.contract.contract.create</code> workflow.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Shows the form to input data in a dialog box.</td><td></td></tr><tr><td>GOTO</td><td>Shows the newly created element in the client.</td><td></td></tr></tbody></table>

<p><span
style='font-weight:bold'>Description of the workflow</span></p>
<p>{@img img7.png}</p>
<table><thead><tr><td><span
style='font-weight:bold'>Node name</span></td><td><span
style='font-weight:bold'>Node description</span></td><td><span
style='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>Data entry</span></td><td><span
style='font-weight:bold'>Create contract</span><br />User node: Owner adds a new contract</td><td></td></tr><tr><td><span
style='font-weight:bold'>MOVE: contract</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Moves the contract SORD to another folder.</td><td>sol.common.ix.functions.Move</td></tr><tr><td><span
style='font-weight:bold'>GENERATOR: contract no.</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Generates an internal contract number</td><td>sol.contract.ix.functions.generators.GenerateContractNo</td></tr><tr><td><span
style='font-weight:bold'>GENERATOR: short name</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Adjusts the contract's short name</td><td>sol.contract.ix.functions.generators.GenerateContractShortDesc</td></tr><tr><td><span
style='font-weight:bold'>FEED: contract created</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating a contract has been created</td><td>sol.common.ix.functions.FeedComment</td></tr><tr><td><span
style='font-weight:bold'>DELETE: temporary record</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Deletes the SORD object from the chaos folder</td><td>sol.common.ix.functions.Delete</td></tr></tbody></table>
