<h1>Filing structure</h1>
<p>Newly <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">added</a> contracts are transferred to a filing structure. This ensures that all contracts can be found at one location in the system at all times via the repository navigation.</p>
<p>The default filing structure is <code>[Contract type]/[Name A&hellip;Z]/[Name of the contract partner]</code>. The contracts are filed with the corresponding contract partner.</p>
<p>{@img img1.png}</p>
<p>The following illustrates this based on a subscription contract with the company Contelo.</p>
<p>{@img img3.png}</p>
<h2>Permissions to filing structure entries</h2>
<p>Access rights to the contract are set up independent of the underlying filing structure. This ensures two departments, e.g. from Contelo AG, can add contracts, which are sorted company-wide but only visible to departments responsible for the contracts.</p>
<p>If the filing structure is expanded/extended, the permissions from the last available entry are taken over.</p>
<p><span class="tag_caution">Filing structures should not contain any sensitive data. The sensitivity of data is indicated by the name of the contract partner, for example. You should therefore make sure that only the contract department can view the entire structure.</span></p>
<p><span class="tag_important">If an employee <span
style='font-weight:bold'>does not have permission to view the filing structure</span>, the contract is still transferred to the correct structure. This is ensured by the <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Create contract</a> action. In this case, the user finds the contract via the search function or dynamic folders.</span></p>
<p>The following image illustrates an example case where all employees can view the filing structures with the exception of the contract type 'employment contract.' This type should only be accessible to the HR department. Contracts within the structure have special permissions and by default do not inherit any from the filing structure. </p>
<p>{@img img5.png}</p>
<p><span class="tag_warning">Note that if permissions in the filing structure are changed and inherited, these changes are also passed on to contracts in the structure. The function to inherit permissions should therefore be used with caution for filing structures.</span></p>
<h2>Permissions in the event of multiple companies</h2>
<p>If multiple companies are used, placing the company name first is recommended. This results in the following structure: <code>[Company]/[Contract type]/[Name A&hellip;Z]/[Name of the contract partner]</code>.</p>
<p>Folders for individual companies can be manually created and assigned permissions. This can be used to make sure that the contract management departments for the different companies act independently.</p>
<h2>Controlled access to contracts without rights to the filing structure</h2>
<p>Searches can be saved as dynamic folders in the ELO Java Client. If the filing structure is heavily restricted, this allows you to create a parallel structure.</p>
<h2>Configuring the filing structure</h2>
<p>The filing path can be defined via the <span
style='font-weight:bold;font-style:italic'>contract management configuration &quot;Filing &amp; permissions&quot;</span>.</p>
<p>{@img img7.png}</p>
