<h1>Version history and dependencies</h1>
<h2>Version 1.07.000</h2>
<p><span class="tag_warning">Business Solution ELO Contract 1.04.000 has been <span
style='font-weight:bold'>tested</span> with the following ELO components. Before you start installation, make sure that all components have been updated to <span
style='font-weight:bold'>at least</span> the following versions:</span></p>
<table><thead><tr><td><span
style='font-weight:bold'>Component</span></td><td><span
style='font-weight:bold'>ELO 11</span></td><td><span
style='font-weight:bold'>ELO 12</span></td><td><span
style='font-weight:bold'>ELO 20</span></td></tr></thead><tbody><tr><td>ELOix</td><td>11.05.000.2293</td><td>12.04.000.6309</td><td>20.00.000</td></tr><tr><td>ELO Java Client</td><td>11.09.000.140</td><td>12.04.002.179</td><td>20.00.001.94</td></tr><tr><td>ELO Web Client</td><td>11.07.000</td><td>12.01.000.378</td><td>20.00.006 [build 395]</td></tr><tr><td>ELOwf</td><td>11.00.000</td><td>12.01.002.377</td><td>20.00.005</td></tr><tr><td>ELOas</td><td>11.00.002</td><td>12.01.000.013</td><td>20.00.000 Build 011</td></tr></tbody></table>

<p><span class="tag_warning">Whenever possible, ELO Business Solutions are developed to be backward compatible. The solution may work in older versions of the program, but as no testing is perform, functionality cannot be guaranteed.</span></p>
<p><span class="tag_caution">To prevent issues with ELO apps, the <span
style='font-weight:bold;font-style:italic'>64-bit Java Client</span> should be used.</span></p>
<p><span
style='font-weight:bold'>Dependencies/minimum requirements for ELO Business Solutions packages:</span></p>
<table><thead><tr><td><span
style='font-weight:bold'>Package</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.09.000</td></tr><tr><td>common_monitoring</td><td>1.09.000</td></tr><tr><td>common_document</td><td>1.09.000</td></tr><tr><td>common_signature</td><td>1.09.000</td></tr><tr><td>contact</td><td>1.07.000</td></tr></tbody></table>

<h2>Version 1.04.000</h2>
<p><span class="tag_important">The contract management configuration has been completely redone and <span
style='font-weight:bold'>from ELO 12 it is located in the ELO Administration Console</span>; for ELO 10 and 11, it is available to administrators as a tile in the client. Starting with this version, settings no longer have to be made in the custom package in the repository.</span></p>
<p>{@img img1.png}</p>
<p>{@img img3.png}</p>
<p>All ELO 10, 11, and 12 versions are supported from version 10.01 and up.</p>
<h2>Version 1.02.002</h2>
<p>Version 1.02.002 contains several improvements in the calculation of values in forms and the dashboard.</p>
<p><span
style='font-weight:bold'>Dependencies/minimum requirements for ELO Business Solutions packages:</span></p>
<table><thead><tr><td><span
style='font-weight:bold'>Package</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.02.002</td></tr><tr><td>contact</td><td>1.02.002</td></tr><tr><td>common_signature</td><td>1.02.002</td></tr><tr><td>common_monitoring</td><td>1.02.002</td></tr></tbody></table>

<p>ELO 10.02.000 and Web Client 9.03.002 feature improvements for forwarding cases in the client tasks view filter. We therefore recommend using ELO 10.02.000.</p>
<h2>Version 1.02.000</h2>
<p>Essentially, version 1.02.000 contains an extension to the <a
href="#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18">Contract durations (permanent contracts)</a> function, as well as optional support for <a
href="#!/guide/pD03D6223_8A27_4905_9EB3_36FF06B9A70A">multiple contract partners</a>. In addition, the packages for the new custom forms mechanism (ELOwf 10.1) have been prepared.</p>
<p>When entering the contract partner, you can now enter the name or the company. When updating version 1.00.000, the configuration for the filing path structure may have to be modified.</p>
<p><span class="tag_warning">The following ELO components must be installed as a <span
style='font-weight:bold'>minimum requirement</span> for ELO Business Solution Contract. <span
style='font-weight:bold'>Before</span> you start installation, make sure that all components have been updated to <span
style='font-weight:bold'>at least</span> the following versions:</span></p>
<p>We recommend using ELO 10.1 components since this version contains improvements to the updateability of ELOwf forms.</p>
<p><span class="tag_caution">To prevent issues with ELO apps, the <span
style='font-weight:bold;font-style:italic'>64-bit Java Client</span> should be used.</span></p>
<table><thead><tr><td><span
style='font-weight:bold'>Component</span></td><td><span
style='font-weight:bold'>ELO 9</span></td><td><span
style='font-weight:bold'>ELO 10</span></td></tr></thead><tbody><tr><td>ELOix</td><td>9.16.110</td><td>10.00.011</td></tr><tr><td>ELO Java Client</td><td>9.03.018 64-bit</td><td>10.00.010 64-bit</td></tr><tr><td>ELO Web Client</td><td>9.03.004</td><td>10.00.002</td></tr><tr><td>ELOwf</td><td>9.03.004</td><td>10.00.002</td></tr><tr><td>ELOas</td><td>9.03.006</td><td>10.00.002</td></tr></tbody></table>

<p><span
style='font-weight:bold'>Dependencies/minimum requirements for ELO Business Solutions packages:</span></p>
<table><thead><tr><td><span
style='font-weight:bold'>Package</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.02.000</td></tr><tr><td>contact</td><td>1.02.000</td></tr><tr><td>common_signature</td><td>1.02.000</td></tr><tr><td>common_monitoring</td><td>1.02.000</td></tr></tbody></table>

<p><span
style='font-weight:bold'>The following modules require licenses:</span></p>
<ul>
<li>Business Solution ELO Contract</li>
</ul>
