<h1>Labels/physical link to the contract document</h1>
<p><span class="tag_important">Labels enable standardized filing and, like <a
href="#!/guide/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B">cover sheets</a>, they provide a link to the digital document.</span></p>
<h2>Labels for identifying contracts</h2>
<p>The contract number and the responsible employee are used to assign physical elements later. 
By default, labels are generated in the <span
style='font-weight:bold'>format 88&nbsp;mm x 50&nbsp;mm</span>.</p>
<p>{@img img1.png}</p>
<p>Additional QR codes help to identify contracts using common barcode scanners. The basis for this is an elodms link that can be used with the ELO Java Client or the ELO iOS/Android app. This link contains the ELO GUID of the contract, e.g.: <code>elodms://(97062DB4-DCBC-3F0F-DB33-248B85549B7A)</code></p>
<p>The Apple App Store and Google Play Store both feature a number of good barcode apps that can be used to scan ELO links. The following figure shows the iOS app RedLaser from eBay inc.
{@img img3.png}</p>
<h2>Action: Create label</h2>
<p>Creates a label for the selected contract in PDF format.</p>
<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon.</p>
<p>{@img img5.png}</p>
<h3>Requirements</h3>
<ul>
<li>A contract is selected.</li>
<li>Select a <span
style='font-weight:bold'>template for the label </span> (optional if only one is available)</li>
</ul>
<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.documents.CreateLabel</code> configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by ELOas action <code>sol.contract.as.actions.CreateLabel</code>. This creates a PDF with the help of Apache FOP and files it with the current contract.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client.</td><td></td></tr></tbody></table>

<h2>Configuring label templates</h2>
<p>Labels are based on Apache FOP templates and use handlebars.js for data evaluation. Labels are located in the contract management configuration Templates for labels.</p>
<p>{@img img7.png}</p>
<h2>Printing labels</h2>
<p>When selecting a suitable label printer, make sure the format 88&nbsp;mm x 50&nbsp;mm is supported. Otherwise, the template for creating labels has to be modified.</p>
<p>Generally, the <span
style='font-weight:bold'>Leitz Icon</span> label printer, which supports this format, can be recommended. This unit is particularly fast and mobile.</p>
<p>{@img img9.png}</p>
<h3>Setting up the label printer</h3>
<p>Some label printers require the format used to be set ahead of time if printing via the printer driver. This setting can be made in the label printer's general print settings. The format 88&nbsp;mm x 50&nbsp;mm corresponds to the <code>Multipurpose 2''x3.2''</code> paper for the Leitz Icon, for example.</p>
<p>{@img img11.png}</p>
<h3>Selecting a default printer for ELO</h3>
<p>The <span
style='font-weight:bold;font-style:italic'>Print document</span> function in the ELO Java Client uses the Windows default printer. In this case, the label printer has to be configured as the default printer in Windows.</p>
<p>If you also want to print normally at your computer, the ELO Java Client <span
style='font-weight:bold;font-style:italic'>Fax document</span> function can be used for the label printer. The label printer simply has to be set as the default printer for faxes in the ELO Java Client configuration.</p>
