<h1>Table</h1>
<p>The <span
style='font-weight:bold;font-style:italic'>table view</span> in the dashboard is very similar to the database and provides a structured list of the contained data. Users can tailor the content and structure to their own needs. </p>
<p>{@img img1.png}</p>
<p>Single-clicking an entry in the table opens the document preview for the corresponding contract. In contrast, double-clicking jumps to the repository. This exits the dashboard.</p>
<h2>Sort</h2>
<p>Every visible column can be sorted by clicking its heading. Clicking once sorts in ascending order, clicking again switches to descending order. Clicking a third time, or clicking another column heading, undoes the column sorting. The sort order is marked by an arrow in the column heading.</p>
<p>{@img img3.png}</p>
<p>You can also choose the sort you want directly by clicking the narrow arrow at the right edge of the column heading. The options for hiding and grouping columns are also available here.</p>
<p><span class="tag_important">Texts, key figures, amounts, and date values can be sorted correctly.</span></p>
<h2>Group</h2>
<p>The contents of a column can be grouped. All duplicate values are placed in separate groups that are assigned a counter. Each of these group rows can be expanded and collapsed to provide access to the group values.</p>
<p>{@img img5.png}</p>
<p>Multiple groups can also be combined. The order of the grouped columns defines the thematic structuring of the data. </p>
<blockquote>
<p><span
style='font-style:italic'>An employee would like to view all the service contracts from different contract partners. First, the user groups the <code>contract type</code> column, followed by the <code>company name</code> column to be able to switch conveniently between the created groups.</span></p>
</blockquote>
<p><span class="tag_important">The contents of grouped columns can also be sorted. With multiple groups, each of these groups can be sorted separately.</span></p>
<h2>Mathematic calculations</h2>
<p>If contracts are grouped by criteria such as the contract type, statistical evaluations can be performed for number fields, such as the total in local currency. For this, the column configuration has to be open. The following calculation options are available:</p>
<table><thead><tr><td>Stamp type</td><td>Description</td></tr></thead><tbody><tr><td>Sum</td><td>Calculates the sum of all values</td></tr><tr><td>Minimum</td><td>Determines the smallest value</td></tr><tr><td>Maximum</td><td>Determines the greatest value</td></tr><tr><td>Average</td><td>Calculates the average of all values</td></tr></tbody></table>

<p>The table's grouping column then shows the calculated values.</p>
<p>{@img img7.png}</p>
<h2>Column configuration</h2>
<p>The table columns are based on a selection of the most important index fields from the contracts. By default, a specific number of columns is pre-defined for the user. Further columns can be added via the configuration menu at the top right edge of the table.</p>
<p>{@img img9.png}</p>
<p>The order of the columns can be adjusted by dragging the column headers. Column widths can also be changed by clicking and dragging the separator between two column headers.</p>
<p><span class="tag_important">The client remembers which columns you select as well as their order. When you open the dashboard again, you can continue working where you left off.</span></p>
