<h1>Contractual relationship</h1>
<p>The contractual relationship describes the <span
style='font-weight:bold'> responsibilities in fulfilling the contract</span>, for example, and is relevant for assessing contract risks. Contracts are referred to as bilateral legal transactions. The resulting demands form the basis for the contractual relationship. </p>
<blockquote>
<p><span
style='font-style:italic'>For example, with a purchase contract, party A undertakes to transfer the object of purchase to party B, while party B undertakes to accept the object of purchase and transfer the agreed purchase price.</span></p>
</blockquote>
<p>Abstracted, the party responsible for the object/service offer is thus relevant to evaluating the contract relationship. Essentially, whether the contract partner is a customer or supplier. A differentiation is thus made between <span
style='font-weight:bold'>incoming</span> and <span style='font-weight:bold'>outgoing contracts</span>.</p>
<p>{@img img1.png}</p>
<p>The contractual relationship can be set in the form, for example by <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Create a new contract</a>. Setting the contractual relationship by <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">contract type</a> is recommended.</p>
<p>{@img img3.png}</p>
<h2>Incoming contracts</h2>
<p>Contracts concluded with third parties with the purpose of purchasing objects or services are referred to as incoming contracts. Classically, these are contracts with suppliers that are concluded by the procurement department.</p>
<blockquote>
<p><span
style='font-style:italic'>A purchase contract for screws required for production is concluded with a supplier.</span></p>
<p><span
style='font-style:italic'>The development department subscribes to multiple magazines to give employees access to current IT developments.</span></p>
<p><span
style='font-style:italic'>A contract is concluded with a consultation firm to optimize internal processes and implement new software.</span></p>
</blockquote>
<h2>Outgoing contracts</h2>
<p>Contracts concluded with the purpose of selling objects or services are referred to as outgoing contracts. Classically, these are contracts with end customers that are concluded by sales.</p>
<blockquote>
<p><span
style='font-style:italic'>A purchase contract for a car offered as a product is concluded with a customer.</span></p>
<p><span
style='font-style:italic'>Sales concludes a purchase contract with a customer selling software licenses for a contract management solution.</span></p>
<p><span
style='font-style:italic'>The consulting department concludes a contract with a customer to implement a contract management solution.</span></p>
</blockquote>
<h2>Configuring possible contractual relationships</h2>
<p>Contractual relationships are represented by a localized keyword list. The contract management configuration <span
style='font-weight:bold;font-style:italic'>&quot;Localized keyword lists&quot;</span> contains a keyword list <code>relation</code>, which enables further contractual relationships. By default, the following options are available:</p>
<table><thead><tr><td>Key</td><td>Description</td></tr></thead><tbody><tr><td>I</td><td>Incoming</td></tr><tr><td>O</td><td>Outgoing</td></tr></tbody></table>

<p>{@img img5.png}</p>
