<h1>Negotiation canceled</h1>
<p>Initiation of a contract can be aborted at any time before the contract has officially been concluded. This can be for many different reasons. Both during the draft phase and approval, formalities may come to light requiring the contract to be canceled. The contract can also be rejected by one of the contract partners during negotiation, meaning the contract is not concluded.</p>
<p>{@img img1.png}</p>
<p>After a contract is concluded and takes effect, it can then only be canceled via <a
href="#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7">termination</a>.</p>
<p><span class="tag_warning">By default, cancellation of negotiation is simply marked. There are no mandatory form entries; only the status is changed and a feed post is generated. Additional function modules can be added to the underlying workflow as needed.</span></p>
<h2>Action: Cancel negotiation</h2>
<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>
<p>{@img img3.png}</p>
<h3>Requirements</h3>
<ul>
<li>A contract is selected.</li>
</ul>
<h3>Data input</h3>
<p>This action does not require data input. </p>
<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.NegotiationCanceled</code> configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code>sol.contract.ix.actions.CancelNegotiation</code>. 
This action starts the <code>sol.contract.contract.cancelNegotiation</code> workflow.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Displays a short notification that negotiation has been canceled.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>

<p><span
style='font-weight:bold'>Description of the workflow</span></p>
<p>{@img img5.png}</p>
<table><thead><tr><td><span
style='font-weight:bold'>Node name</span></td><td><span
style='font-weight:bold'>Node description</span></td><td><span
style='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>STATUS: Canceled</span></td><td><span
style='font-weight:bold'></span><br />Sets the CONTRACT_STATUS index field to 'C'</td><td>sol.common.ix.functions.Status</td></tr><tr><td><span
style='font-weight:bold'>FEED: Negotiation canceled</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating negotiations have been canceled.</td><td>sol.common.ix.functions.FeedComment</td></tr><tr><td><span
style='font-weight:bold'>CHANGECOLOR: Contract terminated</span></td><td><span
style='font-weight:bold'></span><br />Sets the color of the SORD object</td><td>sol.common.ix.functions.ChangeColor</td></tr></tbody></table>
