<h1>Component 08: Contract partner</h1>
<p>This component contains important information on the contract partner. In addition to specifying the company and person, you can also define contact data including a telephone number, e-mail address, and mailing address.</p>
<p><span class="tag_warning">Values from this component serve as the basis for <a
href="#!/guide/p987E8B3B_D687_486E_A601_F4A3D4ED84EA">creating contract documents</a>.</span></p>
<p>Primary contact</p>
<h3>510_partner</h3>
<p>{@img img1.png}</p>
<h3>520_partner_address</h3>
<p>{@img img3.png}</p>
<h3>530_partner_contact</h3>
<p>{@img img5.png}</p>
<h3>Data model</h3>
<table><thead><tr><td><span
style='font-weight:bold'>Field name</span></td><td><span
style='font-weight:bold'>Field name</span></td><td><span
style='font-weight:bold'>Keyword list</span></td></tr></thead><tbody><tr><td>Company ID</td><td>IX_GRP_PARTNER_NO</td><td>sol.contract.ix.dynkwl.ContractPartner</td></tr><tr><td>Company name</td><td>IX_GRP_PARTNER_NAME</td><td>sol.contract.ix.dynkwl.ContractPartner</td></tr><tr><td>Contact ID</td><td>IX_MAP_CONTRACT_CONTACT_REFERENCE</td><td>sol.contract.ix.dynkwl.ContractPartnerContact</td></tr><tr><td>First name</td><td>IX_GRP_CONTACT_FIRSTNAME</td><td>sol.contract.ix.dynkwl.ContractPartnerContact</td></tr><tr><td>Last name</td><td>IX_GRP_CONTACT_LASTNAME</td><td>sol.contract.ix.dynkwl.ContractPartnerContact</td></tr><tr><td>Tel.</td><td>IX_MAP_PARTNER_PHONE</td><td></td></tr><tr><td>E-mail</td><td>IX_MAP_PARTNER_EMAIL</td><td></td></tr><tr><td>Street</td><td>IX_MAP_ADDRESS_STREET</td><td></td></tr><tr><td>Additional address information</td><td>IX_MAP_ADDRESS_ADDITION</td><td></td></tr><tr><td>Postal code</td><td>IX_MAP_ADDRESS_ZIP_CODE</td><td></td></tr><tr><td>City</td><td>IX_MAP_ADDRESS_CITY</td><td></td></tr><tr><td>State</td><td>IX_MAP_ADDRESS_STATE</td><td></td></tr><tr><td>Country</td><td>IX_MAP_ADDRESS_COUNTRY</td><td>sol.contact.ix.localizedKwl.Countries</td></tr><tr><td>Create new contacts</td><td>IX_MAP_CONTRACT_CREATE_PARTNER</td><td></td></tr><tr><td>Contact list</td><td>IX_MAP_CONTRACT_CONTACTLIST_REFERENCE</td><td>sol.contract.ix.dynkwl.ContactList</td></tr></tbody></table>

<h2>Additional contacts</h2>
<h3>540_additional_partners</h3>
<p>In contract management, a list of additional contract partners (besides the primary contact) can be added for each contract. </p>
<p><span class="tag_important">This component is not shown by default. To add additional contacts, component 540 must be configured in the corresponding tab groups.</span></p>
<p>{@img img7.png}</p>
<h3>Data model</h3>
<table><thead><tr><td><span
style='font-weight:bold'>Field name</span></td><td><span
style='font-weight:bold'>Field name</span></td><td><span
style='font-weight:bold'>Keyword list</span></td></tr></thead><tbody><tr><td>Company ID</td><td>IX_MAP_PARTNER_NO{i}</td><td>sol.contract.ix.dynkwl.ContractPartnerAdditional</td></tr><tr><td>Company name</td><td>IX_MAP_PARTNER_NAME{i}</td><td>sol.contract.ix.dynkwl.ContractPartnerAdditional</td></tr><tr><td>Contact ID</td><td>IX_MAP_CONTRACT_CONTACT_REFERENCE{i}</td><td>sol.contract.ix.dynkwl.ContractPartnerContactAdditional</td></tr><tr><td>First name</td><td>IX_MAP_CONTACT_FIRSTNAME{i}</td><td>sol.contract.ix.dynkwl.ContractPartnerContactAdditional</td></tr><tr><td>Last name</td><td>IX_MAP_CONTACT_LASTNAME{i}</td><td>sol.contract.ix.dynkwl.ContractPartnerContactAdditional</td></tr><tr><td>Tel.</td><td>IX_MAP_PARTNER_PHONE{i}</td><td></td></tr><tr><td>E-mail</td><td>IX_MAP_PARTNER_EMAIL{i}</td><td></td></tr><tr><td>Street</td><td>IX_MAP_ADDRESS_STREET{i}</td><td></td></tr><tr><td>Additional address information</td><td>IX_MAP_ADDRESS_ADDITION{i}</td><td></td></tr><tr><td>Postal code</td><td>IX_MAP_ADDRESS_ZIP_CODE{i}</td><td></td></tr><tr><td>City</td><td>IX_MAP_ADDRESS_CITY{i}</td><td></td></tr><tr><td>State</td><td>IX_MAP_ADDRESS_STATE{i}</td><td></td></tr><tr><td>Country</td><td>IX_MAP_ADDRESS_COUNTRY{i}</td><td>sol.contact.ix.localizedKwl.Countries</td></tr></tbody></table>
