<h1>Automatic reminder</h1>
<p>A reminder date can be added or calculated for every contract. This is necessary not to miss termination deadlines and to re-assess contracts at regular intervals. See also <a
href="#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18">Deadlines/durations/reminders</a>.</p>
<blockquote>
<p><span
style='font-style:italic'>Example: A software maintenance contract is concluded. This contract runs for one year and is then extended by one year. In September of any given year, someone has to check whether the software covered by this maintenance contract is still in use. For this, a reminder deadline of 2 weeks is set.</span></p>
</blockquote>
<p>The reminder can be set individually for each contract in the <span
style='font-weight:bold;font-style:italic'>Reminder</span> area.</p>
<p>{@img img1.png}</p>
<p>Once the reminder date is reached, the user responsible (for the contract) receives a reminder in the form of a workflow.</p>
<p><span class="tag_important">The contract manager can then decide in the Tasks view filter how to proceed with the contract. For example, <a
href="#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7">termination</a> can be initiated.</span></p>
<h2>Automatic reminder by ELOas</h2>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by ELOas rule <code>sol.contract.as.ContractReminder</code>. This monitors all contracts and starts the <code>sol.contract.contract.extend</code> workflow if the reminder date has been reached. </p>
<p>{@img img3.png}</p>
<table><thead><tr><td><span
style='font-weight:bold'>Node name</span></td><td><span
style='font-weight:bold'>Node description</span></td><td><span
style='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>CHANGEUSER : Responsible user</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Changes the owner of the next user node to the contract manager</td><td>sol.common.ix.functions.ChangeUser</td></tr><tr><td><span
style='font-weight:bold'>Resubmission</span></td><td><span
style='font-weight:bold'></span><br />Person node: Contract manager is assigned a task.</td><td></td></tr><tr><td><span
style='font-weight:bold'>OK</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Contract manager confirms having received the reminder and closes it.</td><td></td></tr></tbody></table>

<p>If you want to start another workflow for contract reminders, you can set this in the <span
style='font-weight:bold;font-style:italic'>Durations</span> contract management configuration.</p>
<p>{@img img5.png}</p>
