<h1>Automatic contract extension</h1>
<p>If an extension period was specified for a contract, automatic extension keeps this contract active. Generally this is necessary if employees do not want to explicitly extend the contract manually. See also <a
href="#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18">Deadlines/durations/reminders</a>.</p>
<blockquote>
<p><span
style='font-style:italic'>Example: A mobile data contract with a monthly payment of &euro;20 is concluded for an employee. This contract runs for 2 years and can be extended 1 year at a time. With an annual volume of &euro;240, a reminder is set up, but no one works actively with the contract.</span></p>
</blockquote>
<p>Contracts can be extended automatically if the contract end is exceeded. In this case, <span
style='font-weight:bold;font-style:italic'>automatic extension</span> is enabled for a contract in the <span
style='font-weight:bold;font-style:italic'>Contract duration</span> area.</p>
<p>{@img img1.png}</p>
<p><span class="tag_important">With automatic contract extension, the totals of the <span
style='font-weight:bold;font-style:italic'>cash flow</span> as well as the <span
style='font-weight:bold;font-style:italic'>termination </span> and <span
style='font-weight:bold;font-style:italic'>reminder deadlines</span> are also recalculated.</span></p>
<h2>Automatic contract extension by ELOas</h2>
<p>The <span
style='font-weight:bold'>technical workflow</span> is controlled by ELOas. This rule monitors all contracts and starts the <code>sol.contract.contract.extend</code> workflow for contracts to be extended. </p>
<p>{@img img3.png}</p>
<table><thead><tr><td><span
style='font-weight:bold'>Node name</span></td><td><span
style='font-weight:bold'>Node description</span></td><td><span
style='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>EXTENDPERIOD: extend contract period</span></td><td><span
style='font-weight:bold'></span><br />Extends the duration of the contract.</td><td>sol.contract.ix.functions.ExtendPeriod</td></tr><tr><td><span
style='font-weight:bold'>FEED : contract automatically extended</span></td><td><span
style='font-weight:bold'></span><br />Creates a feed post indicating that the contract was extended automatically.</td><td>sol.common.ix.functions.FeedComment</td></tr></tbody></table>

<p>If you want to start another workflow for extending contracts, you can set this in the <span
style='font-weight:bold;font-style:italic'>Durations</span> contract management configuration.</p>
<p>{@img img5.png}</p>
