<h1>Cash flow report</h1>
<p>Exports all contracts to Microsoft Excel for evaluation and triggers all cash flows for the <a
href="#!/guide/pE1306A1A_299A_4444_855E_CF0DD902F521">contract volume</a> in individual flows for the specified periods. As a result, the data tab in the Microsoft Excel file contains one row for each contract payment. Report templates form the basis for creating contract reports. See also <a
href="#!/guide/pE813B0B9_50F0_4400_9450_59AAE9C1BB07">Reporting</a>.</p>
<p><span class="tag_important">If no date values are specified for individual payments in the contract volume, the contract start and planned contract end apply. This is particularly helpful since the cash flows are also calculated automatically for the extension period with automatic contract extension.</span></p>
<p>The cash flow report allows users to determine the cash flow by months, quarters, or years based on individual contract cash flows, for example. This provides a wide range of liquidity planning options.</p>
<blockquote>
<p><span
style='font-style:italic'>Example: A report is generated defining payments by month and the responsible department. This allows employees monitoring contracts to identify departments causing a great cash flow in just a few months.</span></p>
</blockquote>
<p>The Data tab is filled out as follows based on the generated report. The fields <span
style='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_DESC</span>, <span
style='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_AMOUNT</span>, and <span
style='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_DATE</span> each correspond to one cash flow and are calculated for recurring payments. The following example shows a newspaper subscription with <span
style='font-weight:bold;font-style:italic'>monthly </span> posts <span
style='font-weight:bold;font-style:italic'>costing &euro;1500 for a one-year subscription</span>.</p>
<p>{@img img1.png}</p>
<h2>Action: Cash flow report</h2>
<p>This action can be accessed on the <span
style='font-weight:bold;font-style:italic'>Contracts</span> tab in the ribbon.</p>
<p>{@img img3.png}</p>
<h3>Requirements</h3>
<ul>
<li>Select a folder that contains contracts</li>
<li>Select a <span
style='font-weight:bold'>report template </span> (optional if only one type is available)</li>
</ul>
<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.CreateCashFlowReport </code>configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by ELOas action <code>sol.contract.as.actions.CreateCashflowReport</code>. With the help of Apache FOP, it uses the selected template and data from the registered function <code>sol.contract.ix.services.PaymentPlanCollector</code> to generate a PDF at the selected location.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client and opens the newly generated document in Microsoft Excel.</td><td></td></tr></tbody></table>
