<h1>Contract volume</h1>
<p>The contract volume helps identify risks and lists a range of figures including all cash flows within a contract. This can include periodic payments (e.g. on a monthly basis) or one-time payments. A <a
href="#!/guide/pDFB0DE92_B469_4B97_8768_4619B5EA8FB3">cash flow report</a> allows users to analyze payments across contracts.</p>
<p>Essentially, the contract volume is the sum of all cash flows for one contract. This key figure can be used for contract approval scenarios and is also displayed on the contract management dashboard.</p>
<p><span class="tag_important">When specifying the volume, it is recommended to choose figures for <span
style='font-weight:bold;font-style:italic'>negative cash outflows (-)</span> and <span
style='font-weight:bold;font-style:italic'>positive inpayments (+)</span>. For later summations, this ensures the cash flow can be properly evaluated.</span></p>
<p>For periodic calculations (monthly, weekly, annually), a date can be set for the beginning and end of the payment period. If no start or end date is set for an item, the contract start or contract end is applied to calculate these dates.</p>
<blockquote>
<p><span
style='font-style:italic'>A subscription contract has a base fee of &euro;25 in the first year (until the end of July 2017). In the second year, this fee is increased to &euro;50 for the remaining duration of the contract. A cashback reward of &euro;250 is being offered. The contract is concluded in USD with an exchange rate of 1.1156.</span></p>
</blockquote>
<p>{@img img1.png}</p>
<p>Furthermore, by specifying a foreign currency, <a
href="#!/guide/p959B87FA_0E23_4ADF_BC5A_33950D619F28"><span
style='font-style:italic'>the daily exchange rates from the European Central Bank</span></a> can be accessed. If a different currency is specified, the sum of all contract payments is calculated for the local currency. This ensures summations can be evaluated correctly in the dashboard.</p>
