<h1>Reporting</h1>
<p>ELO Business Solution Contract offers different options to evaluate existing contracts using Microsoft Excel. This allows users to store a number of report templates to meet a wide variety of requirements.</p>
<p>Reports are based on Microsoft Excel templates that can include permissions. This means custom reports can be saved for different employees. The following report types are supported by the standard solution:</p>
<p><a
href="#!/guide/p4EB50366_840B_4BBC_A902_2918E4D3EF11"><span
style='font-weight:bold'>Report on all contracts:</span></a> Reads all contracts in the selected folder and creates a report of the contract index values.</p>
<p><a
href="#!/guide/pDFB0DE92_B469_4B97_8768_4619B5EA8FB3"><span
style='font-weight:bold'>Cash flow report:</span></a> Reads the cash flows for all contracts and creates a report.</p>
<h2>Creating reports</h2>
<p>Reports are created based on existing filing structures. To create a list of all contracts based on a user's permissions settings, the root node for all contracts has to be selected. Next, a report can be created via the <span
style='font-weight:bold;font-style:italic'>Reports</span> tab group in the ribbon.</p>
<p>{@img img1.png}</p>
<p>Contracts do not have to lie directly below the selected structure. However, with very deep structures, creating reports may take some time since the entire filing structure is gone through. Here, using dynamic folders offers higher performance. Existing <a
href="#!/guide/p696709C3_49EB_48C4_9963_DFC565BB36EC">dynamic folders</a> for <span
style='font-weight:bold;font-style:italic'>contract monitoring</span> can be used here as the data basis.</p>
<h2>Creating report templates</h2>
<p>Templates for reports are based on Microsoft Excel documents in the XLSX format. All templates must contain a <span
style='font-weight:bold;font-style:italic'>Data</span> tab. This tab is filled with data from ELO when the report is created. If only some information is to be collected, the name of the index fields in the first row of the Data tab can be set. </p>
<p><span class="tag_important">If you want to format index field as a date or number, you will have to enter this to the header of the Excel template. (Cell format) This approach is necessary since map fields do not have any types.</span></p>
<p>After a report has been generated, the result looks as follows:</p>
<p>{@img img3.png}</p>
<h3>Define reports in the configuration</h3>
<p>Templates for reports can be defined in the contract management configuration. Two separate areas are available for reports.</p>
<p>{@img img5.png}</p>
<h3>Define reports in the ELO repository</h3>
<p>Report templates must be filed in the <span
style='font-weight:bold;font-style:italic'>Reports</span> configuration of Business Solution Contract. When generating a report, all available templates are offered.</p>
<p>{@img img7.png}</p>
<h3>Information on template structure</h3>
<p>Customized reports can be created with the help of a range of calculation options (standard Microsoft Excel functions). The following image shows a sample report of all contracts listing the contract partners grouped by their status in a <span
style='font-weight:bold;font-style:italic'>pivot table</span>. Calculations are applied on a separate <span
style='font-weight:bold;font-style:italic'>tab</span> (e.g. <span
style='font-weight:bold;font-style:italic'>Evaluation</span>).</p>
<p>{@img img9.png}</p>
<p><span
style='font-weight:bold'>The following approach is recommended for creating custom reports:</span></p>
<ol>
<li>A report is created from an existing template with sample data. </li>
<li>The newly created report is filled out and tested with the required evaluation functions.</li>
<li>Next, all information in the Data tab is deleted.</li>
<li>The report is stored in the configuration as a new template.</li>
</ol>
<h2>Filing reports</h2>
<p>By default, reports are filed in the contract management structure by year and month. Note that they can only be viewed by the current user.</p>
<p>{@img img11.png}</p>
<p>The default filing path for newly created reports can be defined in the <code>contract.config</code> configuration file under <code>\Administration\Business Solutions Custom\contract\Configuration\</code>.</p>
<h2>Tips for Microsoft Excel</h2>
<p>If report templates contain pivot tables, enabling the option to <span
style='font-weight:bold;font-style:italic'>update the table when opening the file</span> (right-clicking the pivot table) in the <span
style='font-weight:bold;font-style:italic'>pivot table options</span> can be useful.</p>
<p>This option ensures that an updated view is available in Microsoft Excel after ELO fills out the data.</p>
<p>{@img img13.png}</p>
<h2>Default filing path for reports</h2>
<p>By default, reports are filed to <code>\Contract Management\Reports\Year\Month</code>. Only the user that created the report has access rights to the actual report.</p>
<p>The filing path for reports can be customized in the <span
style='font-weight:bold;font-style:italic'> &quot;Filing &amp; permissions&quot;</span> contract management configuration.</p>
<p>{@img img15.png}</p>
