<h1>Contract (contract file)</h1>
<p>A contract is represented by a contract file that contains all information and the <a
href="#!/guide/p10C4B882_3072_4CC4_BED1_E497E57E8B95">master data</a> for a contract. All accumulated <a
href="#!/guide/p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5">contract content</a>, such as e-mails, contract documents, or terminations, can also be filed for a contract.</p>
<p><span class="tag_important">The contract is assigned all metadata required for process control, also making it easier to find. To join multiple contracts (group file), a <a
href="#!/guide/p3639BF77_213A_477F_B14C_B1568C3E11E7">contract group</a> can be created.</span></p>
<p>The current state of a contract's <a
href="#!/guide/p14D09AE6_4738_4539_9DDF_D79C9385A02A">life cycle</a> is represented by its <a
href="#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8">status</a>. A differentiation is made between incoming and outgoing contracts with the <a
href="#!/guide/pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B">contractual relationship</a>. This is essential for contract governance, e.g. for risk assessment.</p>
<p>Contracts are transferred to a <a
href="#!/guide/p551C5305_D9E1_41D7_9927_32EECF2E617B">filing structure</a>. This ensures they can be found at all times. </p>
<p>{@img img1.png}</p>
<p>A contract is always based on a <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">contract type</a>. This controls, for example, how the contract number is generated or which metadata is preset.</p>
<p>Contract name (short name)</p>
<p>A differentiation must be made between the contract number, the contract name, and the 'contract designation.' This describes the short name of the element in ELO. It is used in list views, for example, and serves to identify the object.</p>
<blockquote>
<p><span
style='font-style:italic'>If the user navigates through the repository tree or uses the ELO search, for example, the short name helps to identify the object. Example: <code>C00016 CHIP magazine subscription</code>. Defaults e.g. for personnel files (file references plus first and last name) can be implemented with the help of different name generators.</span></p>
</blockquote>
<p>{@img img3.png}</p>
<p>The <a
href="#!/guide/p359C8ED4_DE57_4598_A819_30B6DC4526C4">name generator</a> to be used must be specified in the <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">contract type</a>.</p>
<p>By default, the contract short name consists of the contract number and contract name. </p>
<p>{@img img5.png}</p>
<p>If necessary, additional contract information such as the type, the contract partner's company, or the responsible employee can be added to the name. Additional information on numbers and designations can be found in the section on <a
href="#!/guide/p359C8ED4_DE57_4598_A819_30B6DC4526C4">contract numbers and names</a>.</p>
<h2>Contract number</h2>
<p>The contract number represents a unique identifier for the contract. It can either be taken over from an existing third-party system or generated by <span
style='font-weight:bold;font-style:italic'>ELO Business Solution Contract</span>.</p>
<blockquote>
<p><span
style='font-style:italic'>Contract numbers also help to facilitate communication with external parties. They can be used in e-mail subject lines as well as in contract documents.</span></p>
</blockquote>
<h3>Taking over the contract number from the main system</h3>
<p>When adding a new contract, you can enter the contract number from the main system in the form. In this case, no contract number is generated. </p>
<p>{@img img7.png}</p>
<p><span class="tag_important">In this scenario, it is recommended to set up a dynamic keyword list for selecting data from the master system. As a result, data, such as the company, contract name, etc., can be taken over automatically in addition to the contract number.</span></p>
<p>If you do not want users to be able to assign contract numbers manually, the corresponding field in the form has to be set to read-only.</p>
<h3>Contract number created by ELO</h3>
<p>A unique identifier can be created for every contract with the help of a <a
href="#!/guide/p359C8ED4_DE57_4598_A819_30B6DC4526C4">contract number generator</a>. This mechanism automatically comes into play if no contract number is entered or taken over from the master system when <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">a contract is added</a>.</p>
<p>By default, a contract number with a prefix [C] and a serial number with at least 6 digits is created. </p>
<p>{@img img9.png}</p>
<p><span class="tag_warning"><span
style='font-weight:bold'>Experience from past projects</span> has shown that structuring contract numbers based on a defined pattern can be helpful. The number C001456 corresponds to the pattern [C]+[serial number with 6 digits]. Correspondence, such as e-mails, can automatically be assigned to the relevant contract since the number can be identified by a regular expression.</span></p>
<p><span class="tag_important">When defining number ranges, make sure uniform numbers are used throughout the entire company. </span></p>
<p>Additional information on numbers and designations can be found in the section on <a
href="#!/guide/p359C8ED4_DE57_4598_A819_30B6DC4526C4">contract numbers and names</a>.</p>
<h2>Updating filing paths and names</h2>
<p>If keywording information is changed in the form (e.g. on check-in or saving), the contract is registered for updating. The common_monitoring package monitors changed objects.</p>
<p>If keywording information has changed, the <span
style='font-weight:bold;font-style:italic'>sol.contract.contract.update</span> workflow is started. This workflow corrects the short name, moves the contract to a new location in the repository (if necessary), and sets the correct permissions based on changed information in the form.</p>
<p>{@img img11.png}</p>
