<h1>Negotiation</h1>
<p>In many cases, contract negotiation is a separate phase during contract initiation. Generally, after a contract draft has been <a
href="#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C">approved</a>, negotiation with the contract partner can begin. At the end of this phase, the contract is either <a
href="#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04">concluded successfully </a> (that is, signed), or <a
href="#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF">contract negotiations are canceled</a>.</p>
<p>{@img img1.png}</p>
<blockquote>
<p><span
style='font-style:italic'>A contract draft is approved by different people and then enters the negotiation phase. In the process, a preliminary contract document is created and presented to the contract partner. Changes can still be made during the course of negotiation. The contract may have to be approved again depending on the gravity of the change.</span></p>
</blockquote>
<p><span class="tag_warning">By default, the negotiation phase is simply marked. There are no mandatory form entries; only the status is changed and a feed post is generated. Additional function modules can be added to the underlying workflow as needed.</span></p>
<h2>Action: Negotiate contract</h2>
<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>
<p>{@img img3.png}</p>
<h3>Requirements</h3>
<ul>
<li>A contract is selected.</li>
</ul>
<h3>Data input</h3>
<p>This action does not require data input. </p>
<h3>Implementation</h3>
<p><span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.NegotiateContract</code> configuration.</span></p>
<p>The <span
style='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code>sol.contract.ix.actions.NegotiateContract</code>. 
This action starts the <code>sol.contract.contract.negotiation</code> workflow.</p>
<p>If successful, the following events are transferred to the client:</p>
<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Displays a short notification that negotiation has been initiated.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>

<p><span
style='font-weight:bold'>Description of the workflow</span></p>
<p>{@img img5.png}</p>
<table><thead><tr><td><span
style='font-weight:bold'>Node name</span></td><td><span
style='font-weight:bold'>Node description</span></td><td><span
style='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>STATUS: Negotiation</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'N'</td><td>sol.common.ix.functions.Status</td></tr><tr><td><span
style='font-weight:bold'>CHANGECOLOR: Contract negotiation</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Sets the color of the SORD object</td><td>sol.common.ix.functions.ChangeColor</td></tr><tr><td><span
style='font-weight:bold'>FEED: Contract negotiation</span></td><td><span
style='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating contract negotiation has been initiated.</td><td>sol.common.ix.functions.FeedComment</td></tr></tbody></table>
