<h1>Extending permissions within contract files</h1>
<p>Permissions to individual structures of a contract file can be extended based on the <a
href="#!/guide/p89F88CAF_C876_4A5C_8F86_B7348320FF1C">permissions</a> of a contract.</p>
<blockquote>
<p><span
style='font-style:italic'>Permissions to a contract are very restrictive, as this information is mainly confidential. Additional documents are filed with a contract that specific departments may see. </span></p>
</blockquote>
<p><span class="tag_important">Permissions can be added for a folder (contract structure). These are based on permissions groups defined in the contract management configuration. Extended permissions are passed on to documents in the structure. </span></p>
<h2>Definition of permissions groups</h2>
<p>In the &quot;Filing &amp; permissions&quot; contract management configuration, you can define what permissions groups may be applied to file structures.</p>
<p>The ELO user group &quot;sol.contract.roles.Reporters&quot; should be given additional read rights to a specific folder. A permissions group &quot;PUBLICATIONS&quot; is created in the configuration for this reason.</p>
<p>{@img img1.png}</p>
<h2>Applying permissions groups in a contract file</h2>
<p>Permissions groups should be configured in the contract template in advance.</p>
<blockquote>
<p><span
style='font-style:italic'>We want to give the &quot;Reporters&quot; group read access to &quot;Subscription&quot; type contract documents. Select the &quot;Contract documents&quot; folder in the configuration. You can then define the permissions group, which was created in the configuration, via the keywording.</span></p>
</blockquote>
<p>{@img img3.png}</p>
<p>{@img img5.png}</p>
