Ext.data.JsonP.p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5({"guide":"<h1 id='p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5-section-contract-contents'>Contract contents</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5-section-filing-documents-related-to-a-contract'>Filing documents related to a contract</a>\n </li>\n<li>2. <a href='#!/guide/p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5-section-structuring-contract-content'>Structuring contract content</a>\n </li>\n</ul></div>\n\n\n<p>All relevant information can be entered for a contract. This can include <span\nstyle='font-weight:bold;font-style:italic'>e-mails</span>, <span\nstyle='font-weight:bold;font-style:italic'>correspondence</span>, <span\nstyle='font-weight:bold;font-style:italic'>termination notices</span>, <span\nstyle='font-weight:bold;font-style:italic'>invoices</span>, or <span\nstyle='font-weight:bold;font-style:italic'>contract documents</span>.</p>\n\n\n<h2 id='p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5-section-filing-documents-related-to-a-contract'>Filing documents related to a contract</h2>\n\n\n<p>Information relevant to a contract should be filed within the contract using the <span\nstyle='font-weight:bold;font-style:italic'>Contract Document</span> metadata form. In this case, ELO Indexserver inheritance applies and transfers all information relevant to the search. </p>\n\n\n<p>Optionally, the employee responsible for the document can be specified.</p>\n\n\n<p><span class=\"tag_important\">Different responsibilities can be configured for the contract and contract documents. This is necessary so you can define a department responsible for terminations different from the one responsible for creating contract documents, for example.</span></p>\n\n\n<p><p><img src=\"guides/p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5/img1.png\" alt=\"\" width=\"814\" height=\"528\"></p></p>\n\n\n<p><span class=\"tag_warning\">If documents from downstream contract processes are filed in the form of a reference, the Indexserver inheritance mechanisms no longer apply. This is the case, for example, if invoices from <span\nstyle='font-weight:bold;font-style:italic'>ELO Business Solution Invoice</span> are allocated to contracts.</span></p>\n\n\n<h2 id='p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5-section-structuring-contract-content'>Structuring contract content</h2>\n\n\n<p>Contract content can be organized using child folders. You can define the structure set automatically when you create a new contract in the <a\nhref=\"#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF\">contract type</a>.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Documents with well-structured contract content can be organized by their type. This is necessary to file e-mails and correspondence, e.g. from contract documents, separately. </span></p>\n</blockquote>\n\n\n<p><p><img src=\"guides/p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5/img3.png\" alt=\"\" width=\"275\" height=\"147\"></p></p>\n\n\n<p><span class=\"tag_important\">For child folders, you have to choose the <span\nstyle='font-weight:bold;font-style:italic'>Contract Structure</span> keywording form. This form contains a number of index fields relevant for searches, among other things. Indexserver inheritance ensures that all information from the contract is taken over properly and passed down to the document correctly.</span></p>\n\n\n<h3 id='p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5-section-creating-a-new-folder'>Creating a new folder</h3>\n\n\n<p>Folder structures can also be extended for existing contracts. To do this, select the contract, then call the <span\nstyle='font-weight:bold;font-style:italic'>New folder</span> function in the client's ribbon. Next, you have to choose the <span\nstyle='font-weight:bold;font-style:italic'>Contract Structure</span> keywording form.</p>\n\n\n<p>You should specify both a short name and the corresponding document type. This is passed on to documents within the structure as an index characteristic.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>The folder with short name </span><span\nstyle='font-weight:bold;font-style:italic'>Contract documents</span><span\nstyle='font-style:italic'> is also assigned document type </span><span\nstyle='font-weight:bold;font-style:italic'>Contract document</span><span\nstyle='font-style:italic'>. This allows you to search explicitly for </span><span\nstyle='font-weight:bold;font-style:italic'>contract documents</span><span\nstyle='font-style:italic'> later.</span></p>\n</blockquote>\n\n\n<p><p><img src=\"guides/p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5/img5.png\" alt=\"\" width=\"695\" height=\"106\"></p></p>\n\n\n<p>Structures can also be configured in the <a\nhref=\"#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF\">contract type</a> via the contract management configuration. The document type can be specified in the second column.</p>\n\n\n<p><p><img src=\"guides/p02BB6BA8_742E_4B4C_8D61_C4B723CB9CE5/img7.png\" alt=\"\" width=\"1199\" height=\"508\"></p></p>\n\n","title":"Contract contents"});