Ext.data.JsonP.p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7({"guide":"<h1 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-termination'>Termination</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-check-steps'>Check steps</a>\n </li>\n<li>2. <a href='#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-extending-permissions-in-the-termination-process'>Extending permissions in the termination process</a>\n </li>\n<li>3. <a href='#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-action%3A-initiate-termination'>Action: Initiate termination</a>\n </li>\n</ul></div>\n\n\n<p>A concluded contract can be circulated for termination. The contract goes through an approval process, which ends with its <span\nstyle='font-weight:bold;font-style:italic'>approval</span> or <span\nstyle='font-weight:bold;font-style:italic'>rejection</span>. This means different people at the company can be involved in the termination process. </p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img1.png\" alt=\"\" width=\"390\" height=\"349\"></p></p>\n\n\n<p>During the termination process, the contract maintains its existing status, meaning assessments (active/inactive) are not affected. Terminated contracts are labeled with the status &quot;terminated.&quot;</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Contract managers receive a reminder regarding contracts that have to be terminated in 2 weeks. They begin the termination process involving all employees affected by the contract. After termination has been approved, they terminate the contract.</span></p>\n</blockquote>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img3.png\" alt=\"\" width=\"390\" height=\"355\"></p></p>\n\n\n<h2 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-check-steps'>Check steps</h2>\n\n\n<p>Steps during contract termination are referred to as check steps. Essentially, check steps are defined by all users and groups involved in the process. The list of check steps can be edited at runtime. This allows users to add steps, or remove steps that are no longer necessary, for example.</p>\n\n\n<p>You can control whether subsequent users can edit steps by enabling or disabling the &quot;mandatory&quot; option.</p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img5.png\" alt=\"\" width=\"485\" height=\"222\"></p></p>\n\n\n<p>Lists are processed top-down in a cycle. If the workflow is submitted to a user for review, the user (first in the list) is removed from the list. As a result, the steps are processed.</p>\n\n\n<p>The check steps for termination can be controlled via the role configuration. This can be found in the contract management configuration, in the <span\nstyle='font-weight:bold;font-style:italic'>Dynamic user roles</span> setting. The role for termination is <span\nstyle='font-weight:bold;font-style:italic'>TERMINATION</span>.</p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img7.png\" alt=\"\" width=\"1608\" height=\"415\"></p></p>\n\n\n<h2 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-extending-permissions-in-the-termination-process'>Extending permissions in the termination process</h2>\n\n\n<p>Depending on the configuration in the workflow, involved users are given permissions allowing them to view these contracts. Further information on extending permissions can be found in the chapter on <a\nhref=\"#!/guide/p89F88CAF_C876_4A5C_8F86_B7348320FF1C\">permissions</a>.</p>\n\n\n<h2 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-action%3A-initiate-termination'>Action: Initiate termination</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img9.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<h3 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>A contract is selected.</li>\n</ul>\n\n\n<h3 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-data-input'>Data input</h3>\n\n\n<p>The <code>006_1_initiate_termination</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img11.png\" alt=\"\" width=\"599\" height=\"615\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Termination</span></td></tr></thead><tbody><tr><td>630_initiate_termination</td></tr><tr><td>100_users</td></tr></tbody></table>\n\n\n\n\n<h3 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-data-input%3A-contract-data-verification'>Data input: Contract data verification</h3>\n\n\n<p>The <code>006_2_approve_termination</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img13.png\" alt=\"\" width=\"628\" height=\"560\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Termination</span></td><td><span\nstyle='font-weight:bold'>Contract data</span></td><td><span\nstyle='font-weight:bold'>Duration</span></td><td><span\nstyle='font-weight:bold'>Contract partner</span></td><td><span\nstyle='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>631_approve_termination</td><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td>100_users</td><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td></td><td>230_contract_data</td><td></td><td></td><td></td></tr><tr><td></td><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td></td><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n\n\n<h3 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-data-input%3A-conclusion-of-the-approval-process'>Data input: Conclusion of the approval process</h3>\n\n\n<p>The <code>006_3_finish_termination</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img15.png\" alt=\"\" width=\"427\" height=\"513\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Termination</span></td><td><span\nstyle='font-weight:bold'>Contract data</span></td><td><span\nstyle='font-weight:bold'>Duration</span></td><td><span\nstyle='font-weight:bold'>Contract partner</span></td><td><span\nstyle='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>632_finish_termination</td><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td></td><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td></td><td>230_contract_data</td><td></td><td></td><td></td></tr><tr><td></td><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td></td><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n\n\n<h3 id='p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.InitiateTermination</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code><a href=\"#!/api/sol.contract.ix.actions.TerminateContract\" rel=\"sol.contract.ix.actions.TerminateContract\" class=\"docClass\">sol.contract.ix.actions.TerminateContract</a></code>. This action starts the <code>sol.contract.contract.termination</code> workflow.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Shows the form to input data in a dialog box.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>Description of the workflow</span></p>\n\n\n<p><p><img src=\"guides/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7/img17.png\" alt=\"\" width=\"732\" height=\"1055\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>USERROLESTOMAP</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Saves the user roles defined for the termination process in a map table</td><td><a href=\"#!/api/sol.common.ix.functions.UserRolesToMap\" rel=\"sol.common.ix.functions.UserRolesToMap\" class=\"docClass\">sol.common.ix.functions.UserRolesToMap</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Set approver</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Select one or more approvers for termination</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>Dynamic flow has approval steps?</span></td><td><span\nstyle='font-weight:bold'>Check ad-hoc flow start</span><br />Decision node: Checks the ELO_WF_STATUS field for the value 'CYCLE_START' to start an approval cycle in this case</td><td><a href=\"#!/api/sol.common.ix.functions.CheckDynAdHocFlowStart\" rel=\"sol.common.ix.functions.CheckDynAdHocFlowStart\" class=\"docClass\">sol.common.ix.functions.CheckDynAdHocFlowStart</a></td></tr><tr><td><span\nstyle='font-weight:bold'>STATUS: Terminated</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'T'</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Terminated</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the color of the SORD object</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Immediate termination</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating termination without further review</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Termination initiated</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating termination has been initiated</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGEUSER: Termination</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Changes the owner of the next user node</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeUser\" rel=\"sol.common.ix.functions.ChangeUser\" class=\"docClass\">sol.common.ix.functions.ChangeUser</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Approval</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Approval by defined approver</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Termination accepted</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating termination has been accepted</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Termination rejected</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating termination has been rejected</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Check rejected</span></td><td><span\nstyle='font-weight:bold'></span><br />Decision node: Checks the ELO_WF_STATUS field for the value 'REJECTED' to conclude the termination process accordingly</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>Termination approved</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Acknowledgement</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Termination completed</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating the termination process has been completed</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Termination rejected</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Acknowledgement</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Termination declined</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating termination has been declined</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>SET: Delete comment</span></td><td><span\nstyle='font-weight:bold'>SET</span><br />Removes the previous comment from the WF_MAP</td><td>sol.common.ix.function.Set</td></tr></tbody></table>\n\n","title":"Termination"});