Ext.data.JsonP.p14D09AE6_4738_4539_9DDF_D79C9385A02A({"guide":"<h1 id='p14D09AE6_4738_4539_9DDF_D79C9385A02A-section-contract-phases'>Contract phases</h1>\n\n\n<p>ELO Business Solution Contract implements <span\nstyle='font-weight:bold'>loose control of the contract life cycle</span>. This means that no comprehensive process is implemented, but that the cycle was split into process parts (phases) in order to allow contract managers to individually address special situations. The statuses resulting from the different contract phases are documented in the <a\nhref=\"#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8\">contract status</a>.</p>\n\n\n<p>Below you will find some examples that increase in complexity.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>For an incoming contract, first the demand is determined, then an approval process is started. Once approval has been granted, multiple rounds of negotiation take place with the contract partners in which procurement attempts to drive down the price further. Now a final draft of the contract is available. This draft can either be submitted for approval or concluded.</span></p>\n<p><span\nstyle='font-style:italic'>For an outgoing contract, the responsible sales employee concludes a contract with the end customer selling a new kitchen. The contract becomes effective at the point of signing. The phases of contract drafting, approval, and negotiation fall on the day of the sales talk.</span></p>\n<p><span\nstyle='font-style:italic'>An employee from development concludes a contract with a magazine vendor. Since the contract volume is quite low, approval and negotiation are not necessary.</span></p>\n</blockquote>\n\n\n<h2 id='p14D09AE6_4738_4539_9DDF_D79C9385A02A-section-difference-phases-of-contract-management'>Difference phases of contract management</h2>\n\n\n<p>ELO Business Solution Contract provides six phases for controlling the contract life cycle: <a\nhref=\"#!/guide/p7435E940_1D95_44B8_9C89_EA6FDDEDF247\">Draft</a>, <a\nhref=\"#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C\">Approval</a>, <a\nhref=\"#!/guide/pFA843D33_178F_4995_9EF9_6807252DC76E\">Negotiation</a>, <a\nhref=\"#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04\">Contract conclusion</a>, <a\nhref=\"#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7\">Termination</a>, and <a\nhref=\"#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF\">Negotiation canceled</a>.</p>\n\n\n<p><a\nhref=\"#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A\">Newly added contracts</a> are in the draft phase by default.</p>\n\n\n<p>The following image shows a comprehensive process and provides information on the corresponding <a\nhref=\"#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8\">contract status</a>.</p>\n\n\n<p><p><img src=\"guides/p14D09AE6_4738_4539_9DDF_D79C9385A02A/img1.png\" alt=\"\" width=\"605\" height=\"617\"></p></p>\n\n\n<p><span class=\"tag_important\">Individual phases can be triggered using buttons on the client ribbon. More information on the procedure and control options can be found in the corresponding sub-chapters.</span></p>\n\n\n<h3 id='p14D09AE6_4738_4539_9DDF_D79C9385A02A-section-states-in-detail'>States in detail</h3>\n\n\n<p><span\nstyle='font-weight:bold'>Draft</span></p>\n\n\n<ul>\n<li>Master data entry</li>\n<li>Definition of deadlines and volumes</li>\n<li>Conclusion: <span\nstyle='text-decoration:underline'>Initiate contract approval</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Under review</span></p>\n\n\n<ul>\n<li>Checks by various people</li>\n<li>Approval process controlled by workflow</li>\n<li>Corrections possible, otherwise returned to draft state</li>\n<li>Conclusion: <span\nstyle='text-decoration:underline'>Contract approved</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>In negotiation</span></p>\n\n\n<ul>\n<li>Content should be permanent</li>\n<li>Contract conclusion after signing</li>\n<li>Corrections possible; in case of doubt, second approval</li>\n<li>Conclusion: <span\nstyle='text-decoration:underline'>Contract is concluded</span></li>\n<li>Cancellation: <span\nstyle='text-decoration:underline'>Negotiation canceled</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Completed</span></p>\n\n\n<ul>\n<li>The contract is signed and is waiting to take effect</li>\n<li>Considered a transitional phase; preparations for contract fulfillment can start at the same time</li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Active</span></p>\n\n\n<ul>\n<li>Main state for current contracts: the contract is in effect</li>\n<li>Regular actions: <span\nstyle='text-decoration:underline'>Reminder/extension</span></li>\n<li>Special actions: <span\nstyle='text-decoration:underline'>Create report</span>, <span\nstyle='text-decoration:underline'>Adjustments</span>, <span style='text-decoration:\nunderline'>Initiate termination</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Completed</span></p>\n\n\n<ul>\n<li>Expired/terminated</li>\n<li>Contract end defined and expired</li>\n<li>Renewal is only possible with a new contract</li>\n<li>In the event of a termination, a termination date is defined beforehand</li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Canceled</span></p>\n\n\n<ul>\n<li>Should only be possible before the contract is concluded</li>\n<li>In exceptional cases, also possible afterward (e.g. within a fixed objection period)</li>\n</ul>\n\n","title":"Contract phases"});