Ext.data.JsonP.p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04({"guide":"<h1 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-contract-conclusion'>Contract conclusion</h1>\n\n\n<p>A contract is concluded once it has been signed by the contract partners. Generally, it does not take effect immediately unless otherwise agreed. Beside the signing date, the date on which the contract begins is also of importance.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Following contract negotiation, the contract manager marks the phase as concluded. In addition to the date of conclusion, the manager also enters a comment indicating how the negotiations turned out. </span></p>\n</blockquote>\n\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img1.png\" alt=\"\" width=\"390\" height=\"349\"></p></p>\n\n\n<p><span class=\"tag_important\">When a contract is concluded, the contract document filed in the system is considered final. Any additional modifications require the agreement of both contract parties.</span></p>\n\n\n<p><span class=\"tag_warning\">Contracts in force must be marked as concluded. This enables calculations based on active and inactive contracts.</span></p>\n\n\n<h2 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-action%3A-conclude-contract'>Action: Conclude contract</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>\n\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img3.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<h3 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>A contract is selected.</li>\n</ul>\n\n\n<h3 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-data-input'>Data input</h3>\n\n\n<p>The <code>004_sign_contract</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img5.png\" alt=\"\" width=\"605\" height=\"617\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Contract conclusion</span></td><td><span\nstyle='font-weight:bold'>Contract data</span></td><td><span\nstyle='font-weight:bold'>Duration</span></td><td><span\nstyle='font-weight:bold'>Contract partner</span></td><td><span\nstyle='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>620_conclusion</td><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td></td><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td></td><td>230_contract_data</td><td></td><td></td><td></td></tr><tr><td></td><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td></td><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n\n\n<h3 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.ContractConcluded</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code><a href=\"#!/api/sol.contract.ix.actions.ConcludeContract\" rel=\"sol.contract.ix.actions.ConcludeContract\" class=\"docClass\">sol.contract.ix.actions.ConcludeContract</a></code>. This action starts the <code>sol.contract.contract.conclude</code> workflow.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Shows the form to input data in a dialog box.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>Description of the workflow</span></p>\n\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img7.png\" alt=\"\" width=\"457\" height=\"472\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>Contract conclusion</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Marks a contract as concluded.</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>STATUS: Concluded</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'S'</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Contract concluded</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the color of the SORD object</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Contract concluded</span></td><td><span\nstyle='font-weight:bold'></span><br />Creates a feed post indicating negotiation has been concluded.</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr></tbody></table>\n\n","title":"Contract conclusion"});