Ext.data.JsonP.p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C({"guide":"<h1 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-approval'>Approval</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-check-steps'>Check steps</a>\n </li>\n<li>2. <a href='#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-extending-permissions-in-the-approval-process'>Extending permissions in the approval process</a>\n </li>\n<li>3. <a href='#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-action%3A-initiate-approval'>Action: Initiate approval</a>\n </li>\n</ul></div>\n\n\n<p>A drafted contract can be circulated for review. The contract goes through an approval process, which ends with its <span\nstyle='font-weight:bold;font-style:italic'>approval</span> or <span\nstyle='font-weight:bold;font-style:italic'>rejection</span>.</p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img1.png\" alt=\"\" width=\"390\" height=\"349\"></p></p>\n\n\n<p>Contract approval can be initiated during any phase. This allows for approval scenarios before and after <a\nhref=\"#!/guide/pFA843D33_178F_4995_9EF9_6807252DC76E\">contract negotiation</a>. During contract approval, all involved parties can make corrections to the contract documents or the contract.</p>\n\n\n<p>During approval, the contract is assigned the status &quot;Approval initiated.&quot; Approved contracts are assigned the status &quot;Approved,&quot; while rejected contracts are given the status &quot;Draft.&quot;</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A contract manager creates a draft of a framework contract and submits it to the approval process. The legal department, accounting, and company management were identified as check steps in the configuration. After the approval process is completed, or if a user rejects approval, the contract manager receives a notification as a task.</span></p>\n</blockquote>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img3.png\" alt=\"\" width=\"390\" height=\"355\"></p></p>\n\n\n<h2 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-check-steps'>Check steps</h2>\n\n\n<p>Steps during contract approval are referred to as check steps. Essentially, check steps are defined by all users and groups involved in the process. The list of check steps can be edited at runtime. This allows users to add steps, or remove steps that are no longer necessary, for example.</p>\n\n\n<p>You can control whether subsequent users can edit steps by enabling or disabling the &quot;mandatory&quot; option.</p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img5.png\" alt=\"\" width=\"485\" height=\"222\"></p></p>\n\n\n<p>Lists are processed top-down in a cycle. If the workflow is submitted to a user for approval, the user (first in the list) is removed from the list. As a result, the steps are processed.</p>\n\n\n<p>The check steps for contract approval can be controlled via the role configuration. This can be found in the contract management configuration, in the <span\nstyle='font-weight:bold;font-style:italic'>Dynamic user roles</span> setting. The role for contract approval is <span\nstyle='font-weight:bold;font-style:italic'>APPROVAL</span>.</p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img7.png\" alt=\"\" width=\"1595\" height=\"424\"></p></p>\n\n\n<h2 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-extending-permissions-in-the-approval-process'>Extending permissions in the approval process</h2>\n\n\n<p>Depending on the configuration in the workflow, involved users are given permissions allowing them to view or edit these contracts. Further information on extending permissions can be found in the chapter on <a\nhref=\"#!/guide/p89F88CAF_C876_4A5C_8F86_B7348320FF1C\">permissions</a>.</p>\n\n\n<h2 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-action%3A-initiate-approval'>Action: Initiate approval</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img9.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<h3 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>A contract is selected.</li>\n</ul>\n\n\n<h3 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-data-input%3A-initiate-approval'>Data input: Initiate approval</h3>\n\n\n<p>The <code>003_1_initiate_approval</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img11.png\" alt=\"\" width=\"604\" height=\"615\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Approval</span></td></tr></thead><tbody><tr><td>610_initiate_approval</td></tr><tr><td>100_users</td></tr></tbody></table>\n\n\n\n\n<h3 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-data-input%3A-contract-data-verification'>Data input: Contract data verification</h3>\n\n\n<p>The <code>003_2_approve_contract</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img13.png\" alt=\"\" width=\"519\" height=\"617\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Approval</span></td><td><span\nstyle='font-weight:bold'>Contract data</span></td><td><span\nstyle='font-weight:bold'>Duration</span></td><td><span\nstyle='font-weight:bold'>Contract partner</span></td><td><span\nstyle='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>611_contract_approval</td><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td>100_users</td><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td></td><td>230_contract_data</td><td></td><td></td><td></td></tr><tr><td></td><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td></td><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n\n\n<h3 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-data-input%3A-conclusion-of-the-approval-process'>Data input: Conclusion of the approval process</h3>\n\n\n<p>The <code>003_3_finish_approval</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img15.png\" alt=\"\" width=\"669\" height=\"523\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Approval</span></td><td><span\nstyle='font-weight:bold'>Contract data</span></td><td><span\nstyle='font-weight:bold'>Duration</span></td><td><span\nstyle='font-weight:bold'>Contract partner</span></td><td><span\nstyle='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>612_finish_approval</td><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td></td><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td></td><td>230_contract_data</td><td></td><td></td><td></td></tr><tr><td></td><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td></td><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n\n\n<h3 id='p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.InitiateApproval</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code><a href=\"#!/api/sol.contract.ix.actions.ApproveContract\" rel=\"sol.contract.ix.actions.ApproveContract\" class=\"docClass\">sol.contract.ix.actions.ApproveContract</a></code>. This action starts the <code>sol.contract.contract.approval</code> workflow.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Shows the form to input data in a dialog box.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>Description of the workflow</span></p>\n\n\n<p><p><img src=\"guides/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C/img17.png\" alt=\"\" width=\"664\" height=\"1070\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>USERROLESTOMAP</span></td><td><span\nstyle='font-weight:bold'>USERROLESTOMAP</span><br />Distribution node: Saves the user roles defined for the approval process in a map table</td><td><a href=\"#!/api/sol.common.ix.functions.UserRolesToMap\" rel=\"sol.common.ix.functions.UserRolesToMap\" class=\"docClass\">sol.common.ix.functions.UserRolesToMap</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Set approver</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Select one or more approvers for approval</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Approval initiated</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the color of the SORD object</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Dynamic flow has approval steps?</span></td><td><span\nstyle='font-weight:bold'>Check ad-hoc flow start</span><br />Decision node: Checks the ELO_WF_STATUS field for the value 'CYCLE_START' to start an approval cycle in this case</td><td><a href=\"#!/api/sol.common.ix.functions.CheckDynAdHocFlowStart\" rel=\"sol.common.ix.functions.CheckDynAdHocFlowStart\" class=\"docClass\">sol.common.ix.functions.CheckDynAdHocFlowStart</a></td></tr><tr><td><span\nstyle='font-weight:bold'>STATUS: Approved</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'A'</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Immediate approval</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating approval without further review</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>STATUS: Approval</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'I'</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Approval initiated</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating approval has been initiated</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGEUSER: Approval</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Changes the owner of the next user node</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeUser\" rel=\"sol.common.ix.functions.ChangeUser\" class=\"docClass\">sol.common.ix.functions.ChangeUser</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Approval</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Approval by defined approver</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Approval accepted</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating approval has been granted</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Approval rejected</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating approval has been rejected</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Check rejected</span></td><td><span\nstyle='font-weight:bold'></span><br />Decision node: Checks the ELO_WF_STATUS field for the value 'REJECTED' to conclude the approval process accordingly</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>Contract approved</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Acknowledgement</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Approval completed</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating the approval process has been completed</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>STATUS: Draft</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'D'</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Contract rejected</span></td><td><span\nstyle='font-weight:bold'></span><br />User node: Acknowledgement</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Approval declined</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating approval has been declined</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>SET: Delete comment</span></td><td><span\nstyle='font-weight:bold'>SET</span><br />Removes the previous comment from the WF_MAP</td><td>sol.common.ix.function.Set</td></tr></tbody></table>\n\n","title":"Approval"});