Ext.data.JsonP.p2F6C9FC4_91A9_4C37_B107_05A466B7C906({"guide":"<h1 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-document-templates'>Document templates</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-edit-document-templates'>Edit document templates</a>\n </li>\n<li>2. <a href='#!/guide/p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-custom-fields'>CUSTOM fields</a>\n </li>\n<li>3. <a href='#!/guide/p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-automatic-data-transfer-via-placeholders'>Automatic data transfer via placeholders</a>\n </li>\n</ul></div>\n\n\n<p>Document templates allow users to create new contract documents based on predefined documents. The objective is to apply as much information from the contract's metadata as possible. For this purpose, the templates can contain <span\nstyle='font-weight:bold;font-style:italic'>placeholders</span> which are replaced with data from the contract when the <a\nhref=\"#!/guide/p987E8B3B_D687_486E_A601_F4A3D4ED84EA\">document is created</a>.</p>\n\n\n<h2 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-edit-document-templates'>Edit document templates</h2>\n\n\n<p><span class=\"tag_warning\">Document templates must be <code>.doc</code> or <code>.docx</code> Microsoft Word documents, otherwise placeholders cannot be replaced. Furthermore, they have to be filed using the <span\nstyle='font-style:italic'>Contract document</span> keywording form.</span></p>\n\n\n<h3 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-change-document-templates-via-the-configuration'>Change document templates via the configuration</h3>\n\n\n<p>You can edit templates via the contract management configuration right in <span\nstyle='font-weight:bold;font-style:italic'>Document templates</span>. You can add new templates, or edit or delete existing ones.</p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img1.png\" alt=\"\" width=\"1194\" height=\"294\"></p></p>\n\n\n<h3 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-change-document-templates-via-the-repository-tree'>Change document templates via the repository tree</h3>\n\n\n<p>Document templates are filed to the <code>Administration\\Business Solutions Custom\\contract\\Configuration\\Document Templates</code> folder. It is also possible to structure them further by using folders.</p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img3.png\" alt=\"\" width=\"270\" height=\"222\"></p></p>\n\n\n<h2 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-custom-fields'>CUSTOM fields</h2>\n\n\n<p>A list of custom fields can be added for each document template that are called up when creating the contract. CUSTOM fields can then be replaced with placeholders in Word.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A new framework contract is concluded for sales. For this document type, the product name, purchase quantity, and maximum number of partners are required in the Word document in addition to the general contract data. This information can be called up directly via CUSTOM fields when creating the document and set automatically.</span></p>\n</blockquote>\n\n\n<p>The following figure shows how custom fields are used when creating a new document.</p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img5.png\" alt=\"\" width=\"601\" height=\"601\"></p></p>\n\n\n<p>To set a CUSTOM field, the document template must be selected. CUSTOM fields can then be defined in the 'Additional information' tab. When creating new elements, the list is only displayed if at least one field has been defined with a name.</p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img7.png\" alt=\"\" width=\"1152\" height=\"374\"></p></p>\n\n\n<h2 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-automatic-data-transfer-via-placeholders'>Automatic data transfer via placeholders</h2>\n\n\n<p>Both the selected folder and the direct parent element are available in the template. Furthermore, all elements of the parent hierarchy can be accessed via <code>SOL_TYPE</code>.</p>\n\n\n<p><span class=\"tag_caution\">Due to technological restrictions, <span\nstyle='font-weight:bold'>using mail merge is not recommended</span>. Instead, content controls should be used. These provide many more functions, such as date conversion, counters, localization keys, etc. and <span\nstyle='font-weight:bold'>can be updated later on</span>.</span></p>\n\n\n<h3 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-microsoft-word-content-controls'>Microsoft Word content controls</h3>\n\n\n<p>A number of predefined content controls are available for ELO Business Solution Contract in the form of <span\nstyle='font-weight:bold;font-style:italic'>quick parts</span>. These can be downloaded from the <span\nstyle='font-weight:bold;font-style:italic'>ELO SupportWeb</span>.</p>\n\n\n<p>On the <span\nstyle='font-weight:bold;font-style:italic'>Insert</span> tab in the <span\nstyle='font-weight:bold;font-style:italic'>Microsoft Word</span> ribbon, you can then access most properties of the contract via the <span\nstyle='font-weight:bold;font-style:italic'>Quick Part</span> function.</p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img9.png\" alt=\"\" width=\"1297\" height=\"313\"></p></p>\n\n\n<p><span\nstyle='font-weight:bold'>Importing ELO Business Solution Contract quick parts</span></p>\n\n\n<p>Quick parts are transported using dotx Word templates. Microsoft Word manages a list of all components within the <span\nstyle='font-weight:bold;font-style:italic'>Document Building Blocks</span> directory. The default components <span\nstyle='font-weight:bold;font-style:italic'>Built-In-Building Blocks.dotx</span> are also located there. The path consists of the current user name and the Office version.</p>\n\n\n<pre><code>C:\\Users\\-USERNAME-\\AppData\\Roaming\\Microsoft\\Document Building Blocks\\1031\\-Office Version-\n</code></pre>\n\n\n<p>This results in the following path for user name <span\nstyle='font-weight:bold;font-style:italic'>MosbachN</span> using <span\nstyle='font-weight:bold;font-style:italic'>Microsoft Office 2016</span>.</p>\n\n\n<pre><code>C:\\Users\\MosbachN\\AppData\\Roaming\\Microsoft\\Document Building Blocks\\1031\\16\\\n</code></pre>\n\n\n<p>For installation, the dotx file is filed to the directory above in the desired language (EN or DE). The quick parts of the contract can then also be accessed for new documents.</p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img11.png\" alt=\"\" width=\"667\" height=\"142\"></p></p>\n\n\n<h3 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-manually-creating-microsoft-word-content-controls'>Manually creating Microsoft Word content controls</h3>\n\n\n<p><span class=\"tag_important\">The Microsoft Word Developer ribbon tab is required to add custom content controls. It contains a rich text content control as well as a plain text content control.</span></p>\n\n\n<p>First, a new content control has to be added. To do this, select the <span\nstyle='font-weight:bold;font-style:italic'>plain text content control</span> on the <span\nstyle='font-weight:bold;font-style:italic'>Developer</span> tab. Next, the content control has to be configured. For this, open the control's <span\nstyle='font-weight:bold;font-style:italic'>properties</span> dialog box.</p>\n\n\n<p>The control's <span\nstyle='font-weight:bold;font-style:italic'>title</span> serves only transparency and display purposes. A valid <span\nstyle='font-weight:bold'>template expression</span> has to be entered as a <span style='font-weight:\nbold;font-style:italic'>tag</span>.</p>\n\n\n<p><span class=\"tag_important\"><span\nstyle='font-weight:bold;font-style:italic'>Information on templates:</span> To evaluate content controls, template expressions are used. These enable the use of date operations, conditions, etc. in Word. The class documentation <code><a href=\"#!/api/sol.common.Template\" rel=\"sol.common.Template\" class=\"docClass\">sol.common.Template</a></code> provides a list of all options.</span></p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img13.png\" alt=\"\" width=\"1003\" height=\"617\"></p></p>\n\n\n<p><span\nstyle='font-weight:bold'>Definition of a template expression:</span></p>\n\n\n<p>The free handlebars.js library is used to evaluate template expressions. Information is therefore always accessed via <code>{{ .. }}</code> or <code>{{{ &hellip; }}}</code>. </p>\n\n\n<p><span class=\"tag_warning\">When accessing information, the 3x notation <code>{{{</code> should always be used because the data here cannot be escaped.</span></p>\n\n\n<p>To provide all the information required to create the document, the entire hierarchy of a document is retrieved. This includes the corresponding <span\nstyle='font-weight:bold;font-style:italic'>contract</span> (<code>CONTRACT</code>), the <span\nstyle='font-weight:bold;font-style:italic'>contract structure</span> (<code>CONTRACT_STRUCTURE</code>), and the <span\nstyle='font-weight:bold;font-style:italic'>contract document</span> (<code>CONTRACT_DOCUMENT</code>). Information is stored in ELO as <span\nstyle='font-weight:bold;font-style:italic'>index fields</span> (<code>objKeys</code>) or <span\nstyle='font-weight:bold;font-style:italic'>map fields</span> (<code>mapKeys</code>). </p>\n\n\n<pre><code>{\n  CONTRACT: {\n    name: 'Short name',\n    objKeys: {\n      // Index fields\n      CONTACT_LAST_NAME: 'Smith',\n    },\n    mapKeys: {\n      // Map fields\n      COST_CENTER_NAME: 'Accounting',\n    }\n  },\n  CONTRACT_STRUCTURE: {\n    name: 'Short name',\n    objKeys: {    },\n    mapKeys: {    }\n  },\n  CONTRACT_DOCUMENT: {\n    name: 'Short name',\n    objKeys: {    },\n    mapKeys: {  \n      CUSTOM1: '',\n      CUSTOM2: ''\n    }\n  }\n}\n</code></pre>\n\n\n<p>Some examples for accessing information:</p>\n\n\n<ul>\n<li>Last name of the contract partner: <code>{{{ CONTRACT.objKeys.CONTACT_LAST_NAME }}}</code></li>\n<li>Name of the cost center for the contract: <code>{{{ CONTRACT.mapKeys.COST_CENTER_NAME }}}</code></li>\n<li>Output custom field: <code>{{{ CONTRACT_DOCUMENT.mapKeys.CUSTOM1 }}}</code></li>\n<li>Short name of the contract: <code>{{{ CONTRACT.name }}}</code></li>\n<li>Date format: <code>{{ formatDate 'DD.MM.YYYY' CONTRACT.objKeys.CONTRACT_START }}</code></li>\n</ul>\n\n\n<h3 id='p2F6C9FC4_91A9_4C37_B107_05A466B7C906-section-microsoft-word-mail-merge'>Microsoft Word mail merge</h3>\n\n\n<p>In addition to the content controls, it is also possible to transfer data using the Microsoft Word mail merge function.</p>\n\n\n<p>Mail merge fields can be created using the <span\nstyle='font-weight:bold;font-style:italic'>Quick Parts &gt; Insert field</span> function (Microsoft Word 2016). Then, merge field has to be selected as the field type. </p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img15.png\" alt=\"\" width=\"700\" height=\"195\"></p></p>\n\n\n<p><span class=\"tag_warning\">To make information accessible, all fields have to be surrounded by a merge field &laquo;TableStart:hierarchy&raquo; and &laquo;TableEnd:hierarchy&raquo;.</span></p>\n\n\n<p>Then, contract information can be accessed between TableStart and TableEnd. </p>\n\n\n<p><p><img src=\"guides/p2F6C9FC4_91A9_4C37_B107_05A466B7C906/img17.png\" alt=\"\" width=\"1097\" height=\"701\"></p></p>\n\n\n<p>Compared with content controls, a further level, <span\nstyle='font-weight:bold;font-style:italic'>hierarchy</span>, is introduced. This is necessary since mail merge requires a start node. The start node is selected by an extra merge field, <span\nstyle='font-weight:bold;font-style:italic'>TableStart</span>.</p>\n\n\n<pre><code>{\n  hierarchy: {\n    CONTRACT: {\n    },\n    CONTRACT_STRUCTURE: {\n    },\n    CONTRACT_DOCUMENT: {\n    }\n  }\n}\n</code></pre>\n\n\n<p>Some examples for<span\nstyle='font-weight:bold;font-style:italic'> merge field field names</span> for accessing information:</p>\n\n\n<ul>\n<li>Last name of the contract partner: <code>CONTRACT.objKeys.CONTACT_LAST_NAME</code></li>\n<li>Name of the cost center for the contract: <code>CONTRACT.mapKeys.COST_CENTER_NAME</code></li>\n<li>Output custom field: <code>CONTRACT_DOCUMENT.mapKeys.CUSTOM1</code></li>\n<li>Short name of the contract: <code>CONTRACT.name</code></li>\n</ul>\n\n","title":"Document templates"});