Ext.data.JsonP.p34B444FD_1EBB_473F_90E6_105AB3CD1F2B({"guide":"<h1 id='p34B444FD_1EBB_473F_90E6_105AB3CD1F2B-section-create-cover-sheet'>Create cover sheet</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B-section-action%3A-create-cover-sheet'>Action: Create cover sheet</a>\n </li>\n<li>2. <a href='#!/guide/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B-section-configuring-cover-sheet-templates'>Configuring cover sheet templates</a>\n </li>\n</ul></div>\n\n\n<p><span class=\"tag_important\">Cover sheets enable standardized filing and, like <a\nhref=\"#!/guide/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F\">labels</a>, they provide a link to the digital document.</span></p>\n\n\n<p>Depending on the contract type, the original documents may have to be kept, but are available in a digitized form. </p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>An employment contract is concluded with an employee. After digitization, the original document is not destroyed, but is then located in a physical archive.</span></p>\n</blockquote>\n\n\n<p>To assign original documents to an electronic contract document, a standardized cover sheet containing information on the contract can be printed. This sheet also includes a QR code allowing quick access to the digital contract using a mobile end device.</p>\n\n\n<p><p><img src=\"guides/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B/img1.png\" alt=\"\" width=\"250\" height=\"352\"></p></p>\n\n\n<h2 id='p34B444FD_1EBB_473F_90E6_105AB3CD1F2B-section-action%3A-create-cover-sheet'>Action: Create cover sheet</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon.</p>\n\n\n<p><p><img src=\"guides/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B/img3.png\" alt=\"\" width=\"1439\" height=\"165\"></p></p>\n\n\n<h3 id='p34B444FD_1EBB_473F_90E6_105AB3CD1F2B-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>A contract is selected.</li>\n<li>Select a <span\nstyle='font-weight:bold'>cover sheet template</span> (optional if only one type is available)</li>\n</ul>\n\n\n<h3 id='p34B444FD_1EBB_473F_90E6_105AB3CD1F2B-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.documents.CreateCoverSheet</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by ELOas action <code><a href=\"#!/api/sol.contract.as.actions.CreateContractCoverSheet\" rel=\"sol.contract.as.actions.CreateContractCoverSheet\" class=\"docClass\">sol.contract.as.actions.CreateContractCoverSheet</a></code>. This creates a PDF with the help of Apache FOP.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client.</td><td></td></tr></tbody></table>\n\n\n\n\n<h2 id='p34B444FD_1EBB_473F_90E6_105AB3CD1F2B-section-configuring-cover-sheet-templates'>Configuring cover sheet templates</h2>\n\n\n<p>Cover sheets are based on Apache FOP templates and use handlebars.js for data evaluation. Cover sheets are located in the contract management configuration <span\nstyle='font-weight:bold;font-style:italic'>Templates for cover sheets</span>.</p>\n\n\n<p><p><img src=\"guides/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B/img5.png\" alt=\"\" width=\"1026\" height=\"288\"></p></p>\n\n","title":"Create cover sheet"});