Ext.data.JsonP.p54A6AC69_E610_48D0_B2E5_CE4E57CE809A({"guide":"<h1 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-create-contract'>Create contract</h1>\n\n\n<p>The <span\nstyle='font-weight:bold'>current contract phase</span> is relevant when adding a contract. Generally, there are two scenarios here: the drafting of a fully new contract based on predefined contract templates or capture of an existing contract/contract initiation that has already begun. For this reason, you can freely select the current contract phase when creating the contract.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Yesterday, a sales employee concluded a &quot;</span><span\nstyle='font-weight:bold;font-style:italic'>purchase contract</span><span\nstyle='font-style:italic'>&quot; type end customer contract. This contract is scanned and filed in the system as a new </span><span\nstyle='font-weight:bold;font-style:italic'>outgoing</span><span\nstyle='font-style:italic'> contract. When the contract is created, its status is set to </span><span\nstyle='font-weight:bold;font-style:italic'>Concluded</span><span\nstyle='font-style:italic'> since it is already signed.</span></p>\n<p><span\nstyle='font-style:italic'>During negotiations, a decision was made to conclude a new framework contract to purchase licenses. A new </span><span\nstyle='font-weight:bold;font-style:italic'>incoming</span><span\nstyle='font-style:italic'> type </span><span style='font-weight:\nbold;font-style:italic'>framework contract</span><span style='font-style:italic'> is created. This contract is still in the </span><span\nstyle='font-weight:bold;font-style:italic'>Draft</span><span\nstyle='font-style:italic'> status since the contract document is currently being processed.</span></p>\n</blockquote>\n\n\n<p>A new contract has to be based on a <a\nhref=\"#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF\">contract type</a>. The appropriate master data can be preset to facilitate data entry for users. The template is cloned when the contract is created. Over the course of further processing, additional data can be added, processes started, and documents generated.</p>\n\n\n<p>The new contract is transferred to a <a\nhref=\"#!/guide/p551C5305_D9E1_41D7_9927_32EECF2E617B\">filing structure</a> so that it can be found in the repository tree at all times.</p>\n\n\n<h2 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-action%3A-create-contract'>Action: Create contract</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>\n\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img1.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<p>Starting with ELO 10, the <span\nstyle='font-weight:bold'>Create contract </span>tile is also available.</p>\n\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img3.png\" alt=\"\" width=\"836\" height=\"254\"></p></p>\n\n\n<h3 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>Contracts can be added <span\nstyle='font-weight:bold'>without context</span>.</li>\n<li>Select the <span\nstyle='font-weight:bold'>contract type</span> (only if multiple types are available).</li>\n</ul>\n\n\n<h3 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-data-input'>Data input</h3>\n\n\n<p>The <code>002_create_contract</code> form tab group is used for data input. </p>\n\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img5.png\" alt=\"\" width=\"775\" height=\"828\"></p></p>\n\n\n<p>This consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Contract data</span></td><td><span\nstyle='font-weight:bold'>Duration</span></td><td><span\nstyle='font-weight:bold'>Contract partner</span></td><td><span\nstyle='font-weight:bold'>Cash flow</span></td></tr></thead><tbody><tr><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td>230_contract_data</td><td></td><td>530_partner_contact</td><td></td></tr><tr><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n\n\n<h3 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.CreateContract</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code><a href=\"#!/api/sol.contract.ix.actions.CreateContract\" rel=\"sol.contract.ix.actions.CreateContract\" class=\"docClass\">sol.contract.ix.actions.CreateContract</a></code>. This clones a new element based on the selected contract type in the chaos folder and starts the <code>sol.contract.contract.create</code> workflow.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Shows the form to input data in a dialog box.</td><td></td></tr><tr><td>GOTO</td><td>Shows the newly created element in the client.</td><td></td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>Description of the workflow</span></p>\n\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img7.png\" alt=\"\" width=\"502\" height=\"512\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>Data entry</span></td><td><span\nstyle='font-weight:bold'>Create contract</span><br />User node: Owner adds a new contract</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>MOVE: contract</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Moves the contract SORD to another folder.</td><td><a href=\"#!/api/sol.common.ix.functions.Move\" rel=\"sol.common.ix.functions.Move\" class=\"docClass\">sol.common.ix.functions.Move</a></td></tr><tr><td><span\nstyle='font-weight:bold'>GENERATOR: contract no.</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Generates an internal contract number</td><td><a href=\"#!/api/sol.contract.ix.functions.generators.GenerateContractNo\" rel=\"sol.contract.ix.functions.generators.GenerateContractNo\" class=\"docClass\">sol.contract.ix.functions.generators.GenerateContractNo</a></td></tr><tr><td><span\nstyle='font-weight:bold'>GENERATOR: short name</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Adjusts the contract's short name</td><td><a href=\"#!/api/sol.contract.ix.functions.generators.GenerateContractShortDesc\" rel=\"sol.contract.ix.functions.generators.GenerateContractShortDesc\" class=\"docClass\">sol.contract.ix.functions.generators.GenerateContractShortDesc</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: contract created</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating a contract has been created</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>DELETE: temporary record</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Deletes the SORD object from the chaos folder</td><td><a href=\"#!/api/sol.common.ix.functions.Delete\" rel=\"sol.common.ix.functions.Delete\" class=\"docClass\">sol.common.ix.functions.Delete</a></td></tr></tbody></table>\n\n","title":"Create contract"});