Ext.data.JsonP.p696709C3_49EB_48C4_9963_DFC565BB36EC({"guide":"<h1 id='p696709C3_49EB_48C4_9963_DFC565BB36EC-section-dynamic-folders'>Dynamic Folders</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p696709C3_49EB_48C4_9963_DFC565BB36EC-section-dynamic-folders-as-a-view-filter'>Dynamic folders as a view filter</a>\n </li>\n<li>2. <a href='#!/guide/p696709C3_49EB_48C4_9963_DFC565BB36EC-section-creating-custom-folders'>Creating custom folders</a>\n </li>\n</ul></div>\n\n\n<p>In their life cycle, contracts go through different states and statuses. The objective of contract monitoring is to keep track of contracts and to ensure fast access to them. </p>\n\n\n<p>Dynamic folders help here and provide different views of contracts. The standard solution provides searches for contracts based on their <span\nstyle='font-weight:bold;font-style:italic'>relation</span>, <span\nstyle='font-weight:bold;font-style:italic'>deadlines</span>, <span\nstyle='font-weight:bold;font-style:italic'>risk classification</span>, <span\nstyle='font-weight:bold;font-style:italic'>status</span>, and their <span\nstyle='font-weight:bold;font-style:italic'>state</span>.</p>\n\n\n<p><p><img src=\"guides/p696709C3_49EB_48C4_9963_DFC565BB36EC/img1.png\" alt=\"\" width=\"321\" height=\"696\"></p></p>\n\n\n<h2 id='p696709C3_49EB_48C4_9963_DFC565BB36EC-section-dynamic-folders-as-a-view-filter'>Dynamic folders as a view filter</h2>\n\n\n<p>If a dynamic folder is saved as a<span\nstyle='font-weight:bold;font-style:italic'> view filter</span>, you can display the number of entries contained in the client.</p>\n\n\n<p>The view filter can be configured in the tile settings (ELO&nbsp;10). In the options, you can define whether to <span\nstyle='font-weight:bold;font-style:italic'>pin view filters to the navigation bar </span> or show the <span\nstyle='font-weight:bold;font-style:italic'>number of entries for a filter</span>.</p>\n\n\n<p><p><img src=\"guides/p696709C3_49EB_48C4_9963_DFC565BB36EC/img3.png\" alt=\"\" width=\"1597\" height=\"789\"></p></p>\n\n\n<h2 id='p696709C3_49EB_48C4_9963_DFC565BB36EC-section-creating-custom-folders'>Creating custom folders</h2>\n\n\n<p>Custom views can be created using the <span\nstyle='font-weight:bold;font-style:italic'>Create dynamic folder</span> function offered by the ELO Java Client search. </p>\n\n\n<p><span class=\"tag_warning\">When adding contracts, make sure the contracts are identified by their object type (index field <span\nstyle='font-weight:bold;font-style:italic'>SOL_TYPE = CONTRACT</span>). For multilingual environments, you should also identify the status by its prefix. (S* instead of S - concluded)</span></p>\n\n\n<p><span class=\"tag_important\">Starting with ELO version 10.1, you can perform relative date range searches (starting from the current day), for example for contracts from the past 30 days. The ELO Indexserver supports this function starting with version 9.3.</span></p>\n\n\n<p><span\nstyle='font-weight:bold'>Creating relative date ranges with ELO 10 or lower</span></p>\n\n\n<p>Relative date ranges can be created manually for ELO 9.3 and ELO 10. For this, you have to create a form search that contains all required criteria. After you have saved this form as a dynamic folder, the extra text contains a JSON search definition for the Indexserver.</p>\n\n\n<p>Information on the structure of date searches can be found in the version history and Indexserver JavaDoc. The ObjKey data object has to be modified.</p>\n\n\n<pre><code>&quot;data&quot;:[&quot;+0000-00-00...+0000-00-30&quot;]\n</code></pre>\n\n\n<p>The entire content of the extra text (here, for <span\nstyle='font-weight:bold;font-style:italic'>contracts expiring in the next 30 days</span>) then looks as follows.</p>\n\n\n<pre><code>!=JSON10{&quot;findByIndex&quot;:{&quot;delDateIso&quot;:&quot;&quot;,&quot;kind&quot;:&quot;&quot;,&quot;maskId&quot;:&quot;&quot;,&quot;exactName&quot;:false,&quot;acl&quot;:&quot;&quot;,&quot;pathId&quot;:&quot;&quot;,&quot;objKeys&quot;:[\n{&quot;data&quot;:[&quot;CONTRACT&quot;],&quot;name&quot;:&quot;SOL_TYPE&quot;,&quot;objId&quot;:0,&quot;id&quot;:0,&quot;clazz&quot;:&quot;de.elo.ix.client.ObjKey&quot;},\n{&quot;data&quot;:[&quot;+0000-00-30...+0000-00-00&quot;],&quot;name&quot;:&quot;NEXT_POSSIBLE_TERMINATION&quot;,&quot;objId&quot;:0,&quot;id&quot;:0,&quot;clazz&quot;:&quot;de.elo.ix.client.ObjKey&quot;}, \n{&quot;data&quot;:[&quot;CONTRACT&quot;],&quot;name&quot;:&quot;SOL_TYPE&quot;,&quot;objId&quot;:0,&quot;id&quot;:0,&quot;clazz&quot;:&quot;de.elo.ix.client.ObjKey&quot;},\n{&quot;data&quot;:[&quot;S*&quot;],&quot;name&quot;:&quot;CONTRACT_STATUS&quot;,&quot;objId&quot;:0,&quot;id&quot;:0,&quot;clazz&quot;:&quot;de.elo.ix.client.ObjKey&quot;}],\n&quot;ownerId&quot;:&quot;&quot;,&quot;xDateIso&quot;:&quot;&quot;,&quot;iDateIso&quot;:&quot;&quot;,&quot;name&quot;:&quot;&quot;,&quot;clazz&quot;:&quot;de.elo.ix.client.FindByIndex&quot;,&quot;desc&quot;:&quot;&quot;},&quot;clazz&quot;:&quot;de.elo.ix.client.FindInfo&quot;,&quot;findOptions&quot;:{&quot;searchLifetimeSeconds&quot;:0,&quot;escapeChar&quot;:&quot;&quot;,&quot;evalCount&quot;:false,&quot;searchMode&quot;:{&quot;_bs&quot;:[0,0,0,0],&quot;clazz&quot;:&quot;de.elo.ix.client.SearchModeZ&quot;},&quot;wildcards&quot;:&quot;&quot;,&quot;orderBy&quot;:&quot;&quot;,&quot;onlyDeleted&quot;:false,&quot;lockZ&quot;:{&quot;_bs&quot;:[0,0,0,0],&quot;clazz&quot;:&quot;de.elo.ix.client.LockZ&quot;},&quot;totalCount&quot;:0,&quot;TStamp&quot;:&quot;&quot;,&quot;searchId&quot;:&quot;&quot;,&quot;rangeDelimiter&quot;:&quot;...&quot;,&quot;reserved&quot;:&quot;0&quot;,&quot;sortOrder&quot;:1005,&quot;excludeSummary&quot;:true,&quot;timeoutSeconds&quot;:0,&quot;clazz&quot;:&quot;de.elo.ix.client.FindOptions&quot;,&quot;inclDeleted&quot;:false}}\n</code></pre>\n\n","title":"Dynamic folders"});