Ext.data.JsonP.p7B9917EA_3551_445E_A621_AF59E23AE8DF({"guide":"<h1 id='p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-contract-types'>Contract types</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-administration'>Administration</a>\n </li>\n<li>2. <a href='#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-technical-implementation-and-manual-configuration'>Technical implementation and manual configuration</a>\n </li>\n<li>3. <a href='#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-permissions'>Permissions</a>\n </li>\n<li>4. <a href='#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-manual-creation-of-a-new-contract-type'>Manual creation of a new contract type</a>\n </li>\n<li>5. <a href='#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-additional-information'>Additional information</a>\n </li>\n</ul></div>\n\n\n<p>A contract type describes a contract file with the associated metadata. Furthermore, the contract type defines which generators are used when creating a contract. All contracts <span\nstyle='font-weight:bold;text-decoration:underline'>must</span> be based on a contract type.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Metadata and structures for an application can be preset with the help of contract types. For example, if the responsible department and a risk classification are to be preset for a service contract, this can be preset in the contract type.</span></p>\n</blockquote>\n\n\n<p><span class=\"tag_important\">When a new contract is created, the contract type is copied from the configuration, including all the metadata and child structures. Administrative information, such as the stored name generator, is then evaluated by the <a\nhref=\"#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A\">Create contract</a> action.</span></p>\n\n\n<p>The following shows a sample structure, as well as the minimum configuration for a <span\nstyle='font-weight:bold;font-style:italic'>service contract</span> type contract.</p>\n\n\n<p><p><img src=\"guides/p7B9917EA_3551_445E_A621_AF59E23AE8DF/img1.png\" alt=\"\" width=\"806\" height=\"225\"></p></p>\n\n\n<h2 id='p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-administration'>Administration</h2>\n\n\n<p>You can create and edit contract templates via the contract management configuration.</p>\n\n\n<p><p><img src=\"guides/p7B9917EA_3551_445E_A621_AF59E23AE8DF/img3.png\" alt=\"\" width=\"1023\" height=\"672\"></p></p>\n\n\n<p>You can generate new types based on existing ones. You can also extend, delete, and edit child structures. Save any changes to the structures by clicking &quot;Save&quot;.</p>\n\n\n<p><p><img src=\"guides/p7B9917EA_3551_445E_A621_AF59E23AE8DF/img5.png\" alt=\"\" width=\"1199\" height=\"550\"></p></p>\n\n\n<h2 id='p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-technical-implementation-and-manual-configuration'>Technical implementation and manual configuration</h2>\n\n\n<h3 id='p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-definition-and-structure'>Definition and structure</h3>\n\n\n<p>Contracts are filed to <code>Administration\\Business Solutions Custom\\contract\\Configuration\\Contract types</code> in the ELO repository. Each contract type is a folder that can contain child structures. The folder content describes the subsequent template for the contract.</p>\n\n\n<p><p><img src=\"guides/p7B9917EA_3551_445E_A621_AF59E23AE8DF/img7.png\" alt=\"\" width=\"301\" height=\"312\"></p></p>\n\n\n<p>Contract types are described by the keywording form and the metadata of the contract (keywording form: <span\nstyle='font-weight:bold;font-style:italic'>Contract</span>). Conversely, this means that each contract type must contain at least the contract's master metadata. If additional index fields are required for a file type, the <span\nstyle='font-weight:bold;font-style:italic'>Contract</span> form can be copied and expanded accordingly.</p>\n\n\n<p><span class=\"tag_important\">Contract types therefore are not restricted to the default keywording form 'File'. The <span\nstyle='font-weight:bold;font-style:italic'>Solution Object Type (SOL_TYPE)</span> index field identifies whether an ELO object is a file. By default, this object must be labeled <span\nstyle='font-weight:bold;font-style:italic'>CONTRACT</span> in new keywording forms.</span></p>\n\n\n<p><span class=\"tag_warning\">Here, you have to check whether a keywording form is necessary for extensions. Map fields allow you to save additional information in the form, but this data cannot be searched or indexed.</span></p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>If the first and last name as well as the employee number are also required for an </span><span\nstyle='font-weight:bold;font-style:italic'>employment contract</span><span\nstyle='font-style:italic'>, a new </span><span\nstyle='font-weight:bold;font-style:italic'>Employee contract </span><span\nstyle='font-style:italic'>keywording form containing at least all the index fields from the </span><span\nstyle='font-weight:bold;font-style:italic'>Contract </span><span\nstyle='font-style:italic'>keywording form must be created. If index fields from the </span><span\nstyle='font-weight:bold;font-style:italic'>Contract</span><span\nstyle='font-style:italic'> keywording form are not required, we recommend hiding them in the form design and removing the corresponding form components.</span></p>\n</blockquote>\n\n\n<h2 id='p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-permissions'>Permissions</h2>\n\n\n<p>Contract types can be assigned different rights in the configuration. Generally, all users with read permissions to a contract type can also create this type of contract. This allows you to control which users are able to create what type of contracts. </p>\n\n\n<p>Write permissions to the contract type should only be given to users that are also permitted to edit contract types.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Example: Only employees from the HR department should be able to create employment contracts. Permissions for the contract type should therefore only give these users read access. Administrators are also given write permissions since they can make changes to the structure of the contract type, for example.</span></p>\n</blockquote>\n\n\n<p><span class=\"tag_important\">Permissions can be used to restrict the types visible to a user. Different forms of a contract type are also possible. Since the contract type is later named in the <span\nstyle='font-weight:bold;font-style:italic'>CONTRACT_TYPE</span> index field, multiple templates (contract types) can be realized with different presets. The following example shows a specialized contract type: <span\nstyle='font-weight:bold'>subscription &ndash; IT magazine &ndash; annual subscription</span>.</span></p>\n\n\n<p><p><img src=\"guides/p7B9917EA_3551_445E_A621_AF59E23AE8DF/img9.png\" alt=\"\" width=\"381\" height=\"269\"></p></p>\n\n\n<h2 id='p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-manual-creation-of-a-new-contract-type'>Manual creation of a new contract type</h2>\n\n\n<p>On creation, a separate folder is added for each contract type; the desired keywording form must be selected for this folder. By default, the <span\nstyle='font-weight:bold;font-style:italic'>Contract</span> keywording form should be selected here. The folder content describes the subsequent template for the contract. Content is copied to a new contract accordingly.</p>\n\n\n<p><span\nstyle='font-weight:bold'>Step 1: Select the <code>Contract types</code> folder</span></p>\n\n\n<p>Contract types can be filed to the <code>Administration\\Business Solutions Custom\\contract\\Configuration\\Contract types</code> folder as objects. First, this folder has to be selected.</p>\n\n\n<p><span\nstyle='font-weight:bold'>Step 2: Create a new folder to serve as the basis for the contract type</span></p>\n\n\n<p>In the client, select the standard ELO function &quot;New folder&quot; in the ribbon. The &quot;Create new folder&quot; dialog box opens. Next, the keywording form has to be selected. If no custom keywording form was created for the contract type, the <span\nstyle='font-weight:bold;font-style:italic'>Contract</span> form can be selected.</p>\n\n\n<p><span class=\"tag_important\">You can copy an existing type to include all information required as well as a suggestion for a child structure. In this case, you will only have to modify the the contract category, contract type, and short name.</span></p>\n\n\n<p><span\nstyle='font-weight:bold'>Step 3: Add information required for the contract</span></p>\n\n\n<p>The &quot;Contract type&quot; and &quot;Contract category&quot; must be specified on the contract data tab. The short name for the file type also has to be set.</p>\n\n\n<table><thead><tr><td>Field</td><td>Description</td></tr></thead><tbody><tr><td>Short name</td><td>The short name of the contract type is used in the selection dialog box when creating new contracts. The name of the new contract type should be entered here.</td></tr><tr><td>Contract type</td><td>Name of the contract type. This allows users to search for this type of contract later.</td></tr><tr><td>Contract category</td><td>Name of the contract category. This allows users to combine different contract types logically later.</td></tr></tbody></table>\n\n\n\n\n<p>Step 4: Administrative information</p>\n\n\n<p>On the Administration tab, the default workflow has to be entered for the <a\nhref=\"#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A\">Create contract</a> action, as well as the desired contract number generator and name generator.</p>\n\n\n<table><thead><tr><td>Field</td><td>Description</td></tr></thead><tbody><tr><td>Default workflow: Create contract</td><td>Technical workflow for <span\nstyle='font-weight:bold;font-style:italic'>Create contract</span> action. Additional information can be found in the action description.</td></tr><tr><td>Name generator </td><td>The name generator for creating new contracts can be specified here. The name generator generates a unique short name for a contract.</td></tr><tr><td>Contract number generator</td><td>The generator for creating a contract number can be specified here.</td></tr></tbody></table>\n\n\n\n\n<h2 id='p7B9917EA_3551_445E_A621_AF59E23AE8DF-section-additional-information'>Additional information</h2>\n\n\n<p>The <a\nhref=\"#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A\">Create contract</a> action requires a technical workflow that controls the creation of a new contract. Depending on the contract type, you may want to add custom workflows. You can do this by specifying a <span\nstyle='font-weight:bold;font-style:italic'>Default workflow</span>.</p>\n\n\n<p><span class=\"tag_warning\">Deleting or editing a contract type does not have any effects on any contracts of this type that have already been created.</span></p>\n\n","title":"Contract types"});