Ext.data.JsonP.p83D97DC8_3179_4C49_BD79_E02E6ED4DB18({"guide":"<h1 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-deadlines%2Fdurations%2Freminders'>Deadlines/durations/reminders</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-contract-term'>Contract term</a>\n </li>\n<li>2. <a href='#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-notice-period'>Notice period</a>\n </li>\n<li>3. <a href='#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-reminder'>Reminder</a>\n </li>\n<li>4. <a href='#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-calculating-recurring-periods'>Calculating recurring periods</a>\n </li>\n</ul></div>\n\n\n<h2 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-contract-term'>Contract term</h2>\n\n\n<p>For contract durations, a differentiation is made between<span\nstyle='font-weight:bold;font-style:italic'> no term</span>, <span\nstyle='font-weight:bold;font-style:italic'>fixed-term</span>, and <span\nstyle='font-weight:bold;font-style:italic'>permanent contracts</span>. The contract start and contract end describe the period in which <a\nhref=\"#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8\">a concluded contract is active</a>. Correctly assessing the contract duration requires the following information:</p>\n\n\n<table><thead><tr><td></td><td>Calculation of the contract end</td></tr></thead><tbody><tr><td></td><td>Contract start</td></tr><tr><td>+</td><td>Term</td></tr><tr><td>=</td><td>Contract end</td></tr></tbody></table>\n\n\n\n\n<h3 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-no-term'>No term</h3>\n\n\n<p>Contracts without a term allow you to file purchase contracts without terms, for example. In this case, the status should be &quot;concluded&quot;.</p>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img1.png\" alt=\"\" width=\"758\" height=\"161\"></p></p>\n\n\n<h3 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-fixed-term-contracts'>Fixed-term contracts</h3>\n\n\n<p>Entering the contract end is optional and this value can be calculated automatically based on the contract start by specifying a duration. If you do not want it to be calculated automatically, leave the duration blank.</p>\n\n\n<p>To automatically extend the duration of a contract, you can also enter an extension period. If this period is set, the contract end is automatically recalculated once it lapses. See also <a\nhref=\"#!/guide/pD57B9D9E_A702_4D44_8093_95476C788079\">Automatic contract extension</a>.</p>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img3.png\" alt=\"\" width=\"807\" height=\"229\"></p></p>\n\n\n<p>A fixed-term contract has a predefined duration and a set contract end. This does not affect agreements on automatically extending contracts if the contractual relationship has not been terminated.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A newspaper subscription is concluded on May 1, 2016. The contract will begin the following month (June 1, 2016). The set contract duration is 2 years. The contract end is automatically calculated to be June 1, 2018.</span></p>\n</blockquote>\n\n\n<h3 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-permanent-contracts'>Permanent contracts</h3>\n\n\n<p>Permanent contracts do not have a planned contract end and therefore remain active from their conclusion to their termination. </p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A framework contract is concluded with a supplier on negotiated terms. These remain in force until one of the parties terminates the framework contract. No minimum duration is agreed for the contract.</span></p>\n</blockquote>\n\n\n<p><span class=\"tag_important\">To correctly assess possible termination dates and reminders, the next possible contract end date is calculated. It is determined based on the value entered to <span\nstyle='font-weight:bold;font-style:italic'>Termination on [e.g. end of quarter]</span>. The contract end, next possible termination date, and, if desired, the reminder are re-calculated daily for all permanent contracts.</span></p>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img5.png\" alt=\"\" width=\"803\" height=\"372\"></p></p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A permanent framework contract is concluded. Generally, all framework contracts are reassessed at the end of the year. It is therefore recommended to add a one-month reminder for terminations at the end of the year. The responsible employee is then notified in November.</span></p>\n<p><span\nstyle='font-style:italic'>Permanent employment contracts have a notice period of 4 weeks to the end of the month. A notice period of 4 weeks with termination at the end of the quarter can be set here. The system automatically recalculates the values, meaning both the search function and contract management dashboard access the correct data.</span></p>\n</blockquote>\n\n\n<h2 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-notice-period'>Notice period</h2>\n\n\n<p>The last day a contract can be terminated is set via the <span\nstyle='font-weight:bold;font-style:italic'>notice period</span>. The <span\nstyle='font-weight:bold;font-style:italic'>notice period</span> depends on the calculated or set contract end and is recalculated for <a\nhref=\"#!/guide/pD57B9D9E_A702_4D44_8093_95476C788079\">automatic contract extension</a>.</p>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img7.png\" alt=\"\" width=\"804\" height=\"146\"></p></p>\n\n\n<h3 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-point-of-termination'>Point of termination</h3>\n\n\n<p>By default, the notice period is subtracted from the planned <span\nstyle='font-weight:bold;font-style:italic'>contract end</span>, which calculates the date of <span\nstyle='font-weight:bold;font-style:italic'>next possible termination</span>. </p>\n\n\n<table><thead><tr><td></td><td>Calculation of the notice period</td></tr></thead><tbody><tr><td></td><td>Contract end</td></tr><tr><td>-</td><td>Notice period</td></tr><tr><td>=</td><td>Next possible termination</td></tr></tbody></table>\n\n\n\n\n<p>For many contracts, notice periods are agreed for the end of the month or year, for example. This can be defined via the <span\nstyle='font-weight:bold;font-style:italic'>Termination on</span> field.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A contract beginning on February 1, 2016 has a duration of one year and a notice period of one month before the end of the year. Logically, this results in a notice period of 2 months. To automatically calculate the notice period, the contract end is first revised downwards to the end of the year (</span><span\nstyle='font-weight:bold;font-style:italic'>Termination on</span><span\nstyle='font-style:italic'>) and the entered deadline is the subtracted.</span></p>\n</blockquote>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img9.png\" alt=\"\" width=\"383\" height=\"184\"></p></p>\n\n\n<p>Entering a notice period is optional. </p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>If a notice period is agreed by date in a contract, this date can be set directly as the next notice period.</span></p>\n</blockquote>\n\n\n<h3 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-contract-termination-date'>Contract termination date</h3>\n\n\n<p>The date on which a <a\nhref=\"#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7\">contract is terminated</a> can be entered in the <span\nstyle='font-weight:bold;font-style:italic'>Terminated on</span> field. This also documents whether the termination was proper or improper, and provides transparency. </p>\n\n\n<h3 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-special-termination-right'>Special termination right</h3>\n\n\n<p>For fixed-term contracts, you can define a special termination right during the year. </p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>This allows you to configure termination at the end of the year for contracts with a duration of 2 years, for example. A contract with a duration to August 31, 2020, can therefore be terminated on October 31, 2019, if a notice period of 2 months to the end of the year was agreed upon. The next possible contract end is therefore December 31, 2019.</span></p>\n</blockquote>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img11.png\" alt=\"\" width=\"815\" height=\"402\"></p></p>\n\n\n<h2 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-reminder'>Reminder</h2>\n\n\n<p>A reminder helps contract managers not to miss notice periods. The <span\nstyle='font-weight:bold;font-style:italic'>next reminder date</span> is calculated based on the <span\nstyle='font-weight:bold;font-style:italic'>next possible termination date</span> and the <span\nstyle='font-weight:bold;font-style:italic'>reminder period</span>. </p>\n\n\n<table><thead><tr><td></td><td>Calculating the reminder</td></tr></thead><tbody><tr><td></td><td>Next possible termination</td></tr><tr><td>-</td><td>Reminder period</td></tr><tr><td>=</td><td>Next reminder date</td></tr></tbody></table>\n\n\n\n\n<p>A task is assigned to the manager for the set reminder in good time. See also <a\nhref=\"#!/guide/pD51ECB99_7643_4866_8024_70FA03918AE8\">Automatic reminder</a>.</p>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img13.png\" alt=\"\" width=\"407\" height=\"122\"></p></p>\n\n\n<h2 id='p83D97DC8_3179_4C49_BD79_E02E6ED4DB18-section-calculating-recurring-periods'>Calculating recurring periods</h2>\n\n\n<p>Recurring periods can be calculated based on different standards.</p>\n\n\n<p>The <span\nstyle='font-weight:bold;font-style:italic'>contract end</span> can therefore take place after a duration of <span\nstyle='font-weight:bold;font-style:italic'>one year</span> or <span\nstyle='font-weight:bold;font-style:italic'>24 months</span>. The same applies to the <span\nstyle='font-weight:bold;font-style:italic'>extension period</span>, <span\nstyle='font-weight:bold;font-style:italic'>notice period</span>, and <span\nstyle='font-weight:bold;font-style:italic'>reminders</span>.</p>\n\n\n<p><p><img src=\"guides/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18/img15.png\" alt=\"\" width=\"707\" height=\"266\"></p></p>\n\n\n<p>Recurring periods are represented by a localized keyword list. The configuration <code>Administration\\Business Solutions Custom\\contract\\localizedKwls.config</code> contains a keyword list <code>calendarUnit</code>, which allows you to offer further periods. By default, the following options are available:</p>\n\n\n<table><thead><tr><td>Key</td><td>Description</td></tr></thead><tbody><tr><td>y</td><td>Year(s)</td></tr><tr><td>S</td><td>Quarter(s)</td></tr><tr><td>M</td><td>Month(s)</td></tr><tr><td>w</td><td>Week(s)</td></tr><tr><td>d</td><td>Day(s)</td></tr></tbody></table>\n\n\n\n\n<p><span class=\"tag_important\">The addition of new periods has to be taken into consideration in many places, such as for automatic extension and reminders, as well as in the form. Internal calculation is performed by <span\nstyle='font-weight:bold;font-style:italic'>moment.js</span>.</span></p>\n\n","title":"Deadlines/durations/reminders"});