Ext.data.JsonP.p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F({"guide":"<h1 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-labels%2Fphysical-link-to-the-contract-document'>Labels/physical link to the contract document</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-labels-for-identifying-contracts'>Labels for identifying contracts</a>\n </li>\n<li>2. <a href='#!/guide/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-action%3A-create-label'>Action: Create label</a>\n </li>\n<li>3. <a href='#!/guide/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-configuring-label-templates'>Configuring label templates</a>\n </li>\n<li>4. <a href='#!/guide/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-printing-labels'>Printing labels</a>\n </li>\n</ul></div>\n\n\n<p><span class=\"tag_important\">Labels enable standardized filing and, like <a\nhref=\"#!/guide/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B\">cover sheets</a>, they provide a link to the digital document.</span></p>\n\n\n<h2 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-labels-for-identifying-contracts'>Labels for identifying contracts</h2>\n\n\n<p>The contract number and the responsible employee are used to assign physical elements later. \nBy default, labels are generated in the <span\nstyle='font-weight:bold'>format 88&nbsp;mm x 50&nbsp;mm</span>.</p>\n\n\n<p><p><img src=\"guides/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F/img1.png\" alt=\"\" width=\"504\" height=\"284\"></p></p>\n\n\n<p>Additional QR codes help to identify contracts using common barcode scanners. The basis for this is an elodms link that can be used with the ELO Java Client or the ELO iOS/Android app. This link contains the ELO GUID of the contract, e.g.: <code>elodms://(97062DB4-DCBC-3F0F-DB33-248B85549B7A)</code></p>\n\n\n<p>The Apple App Store and Google Play Store both feature a number of good barcode apps that can be used to scan ELO links. The following figure shows the iOS app RedLaser from eBay inc.\n<p><img src=\"guides/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F/img3.png\" alt=\"\" width=\"284\" height=\"502\"></p></p>\n\n\n<h2 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-action%3A-create-label'>Action: Create label</h2>\n\n\n<p>Creates a label for the selected contract in PDF format.</p>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon.</p>\n\n\n<p><p><img src=\"guides/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F/img5.png\" alt=\"\" width=\"1439\" height=\"165\"></p></p>\n\n\n<h3 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>A contract is selected.</li>\n<li>Select a <span\nstyle='font-weight:bold'>template for the label </span> (optional if only one is available)</li>\n</ul>\n\n\n<h3 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.documents.CreateLabel</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by ELOas action <code><a href=\"#!/api/sol.contract.as.actions.CreateLabel\" rel=\"sol.contract.as.actions.CreateLabel\" class=\"docClass\">sol.contract.as.actions.CreateLabel</a></code>. This creates a PDF with the help of Apache FOP and files it with the current contract.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client.</td><td></td></tr></tbody></table>\n\n\n\n\n<h2 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-configuring-label-templates'>Configuring label templates</h2>\n\n\n<p>Labels are based on Apache FOP templates and use handlebars.js for data evaluation. Labels are located in the contract management configuration Templates for labels.</p>\n\n\n<p><p><img src=\"guides/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F/img7.png\" alt=\"\" width=\"1122\" height=\"289\"></p></p>\n\n\n<h2 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-printing-labels'>Printing labels</h2>\n\n\n<p>When selecting a suitable label printer, make sure the format 88&nbsp;mm x 50&nbsp;mm is supported. Otherwise, the template for creating labels has to be modified.</p>\n\n\n<p>Generally, the <span\nstyle='font-weight:bold'>Leitz Icon</span> label printer, which supports this format, can be recommended. This unit is particularly fast and mobile.</p>\n\n\n<p><p><img src=\"guides/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F/img9.png\" alt=\"\" width=\"230\" height=\"129\"></p></p>\n\n\n<h3 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-setting-up-the-label-printer'>Setting up the label printer</h3>\n\n\n<p>Some label printers require the format used to be set ahead of time if printing via the printer driver. This setting can be made in the label printer's general print settings. The format 88&nbsp;mm x 50&nbsp;mm corresponds to the <code>Multipurpose 2''x3.2''</code> paper for the Leitz Icon, for example.</p>\n\n\n<p><p><img src=\"guides/p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F/img11.png\" alt=\"\" width=\"687\" height=\"616\"></p></p>\n\n\n<h3 id='p9505BD18_ECD2_4FF5_8E16_9A1C74E2AB5F-section-selecting-a-default-printer-for-elo'>Selecting a default printer for ELO</h3>\n\n\n<p>The <span\nstyle='font-weight:bold;font-style:italic'>Print document</span> function in the ELO Java Client uses the Windows default printer. In this case, the label printer has to be configured as the default printer in Windows.</p>\n\n\n<p>If you also want to print normally at your computer, the ELO Java Client <span\nstyle='font-weight:bold;font-style:italic'>Fax document</span> function can be used for the label printer. The label printer simply has to be set as the default printer for faxes in the ELO Java Client configuration.</p>\n\n","title":"Labels/physical link to the contract document"});