Ext.data.JsonP.p959B87FA_0E23_4ADF_BC5A_33950D619F28({"guide":"<h1 id='p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-current-exchange-rate-for-foreign-currencies'>Current exchange rate for foreign currencies</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-accessing-exchange-rates'>Accessing exchange rates</a>\n </li>\n<li>2. <a href='#!/guide/p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-provision-of-exchange-rates'>Provision of exchange rates</a>\n </li>\n<li>3. <a href='#!/guide/p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-automatic-update'>Automatic update</a>\n </li>\n<li>4. <a href='#!/guide/p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-database-structure'>Database structure</a>\n </li>\n</ul></div>\n\n\n<p>To correctly evaluate the contract volume and liquidity planning, daily exchange rates from the European Central Bank are available.</p>\n\n\n<h2 id='p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-accessing-exchange-rates'>Accessing exchange rates</h2>\n\n\n<p>The exchange rates of the following foreign currencies are determined using up-to-date information provided by the ECB. The exchange rates are currently calculated at around 15:00&nbsp;(CET) based on data from all European and world central banks.</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Abbreviation</span></td><td><span\nstyle='font-weight:bold'>Name</span></td><td></td><td><span\nstyle='font-weight:bold'>Abbreviation</span></td><td><span\nstyle='font-weight:bold'>Name</span></td></tr></thead><tbody><tr><td>USD</td><td>US dollar</td><td></td><td>BRL</td><td>Brazilian real</td></tr><tr><td>JPY</td><td>Japanese yen</td><td></td><td>CAD</td><td>Canadian dollar</td></tr><tr><td>BGN</td><td>Bulgarian lev</td><td></td><td>CNY</td><td>Chinese yuan renminbi</td></tr><tr><td>CZK</td><td>Czech koruna</td><td></td><td>HKD</td><td>Hong Kong dollar</td></tr><tr><td>DKK</td><td>Danish krone</td><td></td><td>IDR</td><td>Indonesian rupiah</td></tr><tr><td>GBP</td><td>Pound sterling</td><td></td><td>ILS</td><td>Israeli shekel</td></tr><tr><td>HUF</td><td>Hungarian forint</td><td></td><td>INR</td><td>Indian rupee</td></tr><tr><td>PLN</td><td>Polish zloty</td><td></td><td>KRW</td><td>South Korean won</td></tr><tr><td>RON</td><td>Romanian leu</td><td></td><td>MXN</td><td>Mexican peso</td></tr><tr><td>SEK</td><td>Swedish krona</td><td></td><td>MYR</td><td>Malaysian ringgit</td></tr><tr><td>CHF</td><td>Swiss franc</td><td></td><td>NZD</td><td>New Zealand dollar</td></tr><tr><td>NOK</td><td>Norwegian krone</td><td></td><td>PHP</td><td>Philippine peso</td></tr><tr><td>HRK</td><td>Croatian kuna</td><td></td><td>SGD</td><td>Singapore dollar</td></tr><tr><td>RUB</td><td>Russian rouble</td><td></td><td>THB</td><td>Thai baht</td></tr><tr><td>TRY</td><td>Turkish lira</td><td></td><td>ZAR</td><td>South African rand</td></tr><tr><td>AUD</td><td>Australian dollar</td><td></td><td>EUR</td><td>Euro (base currency)</td></tr></tbody></table>\n\n\n\n\n<h2 id='p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-provision-of-exchange-rates'>Provision of exchange rates</h2>\n\n\n<p>The exchange rates are available in the database in the <code>dbo.sol_common_fx </code>table.</p>\n\n\n<p>In addition, a keyword list for applying exchange rates is offered in incoming invoices.</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Type</span></td><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Description</span></td></tr></thead><tbody><tr><td>Dynamic keyword list</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.Currency\" rel=\"sol.contract.ix.dynkwl.Currency\" class=\"docClass\">sol.contract.ix.dynkwl.Currency</a></td><td>Loads codes, symbols, and exchange rates</td></tr></tbody></table>\n\n\n\n\n<h2 id='p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-automatic-update'>Automatic update</h2>\n\n\n<p>The data is refreshed every three hours using an ELOas rule <code>sol.common.fx.as.UpdateExchangeRates.</code>\nThis rule uses the IX function <code>RF_sol_common_fx_service_LoadExchangeRates</code> with the parameter <code>persist = true</code>.</p>\n\n\n<h2 id='p959B87FA_0E23_4ADF_BC5A_33950D619F28-section-database-structure'>Database structure</h2>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Column name</span></td><td><span\nstyle='font-weight:bold'>Data type</span></td><td><span\nstyle='font-weight:bold'>NULL allowed</span></td><td><span\nstyle='font-weight:bold'>Description</span></td><td><span\nstyle='font-weight:bold'>Update by ELOas</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>currency_code</span></td><td>nvarchar(10)</td><td>No</td><td>3-digit currency code</td><td>No</td></tr><tr><td><span\nstyle='font-weight:bold'>currency_exchange_rate</span></td><td>nvarchar(10)</td><td>No</td><td>Exchange rate to euros</td><td>Yes</td></tr><tr><td><span\nstyle='font-weight:bold'>currency_symbol</span></td><td>nvarchar(10)</td><td>Yes</td><td>Currency symbol</td><td>Yes</td></tr><tr><td><span\nstyle='font-weight:bold'>currency_description</span></td><td>nvarchar(50)</td><td>Yes</td><td>Name of the currency</td><td>No</td></tr><tr><td><span\nstyle='font-weight:bold'>time</span></td><td>nvarchar(14)</td><td>Yes</td><td>Last update ISO date string</td><td>Yes</td></tr></tbody></table>\n\n","title":"Current exchange rate for foreign currencies"});