Ext.data.JsonP.p987E8B3B_D687_486E_A601_F4A3D4ED84EA({"guide":"<h1 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-create-document-from-template'>Create document from template</h1>\n\n\n<p>When creating documents, all available <a\nhref=\"#!/guide/p2F6C9FC4_91A9_4C37_B107_05A466B7C906\">document templates</a> can be used. This allows you to generate standardized documents for a contract and to take over information from the contract.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A new contract document is created for a contract. In the document header, the contacts and the contract partner's address are filled in automatically.</span></p>\n</blockquote>\n\n\n<h2 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-action%3A-create-document'>Action: Create document</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon.</p>\n\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img1.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<h3 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>The user is in the client on or within a contract.</li>\n<li>Select a <span\nstyle='font-weight:bold'>document template</span></li>\n</ul>\n\n\n<h3 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-data-input'>Data input</h3>\n\n\n<p>The <span\nstyle='font-weight:bold;font-style:italic'>002_create_document</span> from tab group from the <span\nstyle='font-weight:bold;font-style:italic'>sol_contract_document</span> form is used for data input.</p>\n\n\n<p><span class=\"tag_warning\">Additional information has to be stored from the name in the document template. If there are no CUSTOM fields, the entire <code>Additional information</code> block is hidden.</span></p>\n\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img3.png\" alt=\"\" width=\"601\" height=\"601\"></p></p>\n\n\n<p>The form consists of the following components:</p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Document</span></td><td><span\nstyle='font-weight:bold'>Additional information</span></td></tr></thead><tbody><tr><td>210_document</td><td>220_general_readonly</td></tr><tr><td>311_additional_info_create</td><td>230_company_readonly</td></tr><tr><td></td><td>240_contract_data_readonly</td></tr><tr><td></td><td>250_partner_readonly</td></tr></tbody></table>\n\n\n\n\n<h3 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.documents.CreateDocument</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by ELOas actions <code><a href=\"#!/api/sol.contract.as.actions.PrepareDocument\" rel=\"sol.contract.as.actions.PrepareDocument\" class=\"docClass\">sol.contract.as.actions.PrepareDocument</a></code> and <code><a href=\"#!/api/sol.contract.as.actions.CreateDocument\" rel=\"sol.contract.as.actions.CreateDocument\" class=\"docClass\">sol.contract.as.actions.CreateDocument</a></code>.</p>\n\n\n<p>These are interlinked actions. After the action is started (by clicking the button on the ribbon), <span\nstyle='font-weight:bold;font-style:italic'>PrepareDocument</span> is executed. Once the user has <span\nstyle='font-weight:bold;font-style:italic'> successfully entered the data</span> (by submitting the form), <span\nstyle='font-weight:bold;font-style:italic'>CreateDocument</span> is triggered.</p>\n\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img5.png\" alt=\"\" width=\"836\" height=\"618\"></p></p>\n\n\n<p><span class=\"tag_important\">This interlinking is necessary to give the second action (or the template) access to all document metadata (including all generated values). Additional information on interlinked actions can be found in the general documentation on &quot;Business Solutions.&quot;</span></p>\n\n\n<p>PrepareDocument creates an empty document based on the selected template and starts the workflow set to default for the document. The default workflow allows you to control the technical workflow for data capture as well as presetting of information based on the document type.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Example: The standard logic in the form for creating new documents is insufficient. In this case, the <code>sol.contract.document.create</code> workflow can be copied and the user form can be tailored to the document type. As a result, you can address special situations for different keywording forms.</span></p>\n</blockquote>\n\n\n<p>Next, the CreateDocument action is called. This action opens the document and replaces placeholders with information from the contract or custom fields in the document.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<p><span\nstyle='font-weight:bold'>PrepareDocument</span></p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Shows the form to input data in a dialog box.</td><td></td></tr><tr><td>ACTION</td><td>Opens after an entry is made in the <span\nstyle='font-weight:bold'>CreateDocument</span> form.</td><td>SUCCESS</td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>CreateDocument</span></p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client.<br />Document checked out and opened.</td><td></td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>Description of the workflow</span></p>\n\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img7.png\" alt=\"\" width=\"433\" height=\"390\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>collect data (file)</span></td><td><span\nstyle='font-weight:bold'></span><br />Captures the required information</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>create document</span></td><td><span\nstyle='font-weight:bold'>Creates (passes forward) document</span></td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>cancel</span></td><td><span\nstyle='font-weight:bold'>Cancels (passes forward)</span></td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>DELETE : temporary file</span></td><td>Deletes the temporary element</td><td><a href=\"#!/api/sol.common.ix.functions.Delete\" rel=\"sol.common.ix.functions.Delete\" class=\"docClass\">sol.common.ix.functions.Delete</a></td></tr><tr><td><span\nstyle='font-weight:bold'>USERTOINDEX : responsible user</span></td><td>Sets the current user as the document manager.</td><td><a href=\"#!/api/sol.common.ix.functions.UserToIndex\" rel=\"sol.common.ix.functions.UserToIndex\" class=\"docClass\">sol.common.ix.functions.UserToIndex</a></td></tr></tbody></table>\n\n","title":"Create document from template"});