Ext.data.JsonP.pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B({"guide":"<h1 id='pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B-section-contractual-relationship'>Contractual relationship</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B-section-incoming-contracts'>Incoming contracts</a>\n </li>\n<li>2. <a href='#!/guide/pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B-section-outgoing-contracts'>Outgoing contracts</a>\n </li>\n<li>3. <a href='#!/guide/pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B-section-configuring-possible-contractual-relationships'>Configuring possible contractual relationships</a>\n </li>\n</ul></div>\n\n\n<p>The contractual relationship describes the <span\nstyle='font-weight:bold'> responsibilities in fulfilling the contract</span>, for example, and is relevant for assessing contract risks. Contracts are referred to as bilateral legal transactions. The resulting demands form the basis for the contractual relationship. </p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>For example, with a purchase contract, party A undertakes to transfer the object of purchase to party B, while party B undertakes to accept the object of purchase and transfer the agreed purchase price.</span></p>\n</blockquote>\n\n\n<p>Abstracted, the party responsible for the object/service offer is thus relevant to evaluating the contract relationship. Essentially, whether the contract partner is a customer or supplier. A differentiation is thus made between <span\nstyle='font-weight:bold'>incoming</span> and <span style='font-weight:bold'>outgoing contracts</span>.</p>\n\n\n<p><p><img src=\"guides/pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B/img1.png\" alt=\"\" width=\"595\" height=\"77\"></p></p>\n\n\n<p>The contractual relationship can be set in the form, for example by <a\nhref=\"#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A\">Create a new contract</a>. Setting the contractual relationship by <a\nhref=\"#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF\">contract type</a> is recommended.</p>\n\n\n<p><p><img src=\"guides/pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B/img3.png\" alt=\"\" width=\"773\" height=\"320\"></p></p>\n\n\n<h2 id='pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B-section-incoming-contracts'>Incoming contracts</h2>\n\n\n<p>Contracts concluded with third parties with the purpose of purchasing objects or services are referred to as incoming contracts. Classically, these are contracts with suppliers that are concluded by the procurement department.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A purchase contract for screws required for production is concluded with a supplier.</span></p>\n<p><span\nstyle='font-style:italic'>The development department subscribes to multiple magazines to give employees access to current IT developments.</span></p>\n<p><span\nstyle='font-style:italic'>A contract is concluded with a consultation firm to optimize internal processes and implement new software.</span></p>\n</blockquote>\n\n\n<h2 id='pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B-section-outgoing-contracts'>Outgoing contracts</h2>\n\n\n<p>Contracts concluded with the purpose of selling objects or services are referred to as outgoing contracts. Classically, these are contracts with end customers that are concluded by sales.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A purchase contract for a car offered as a product is concluded with a customer.</span></p>\n<p><span\nstyle='font-style:italic'>Sales concludes a purchase contract with a customer selling software licenses for a contract management solution.</span></p>\n<p><span\nstyle='font-style:italic'>The consulting department concludes a contract with a customer to implement a contract management solution.</span></p>\n</blockquote>\n\n\n<h2 id='pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B-section-configuring-possible-contractual-relationships'>Configuring possible contractual relationships</h2>\n\n\n<p>Contractual relationships are represented by a localized keyword list. The contract management configuration <span\nstyle='font-weight:bold;font-style:italic'>&quot;Localized keyword lists&quot;</span> contains a keyword list <code>relation</code>, which enables further contractual relationships. By default, the following options are available:</p>\n\n\n<table><thead><tr><td>Key</td><td>Description</td></tr></thead><tbody><tr><td>I</td><td>Incoming</td></tr><tr><td>O</td><td>Outgoing</td></tr></tbody></table>\n\n\n\n\n<p><p><img src=\"guides/pCA53FF2C_9DC7_4920_943C_B62ED0AEBB2B/img5.png\" alt=\"\" width=\"1277\" height=\"478\"></p></p>\n\n","title":"Contractual relationship"});