Ext.data.JsonP.pCA6E07D7_E207_47B7_BEFA_14F27954FADF({"guide":"<h1 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-negotiation-canceled'>Negotiation canceled</h1>\n\n\n<p>Initiation of a contract can be aborted at any time before the contract has officially been concluded. This can be for many different reasons. Both during the draft phase and approval, formalities may come to light requiring the contract to be canceled. The contract can also be rejected by one of the contract partners during negotiation, meaning the contract is not concluded.</p>\n\n\n<p><p><img src=\"guides/pCA6E07D7_E207_47B7_BEFA_14F27954FADF/img1.png\" alt=\"\" width=\"390\" height=\"349\"></p></p>\n\n\n<p>After a contract is concluded and takes effect, it can then only be canceled via <a\nhref=\"#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7\">termination</a>.</p>\n\n\n<p><span class=\"tag_warning\">By default, cancellation of negotiation is simply marked. There are no mandatory form entries; only the status is changed and a feed post is generated. Additional function modules can be added to the underlying workflow as needed.</span></p>\n\n\n<h2 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-action%3A-cancel-negotiation'>Action: Cancel negotiation</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>\n\n\n<p><p><img src=\"guides/pCA6E07D7_E207_47B7_BEFA_14F27954FADF/img3.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<h3 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>A contract is selected.</li>\n</ul>\n\n\n<h3 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-data-input'>Data input</h3>\n\n\n<p>This action does not require data input. </p>\n\n\n<h3 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.NegotiationCanceled</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code><a href=\"#!/api/sol.contract.ix.actions.CancelNegotiation\" rel=\"sol.contract.ix.actions.CancelNegotiation\" class=\"docClass\">sol.contract.ix.actions.CancelNegotiation</a></code>. \nThis action starts the <code>sol.contract.contract.cancelNegotiation</code> workflow.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Displays a short notification that negotiation has been canceled.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>Description of the workflow</span></p>\n\n\n<p><p><img src=\"guides/pCA6E07D7_E207_47B7_BEFA_14F27954FADF/img5.png\" alt=\"\" width=\"352\" height=\"286\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>STATUS: Canceled</span></td><td><span\nstyle='font-weight:bold'></span><br />Sets the CONTRACT_STATUS index field to 'C'</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Negotiation canceled</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating negotiations have been canceled.</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Contract terminated</span></td><td><span\nstyle='font-weight:bold'></span><br />Sets the color of the SORD object</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr></tbody></table>\n\n","title":"Negotiation canceled"});