Ext.data.JsonP.pD51ECB99_7643_4866_8024_70FA03918AE8({"guide":"<h1 id='pD51ECB99_7643_4866_8024_70FA03918AE8-section-automatic-reminder'>Automatic reminder</h1>\n\n\n<p>A reminder date can be added or calculated for every contract. This is necessary not to miss termination deadlines and to re-assess contracts at regular intervals. See also <a\nhref=\"#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18\">Deadlines/durations/reminders</a>.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Example: A software maintenance contract is concluded. This contract runs for one year and is then extended by one year. In September of any given year, someone has to check whether the software covered by this maintenance contract is still in use. For this, a reminder deadline of 2 weeks is set.</span></p>\n</blockquote>\n\n\n<p>The reminder can be set individually for each contract in the <span\nstyle='font-weight:bold;font-style:italic'>Reminder</span> area.</p>\n\n\n<p><p><img src=\"guides/pD51ECB99_7643_4866_8024_70FA03918AE8/img1.png\" alt=\"\" width=\"407\" height=\"122\"></p></p>\n\n\n<p>Once the reminder date is reached, the user responsible (for the contract) receives a reminder in the form of a workflow.</p>\n\n\n<p><span class=\"tag_important\">The contract manager can then decide in the Tasks view filter how to proceed with the contract. For example, <a\nhref=\"#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7\">termination</a> can be initiated.</span></p>\n\n\n<h2 id='pD51ECB99_7643_4866_8024_70FA03918AE8-section-automatic-reminder-by-eloas'>Automatic reminder by ELOas</h2>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by ELOas rule <code><a href=\"#!/api/sol.contract.as.ContractReminder\" rel=\"sol.contract.as.ContractReminder\" class=\"docClass\">sol.contract.as.ContractReminder</a></code>. This monitors all contracts and starts the <code>sol.contract.contract.extend</code> workflow if the reminder date has been reached. </p>\n\n\n<p><p><img src=\"guides/pD51ECB99_7643_4866_8024_70FA03918AE8/img3.png\" alt=\"\" width=\"258\" height=\"313\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>CHANGEUSER : Responsible user</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Changes the owner of the next user node to the contract manager</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeUser\" rel=\"sol.common.ix.functions.ChangeUser\" class=\"docClass\">sol.common.ix.functions.ChangeUser</a></td></tr><tr><td><span\nstyle='font-weight:bold'>Resubmission</span></td><td><span\nstyle='font-weight:bold'></span><br />Person node: Contract manager is assigned a task.</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>OK</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Contract manager confirms having received the reminder and closes it.</td><td></td></tr></tbody></table>\n\n\n\n\n<p>If you want to start another workflow for contract reminders, you can set this in the <span\nstyle='font-weight:bold;font-style:italic'>Durations</span> contract management configuration.</p>\n\n\n<p><p><img src=\"guides/pD51ECB99_7643_4866_8024_70FA03918AE8/img5.png\" alt=\"\" width=\"1278\" height=\"289\"></p></p>\n\n","title":"Automatic reminder"});