Ext.data.JsonP.pD57B9D9E_A702_4D44_8093_95476C788079({"guide":"<h1 id='pD57B9D9E_A702_4D44_8093_95476C788079-section-automatic-contract-extension'>Automatic contract extension</h1>\n\n\n<p>If an extension period was specified for a contract, automatic extension keeps this contract active. Generally this is necessary if employees do not want to explicitly extend the contract manually. See also <a\nhref=\"#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18\">Deadlines/durations/reminders</a>.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Example: A mobile data contract with a monthly payment of &euro;20 is concluded for an employee. This contract runs for 2 years and can be extended 1 year at a time. With an annual volume of &euro;240, a reminder is set up, but no one works actively with the contract.</span></p>\n</blockquote>\n\n\n<p>Contracts can be extended automatically if the contract end is exceeded. In this case, <span\nstyle='font-weight:bold;font-style:italic'>automatic extension</span> is enabled for a contract in the <span\nstyle='font-weight:bold;font-style:italic'>Contract duration</span> area.</p>\n\n\n<p><p><img src=\"guides/pD57B9D9E_A702_4D44_8093_95476C788079/img1.png\" alt=\"\" width=\"777\" height=\"149\"></p></p>\n\n\n<p><span class=\"tag_important\">With automatic contract extension, the totals of the <span\nstyle='font-weight:bold;font-style:italic'>cash flow</span> as well as the <span\nstyle='font-weight:bold;font-style:italic'>termination </span> and <span\nstyle='font-weight:bold;font-style:italic'>reminder deadlines</span> are also recalculated.</span></p>\n\n\n<h2 id='pD57B9D9E_A702_4D44_8093_95476C788079-section-automatic-contract-extension-by-eloas'>Automatic contract extension by ELOas</h2>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is controlled by ELOas. This rule monitors all contracts and starts the <code>sol.contract.contract.extend</code> workflow for contracts to be extended. </p>\n\n\n<p><p><img src=\"guides/pD57B9D9E_A702_4D44_8093_95476C788079/img3.png\" alt=\"\" width=\"331\" height=\"268\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>EXTENDPERIOD: extend contract period</span></td><td><span\nstyle='font-weight:bold'></span><br />Extends the duration of the contract.</td><td>sol.contract.ix.functions.ExtendPeriod</td></tr><tr><td><span\nstyle='font-weight:bold'>FEED : contract automatically extended</span></td><td><span\nstyle='font-weight:bold'></span><br />Creates a feed post indicating that the contract was extended automatically.</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr></tbody></table>\n\n\n\n\n<p>If you want to start another workflow for extending contracts, you can set this in the <span\nstyle='font-weight:bold;font-style:italic'>Durations</span> contract management configuration.</p>\n\n\n<p><p><img src=\"guides/pD57B9D9E_A702_4D44_8093_95476C788079/img5.png\" alt=\"\" width=\"1279\" height=\"293\"></p></p>\n\n","title":"Automatic contract extension"});