Ext.data.JsonP.pDFB0DE92_B469_4B97_8768_4619B5EA8FB3({"guide":"<h1 id='pDFB0DE92_B469_4B97_8768_4619B5EA8FB3-section-cash-flow-report'>Cash flow report</h1>\n\n\n<p>Exports all contracts to Microsoft Excel for evaluation and triggers all cash flows for the <a\nhref=\"#!/guide/pE1306A1A_299A_4444_855E_CF0DD902F521\">contract volume</a> in individual flows for the specified periods. As a result, the data tab in the Microsoft Excel file contains one row for each contract payment. Report templates form the basis for creating contract reports. See also <a\nhref=\"#!/guide/pE813B0B9_50F0_4400_9450_59AAE9C1BB07\">Reporting</a>.</p>\n\n\n<p><span class=\"tag_important\">If no date values are specified for individual payments in the contract volume, the contract start and planned contract end apply. This is particularly helpful since the cash flows are also calculated automatically for the extension period with automatic contract extension.</span></p>\n\n\n<p>The cash flow report allows users to determine the cash flow by months, quarters, or years based on individual contract cash flows, for example. This provides a wide range of liquidity planning options.</p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>Example: A report is generated defining payments by month and the responsible department. This allows employees monitoring contracts to identify departments causing a great cash flow in just a few months.</span></p>\n</blockquote>\n\n\n<p>The Data tab is filled out as follows based on the generated report. The fields <span\nstyle='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_DESC</span>, <span\nstyle='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_AMOUNT</span>, and <span\nstyle='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_DATE</span> each correspond to one cash flow and are calculated for recurring payments. The following example shows a newspaper subscription with <span\nstyle='font-weight:bold;font-style:italic'>monthly </span> posts <span\nstyle='font-weight:bold;font-style:italic'>costing &euro;1500 for a one-year subscription</span>.</p>\n\n\n<p><p><img src=\"guides/pDFB0DE92_B469_4B97_8768_4619B5EA8FB3/img1.png\" alt=\"\" width=\"1179\" height=\"501\"></p></p>\n\n\n<h2 id='pDFB0DE92_B469_4B97_8768_4619B5EA8FB3-section-action%3A-cash-flow-report'>Action: Cash flow report</h2>\n\n\n<p>This action can be accessed on the <span\nstyle='font-weight:bold;font-style:italic'>Contracts</span> tab in the ribbon.</p>\n\n\n<p><p><img src=\"guides/pDFB0DE92_B469_4B97_8768_4619B5EA8FB3/img3.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<h3 id='pDFB0DE92_B469_4B97_8768_4619B5EA8FB3-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>Select a folder that contains contracts</li>\n<li>Select a <span\nstyle='font-weight:bold'>report template </span> (optional if only one type is available)</li>\n</ul>\n\n\n<h3 id='pDFB0DE92_B469_4B97_8768_4619B5EA8FB3-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.CreateCashFlowReport </code>configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by ELOas action <code><a href=\"#!/api/sol.contract.as.actions.CreateCashflowReport\" rel=\"sol.contract.as.actions.CreateCashflowReport\" class=\"docClass\">sol.contract.as.actions.CreateCashflowReport</a></code>. With the help of Apache FOP, it uses the selected template and data from the registered function <code><a href=\"#!/api/sol.contract.ix.services.PaymentPlanCollector\" rel=\"sol.contract.ix.services.PaymentPlanCollector\" class=\"docClass\">sol.contract.ix.services.PaymentPlanCollector</a></code> to generate a PDF at the selected location.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Shows the newly created element in the client and opens the newly generated document in Microsoft Excel.</td><td></td></tr></tbody></table>\n\n","title":"Cash flow report"});