Ext.data.JsonP.pFA843D33_178F_4995_9EF9_6807252DC76E({"guide":"<h1 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-negotiation'>Negotiation</h1>\n\n\n<p>In many cases, contract negotiation is a separate phase during contract initiation. Generally, after a contract draft has been <a\nhref=\"#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C\">approved</a>, negotiation with the contract partner can begin. At the end of this phase, the contract is either <a\nhref=\"#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04\">concluded successfully </a> (that is, signed), or <a\nhref=\"#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF\">contract negotiations are canceled</a>.</p>\n\n\n<p><p><img src=\"guides/pFA843D33_178F_4995_9EF9_6807252DC76E/img1.png\" alt=\"\" width=\"390\" height=\"349\"></p></p>\n\n\n<blockquote>\n<p><span\nstyle='font-style:italic'>A contract draft is approved by different people and then enters the negotiation phase. In the process, a preliminary contract document is created and presented to the contract partner. Changes can still be made during the course of negotiation. The contract may have to be approved again depending on the gravity of the change.</span></p>\n</blockquote>\n\n\n<p><span class=\"tag_warning\">By default, the negotiation phase is simply marked. There are no mandatory form entries; only the status is changed and a feed post is generated. Additional function modules can be added to the underlying workflow as needed.</span></p>\n\n\n<h2 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-action%3A-negotiate-contract'>Action: Negotiate contract</h2>\n\n\n<p>This action can be accessed on the <code>Contracts</code> tab in the ribbon. </p>\n\n\n<p><p><img src=\"guides/pFA843D33_178F_4995_9EF9_6807252DC76E/img3.png\" alt=\"\" width=\"1108\" height=\"168\"></p></p>\n\n\n<h3 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-requirements'>Requirements</h3>\n\n\n<ul>\n<li>A contract is selected.</li>\n</ul>\n\n\n<h3 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-data-input'>Data input</h3>\n\n\n<p>This action does not require data input. </p>\n\n\n<h3 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-implementation'>Implementation</h3>\n\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitions of the actions for the clients are located in the <code>sol.contract.NegotiateContract</code> configuration.</span></p>\n\n\n<p>The <span\nstyle='font-weight:bold'>technical workflow</span> is implemented by Indexserver action <code><a href=\"#!/api/sol.contract.ix.actions.NegotiateContract\" rel=\"sol.contract.ix.actions.NegotiateContract\" class=\"docClass\">sol.contract.ix.actions.NegotiateContract</a></code>. \nThis action starts the <code>sol.contract.contract.negotiation</code> workflow.</p>\n\n\n<p>If successful, the following events are transferred to the client:</p>\n\n\n<table><thead><tr><td>Event</td><td>Description</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Displays a short notification that negotiation has been initiated.</td><td></td></tr><tr><td>REFRESH</td><td>Refreshes the display of the SORD object.</td><td></td></tr></tbody></table>\n\n\n\n\n<p><span\nstyle='font-weight:bold'>Description of the workflow</span></p>\n\n\n<p><p><img src=\"guides/pFA843D33_178F_4995_9EF9_6807252DC76E/img5.png\" alt=\"\" width=\"314\" height=\"313\"></p></p>\n\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Node name</span></td><td><span\nstyle='font-weight:bold'>Node description</span></td><td><span\nstyle='font-weight:bold'>Function</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>STATUS: Negotiation</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the CONTRACT_STATUS index field to 'N'</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Contract negotiation</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Sets the color of the SORD object</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Contract negotiation</span></td><td><span\nstyle='font-weight:bold'></span><br />Distribution node: Creates a feed post indicating contract negotiation has been initiated.</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr></tbody></table>\n\n","title":"Negotiation"});