Ext.data.JsonP.sol_common_ZipUtils({"tagname":"class","name":"sol.common.ZipUtils","autodetected":{"aliases":true,"alternateClassNames":true,"extends":true,"mixins":true,"requires":true,"uses":true,"members":true,"code_type":true,"singleton":true},"files":[{"filename":"lib_sol.common.ZipUtils.js","href":"lib_sol.common.ZipUtils.html#sol-common-ZipUtils"}],"author":[{"tagname":"author","name":"MW, ELO Digital Office GmbH","email":null}],"version":["1.0"],"elojc":true,"eloas":true,"eloix":true,"aliases":{},"alternateClassNames":[],"extends":"sol.Base","mixins":[],"requires":[],"uses":[],"members":[{"name":"requiredConfig","tagname":"cfg","owner":"sol.Base","id":"cfg-requiredConfig","meta":{"protected":true}},{"name":"$className","tagname":"property","owner":"sol.Base","id":"property-S-className","meta":{"protected":true}},{"name":"bom","tagname":"property","owner":"sol.common.ZipUtils","id":"property-bom","meta":{"private":true}},{"name":"logger","tagname":"property","owner":"sol.Base","id":"property-logger","meta":{"protected":true}},{"name":"$super","tagname":"method","owner":"sol.Base","id":"method-S-super","meta":{"private":true}},{"name":"compressFolder","tagname":"method","owner":"sol.common.ZipUtils","id":"method-compressFolder","meta":{"private":true}},{"name":"deleteFilesInZipFileFolder","tagname":"method","owner":"sol.common.ZipUtils","id":"method-deleteFilesInZipFileFolder","meta":{}},{"name":"initialize","tagname":"method","owner":"sol.Base","id":"method-initialize","meta":{"private":true}},{"name":"readFileInZipToByteArray","tagname":"method","owner":"sol.common.ZipUtils","id":"method-readFileInZipToByteArray","meta":{}},{"name":"readFileInZipToString","tagname":"method","owner":"sol.common.ZipUtils","id":"method-readFileInZipToString","meta":{}},{"name":"unzip","tagname":"method","owner":"sol.common.ZipUtils","id":"method-unzip","meta":{}},{"name":"zipFolder","tagname":"method","owner":"sol.common.ZipUtils","id":"method-zipFolder","meta":{}}],"code_type":"ext_define","singleton":true,"id":"class-sol.common.ZipUtils","classIcon":"icon-singleton","superclasses":["sol.Base"],"subclasses":[],"mixedInto":[],"parentMixins":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/sol.Base' rel='sol.Base' class='docClass'>sol.Base</a><div class='subclass '><strong>sol.common.ZipUtils</strong></div></div><h4>Files</h4><div class='dependency'><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils' target='_blank'>lib_sol.common.ZipUtils.js</a></div></pre><div class='doc-contents'><p>Utility functions for ZIP files</p>\n      <p class='version-tag'>Version: <b>1.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-requiredConfig' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-cfg-requiredConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-cfg-requiredConfig' class='name expandable'>requiredConfig</a> : Array<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>List of required config properties. ...</div><div class='long'><p>List of required config properties. <a href=\"#!/api/sol.Base-method-initialize\" rel=\"sol.Base-method-initialize\" class=\"docClass\">sol.Base.initialize</a> throws an exception if one of the properties is null or undefined.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-S-className' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-property-S-className' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-property-S-className' class='name expandable'>$className</a> : Object<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'><p>{String}\nname of the class including its namespace.</p>\n</div><div class='long'><p>{String}\nname of the class including its namespace.</p>\n</div></div></div><div id='property-bom' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ZipUtils'>sol.common.ZipUtils</span><br/><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils-property-bom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ZipUtils-property-bom' class='name expandable'>bom</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>&quot;\\uFEFF&quot;</code></p></div></div></div><div id='property-logger' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-property-logger' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-property-logger' class='name expandable'>logger</a> : <a href=\"#!/api/sol.Logger\" rel=\"sol.Logger\" class=\"docClass\">sol.Logger</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Logger for this class instance. ...</div><div class='long'><p>Logger for this class instance. This logger is created by <a href=\"#!/api/sol.Base-method-initialize\" rel=\"sol.Base-method-initialize\" class=\"docClass\">sol.Base.initialize</a>.</p>\n\n<p>Please see <a href=\"#!/api/sol.Logger\" rel=\"sol.Logger\" class=\"docClass\">sol.Logger</a> class documentation for more information.</p>\n<p>Overrides: <a href=\"#!/api/sol.common.ix.FunctionBase-property-logger\" rel=\"sol.common.ix.FunctionBase-property-logger\" class=\"docClass\">sol.common.ix.FunctionBase.logger</a>, <a href=\"#!/api/sol.common.ix.ServiceBase-property-logger\" rel=\"sol.common.ix.ServiceBase-property-logger\" class=\"docClass\">sol.common.ix.ServiceBase.logger</a></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-S-super' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-method-S-super' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-method-S-super' class='name expandable'>$super</a>( <span class='pre'>superClassName, functionName, arguments</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Calls a function of a superclass thanks to its name. ...</div><div class='long'><p>Calls a function of a superclass thanks to its name. Superclass must be part of the calling objects class hierarchy.</p>\n\n<p><b>Please note that calling superclass functions might lead to an infinitive loop if misused. Please validate that none class other than the classes superclass is passed as the superclass parent.</b></p>\n\n<pre><code>me.$super(superClassName, functionName, attributesArray);\n</code></pre>\n\n<p>A basic example of the initialize-function will look as followed.</p>\n\n<pre><code>me.$super(\"<a href=\"#!/api/sol.Base\" rel=\"sol.Base\" class=\"docClass\">sol.Base</a>\", \"initialize\", [config]);\nme.$super(\"<a href=\"#!/api/sol.Base\" rel=\"sol.Base\" class=\"docClass\">sol.Base</a>\", \"initialize\", arguments);\n</code></pre>\n\n<p>A word on performance: The superclass name must be passed since the js rhino engine does not allow accessing the caller of the callee due to performance reasons.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>superClassName</span> : String<div class='sub-desc'><p>name of the super class.</p>\n</div></li><li><span class='pre'>functionName</span> : String<div class='sub-desc'><p>name of the function that should be called.</p>\n</div></li><li><span class='pre'>arguments</span> : Object[]<div class='sub-desc'><p>list of arguments that should be passed to the function.</p>\n</div></li></ul></div></div></div><div id='method-compressFolder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ZipUtils'>sol.common.ZipUtils</span><br/><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils-method-compressFolder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ZipUtils-method-compressFolder' class='name expandable'>compressFolder</a>( <span class='pre'>folder, zipOutputStream, prefixLength</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Recursive function that compresses a sub folder ...</div><div class='long'><p>Recursive function that compresses a sub folder</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>folder</span> : java.io.File<div class='sub-desc'><p>Folder</p>\n</div></li><li><span class='pre'>zipOutputStream</span> : java.io.OutputStream<div class='sub-desc'>\n</div></li><li><span class='pre'>prefixLength</span> : Number<div class='sub-desc'><p>Length of the path part</p>\n</div></li></ul></div></div></div><div id='method-deleteFilesInZipFileFolder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ZipUtils'>sol.common.ZipUtils</span><br/><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils-method-deleteFilesInZipFileFolder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ZipUtils-method-deleteFilesInZipFileFolder' class='name expandable'>deleteFilesInZipFileFolder</a>( <span class='pre'>zipFilePath, params</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Delete files in a folder within a ZIP file ...</div><div class='long'><p>Delete files in a folder within a ZIP file</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zipFilePath</span> : String<div class='sub-desc'><p>ZIP file path</p>\n</div></li><li><span class='pre'>params</span> : Object<div class='sub-desc'><p>Parameters</p>\n<ul><li><span class='pre'>encoding</span> : String (optional)<div class='sub-desc'><p>Encoding of the ZIP file</p>\n<p>Defaults to: <code>UTF-8</code></p></div></li><li><span class='pre'>startFolderPathInZipFile</span> : String (optional)<div class='sub-desc'><p>Start folder Path in ZIP file</p>\n</div></li><li><span class='pre'>fileNamePattern</span> : String (optional)<div class='sub-desc'><p>File name pattern</p>\n<p>Defaults to: <code>*.*</code></p></div></li><li><span class='pre'>keepFileNames</span> : Array<div class='sub-desc'><p>File names to be kept</p>\n</div></li></ul></div></li></ul></div></div></div><div id='method-initialize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-method-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-method-initialize' class='name expandable'>initialize</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Initialize class. ...</div><div class='long'><p>Initialize class.\nThis function is called after the class was instantiated.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>parameters as defined. See documentation for more details.</p>\n</div></li></ul><p>Overrides: <a href=\"#!/api/sol.common.ix.FunctionBase-method-initialize\" rel=\"sol.common.ix.FunctionBase-method-initialize\" class=\"docClass\">sol.common.ix.FunctionBase.initialize</a></p></div></div></div><div id='method-readFileInZipToByteArray' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ZipUtils'>sol.common.ZipUtils</span><br/><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils-method-readFileInZipToByteArray' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ZipUtils-method-readFileInZipToByteArray' class='name expandable'>readFileInZipToByteArray</a>( <span class='pre'>zipFilePath, pathInZipFile</span> ) : java.lang.Byte[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the content of a file within a zip file as byte array ...</div><div class='long'><p>Returns the content of a file within a zip file as byte array</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zipFilePath</span> : String<div class='sub-desc'><p>Zip file path</p>\n</div></li><li><span class='pre'>pathInZipFile</span> : String<div class='sub-desc'><p>Path in zip file</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>java.lang.Byte[]</span><div class='sub-desc'><p>Bytes</p>\n</div></li></ul></div></div></div><div id='method-readFileInZipToString' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ZipUtils'>sol.common.ZipUtils</span><br/><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils-method-readFileInZipToString' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ZipUtils-method-readFileInZipToString' class='name expandable'>readFileInZipToString</a>( <span class='pre'>zipFilePath, pathInZipFile, params</span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the text content of a file within a zip file ...</div><div class='long'><p>Returns the text content of a file within a zip file</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zipFilePath</span> : String<div class='sub-desc'><p>Zip file path</p>\n</div></li><li><span class='pre'>pathInZipFile</span> : String<div class='sub-desc'><p>Path in zip file</p>\n</div></li><li><span class='pre'>params</span> : Object<div class='sub-desc'><p>Parameters</p>\n<ul><li><span class='pre'>encoding</span> : String (optional)<div class='sub-desc'><p>Encoding</p>\n<p>Defaults to: <code>UTF-8</code></p></div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>String</p>\n</div></li></ul></div></div></div><div id='method-unzip' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ZipUtils'>sol.common.ZipUtils</span><br/><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils-method-unzip' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ZipUtils-method-unzip' class='name expandable'>unzip</a>( <span class='pre'>zipFile, dstDir, params</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Unzips a zip file ...</div><div class='long'><p>Unzips a zip file</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zipFile</span> : java.io.File<div class='sub-desc'><p>ZIP file path</p>\n</div></li><li><span class='pre'>dstDir</span> : java.io.File<div class='sub-desc'><p>Destination directory</p>\n</div></li><li><span class='pre'>params</span> : Object<div class='sub-desc'><p>Parameters</p>\n<ul><li><span class='pre'>charset</span> : String (optional)<div class='sub-desc'><p>Charset</p>\n<p>Defaults to: <code>UTF-8</code></p></div></li></ul></div></li></ul></div></div></div><div id='method-zipFolder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ZipUtils'>sol.common.ZipUtils</span><br/><a href='source/lib_sol.common.ZipUtils.html#sol-common-ZipUtils-method-zipFolder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ZipUtils-method-zipFolder' class='name expandable'>zipFolder</a>( <span class='pre'>folder, zipFile</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Compresses a local folder into a ZIP file ...</div><div class='long'><p>Compresses a local folder into a ZIP file</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>folder</span> : java.io.File<div class='sub-desc'><p>Source folder</p>\n</div></li><li><span class='pre'>zipFile</span> : java.io.File<div class='sub-desc'><p>Compressed file</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{"eloas":true,"eloix":true,"elojc":true,"singleton":true}});