Ext.data.JsonP.sol_common_ix_functions_UserDispatcher({"tagname":"class","name":"sol.common.ix.functions.UserDispatcher","autodetected":{"aliases":true,"alternateClassNames":true,"extends":true,"mixins":true,"uses":true,"members":true,"code_type":true},"files":[{"filename":"sol.common.ix.functions.UserDispatcher.js","href":"sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher"}],"author":[{"tagname":"author","name":"PZ, ELO Digital Office GmbH","email":null}],"version":["1.03.000"],"eloix":true,"requires":["sol.common.UserUtils","sol.common.WfUtils","sol.common.ix.FunctionBase"],"aliases":{},"alternateClassNames":[],"extends":"sol.common.ix.FunctionBase","mixins":[],"uses":[],"members":[{"name":"nextNodes","tagname":"cfg","owner":"sol.common.ix.functions.UserDispatcher","id":"cfg-nextNodes","meta":{}},{"name":"objId","tagname":"cfg","owner":"sol.common.ix.functions.UserDispatcher","id":"cfg-objId","meta":{"required":true}},{"name":"requiredConfig","tagname":"cfg","owner":"sol.common.ix.functions.UserDispatcher","id":"cfg-requiredConfig","meta":{"protected":true}},{"name":"requirements","tagname":"cfg","owner":"sol.common.ix.functions.UserDispatcher","id":"cfg-requirements","meta":{}},{"name":"userId","tagname":"cfg","owner":"sol.common.ix.functions.UserDispatcher","id":"cfg-userId","meta":{"required":true}},{"name":"wfDiagram","tagname":"cfg","owner":"sol.common.ix.functions.UserDispatcher","id":"cfg-wfDiagram","meta":{"required":true}},{"name":"wfStatus","tagname":"cfg","owner":"sol.common.ix.functions.UserDispatcher","id":"cfg-wfStatus","meta":{}},{"name":"$className","tagname":"property","owner":"sol.Base","id":"property-S-className","meta":{"protected":true}},{"name":"DEFAULT_FAILED_STATUS","tagname":"property","owner":"sol.common.ix.functions.UserDispatcher","id":"property-DEFAULT_FAILED_STATUS","meta":{"private":true}},{"name":"DEFAULT_PASSED_STATUS","tagname":"property","owner":"sol.common.ix.functions.UserDispatcher","id":"property-DEFAULT_PASSED_STATUS","meta":{"private":true}},{"name":"logger","tagname":"property","owner":"sol.common.ix.FunctionBase","id":"property-logger","meta":{"protected":true}},{"name":"$super","tagname":"method","owner":"sol.Base","id":"method-S-super","meta":{"private":true}},{"name":"checkRequirement","tagname":"method","owner":"sol.common.ix.functions.UserDispatcher","id":"method-checkRequirement","meta":{"private":true}},{"name":"checkRequirements","tagname":"method","owner":"sol.common.ix.functions.UserDispatcher","id":"method-checkRequirements","meta":{"private":true}},{"name":"initialize","tagname":"method","owner":"sol.common.ix.functions.UserDispatcher","id":"method-initialize","meta":{"private":true}},{"name":"process","tagname":"method","owner":"sol.common.ix.functions.UserDispatcher","id":"method-process","meta":{}},{"name":"onExitNode","tagname":"method","owner":"sol.common.ix.functions.UserDispatcher","id":"static-method-onExitNode","meta":{"static":true}}],"code_type":"ext_define","id":"class-sol.common.ix.functions.UserDispatcher","short_doc":"Decides, which direction the workflow should be dispatched, regarding the configured requirements. ...","classIcon":"icon-class","superclasses":["sol.Base","sol.common.ix.FunctionBase"],"subclasses":[],"mixedInto":[],"parentMixins":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/sol.Base' rel='sol.Base' class='docClass'>sol.Base</a><div class='subclass '><a href='#!/api/sol.common.ix.FunctionBase' rel='sol.common.ix.FunctionBase' class='docClass'>sol.common.ix.FunctionBase</a><div class='subclass '><strong>sol.common.ix.functions.UserDispatcher</strong></div></div></div><h4>Requires</h4><div class='dependency'><a href='#!/api/sol.common.UserUtils' rel='sol.common.UserUtils' class='docClass'>sol.common.UserUtils</a></div><div class='dependency'><a href='#!/api/sol.common.WfUtils' rel='sol.common.WfUtils' class='docClass'>sol.common.WfUtils</a></div><div class='dependency'><a href='#!/api/sol.common.ix.FunctionBase' rel='sol.common.ix.FunctionBase' class='docClass'>sol.common.ix.FunctionBase</a></div><h4>Files</h4><div class='dependency'><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher' target='_blank'>sol.common.ix.functions.UserDispatcher.js</a></div></pre><div class='doc-contents'><p>Decides, which direction the workflow should be dispatched, regarding the configured requirements.</p>\n\n<p>Can be used as node exit script. It updates the ELO_WF_STATUS field as configured. The status can be used in a decision node.</p>\n\n<h1>As workflow node</h1>\n\n<p>Following configuration can be applied to the comments field.</p>\n\n<pre><code>{\n  \"wfStatus\": { \"onSuccess\": \"IS_IN_GROUP\", \"onFailure\": \"NOT_IN_GROUP\" },\n  \"requirements\": [\n    { \"type\": \"inGroup\", \"value\": \"sol.pubsec.admin.Record\" }\n  ]\n}\n</code></pre>\n      <p class='version-tag'>Version: <b>1.03.000</b></p>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Required config options</h3><div id='cfg-objId' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-cfg-objId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-cfg-objId' class='name expandable'>objId</a> : String<span class=\"signature\"><span class='required' >required</span></span></div><div class='description'><div class='short'><p>ID of the element which should be checked</p>\n</div><div class='long'><p>ID of the element which should be checked</p>\n<p>Overrides: <a href=\"#!/api/sol.common.ix.FunctionBase-cfg-objId\" rel=\"sol.common.ix.FunctionBase-cfg-objId\" class=\"docClass\">sol.common.ix.FunctionBase.objId</a></p></div></div></div><div id='cfg-userId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-cfg-userId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-cfg-userId' class='name expandable'>userId</a> : String<span class=\"signature\"><span class='required' >required</span></span></div><div class='description'><div class='short'><p>The ID of the user, who should be checked.</p>\n</div><div class='long'><p>The ID of the user, who should be checked.</p>\n</div></div></div><div id='cfg-wfDiagram' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-cfg-wfDiagram' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-cfg-wfDiagram' class='name expandable'>wfDiagram</a> : de.elo.ix.client.WFDiagram<span class=\"signature\"><span class='required' >required</span></span></div><div class='description'><div class='short'><p>The workflow which should be checked.</p>\n</div><div class='long'><p>The workflow which should be checked.</p>\n</div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Optional config options</h3><div id='cfg-nextNodes' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-cfg-nextNodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-cfg-nextNodes' class='name expandable'>nextNodes</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>\"nextNodes\": { \"onSuccess\": [\"OK\", \"Approve\"], \"onFailure\": [\"Cancel\", \"Reject\"] }\n\nor\n\n\"nextNodes\": { \"onSuccess\": \"...</div><div class='long'><p>\"nextNodes\": { \"onSuccess\": [\"OK\", \"Approve\"], \"onFailure\": [\"Cancel\", \"Reject\"] }</p>\n\n<pre><code>or\n\n\"nextNodes\": { \"onSuccess\": \"OK\", \"onFailure\": \"Cancel\" }\n</code></pre>\n\n<p>This object determines the next nodes to activate in dependence of the workflow status.</p>\n\n<ul>\n<li><code>onSuccess</code>: array of next nodes or string of one next node to activate after a successfull check</li>\n<li><code>onFailure</code>: array of next nodes or string of one next node to activate after a check failure</li>\n</ul>\n\n</div></div></div><div id='cfg-requiredConfig' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-cfg-requiredConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-cfg-requiredConfig' class='name expandable'>requiredConfig</a> : Array<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>List of required config properties. ...</div><div class='long'><p>List of required config properties. <a href=\"#!/api/sol.Base-method-initialize\" rel=\"sol.Base-method-initialize\" class=\"docClass\">sol.Base.initialize</a> throws an exception if one of the properties is null or undefined.</p>\n<p>Defaults to: <code>[&quot;wfDiagram&quot;, &quot;userId&quot;, &quot;objId&quot;]</code></p><p>Overrides: <a href=\"#!/api/sol.Base-cfg-requiredConfig\" rel=\"sol.Base-cfg-requiredConfig\" class=\"docClass\">sol.Base.requiredConfig</a></p></div></div></div><div id='cfg-requirements' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-cfg-requirements' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-cfg-requirements' class='name expandable'>requirements</a> : Object[]<span class=\"signature\"></span></div><div class='description'><div class='short'>This is an array with configurations which requirements a user has to fullfill. ...</div><div class='long'><p>This is an array with configurations which requirements a user has to fullfill. If empty, the check always succeeds.</p>\n\n<pre><code>\"requirements\": [\n   { \"type\": \"inGroup\", \"value\": \"sol.pubsec.admin.Record\" },\n   { \"type\": \"inGroup\", \"value\": \"sol.pubsec.sysadmin.Record\" },\n   { \"type\": \"hasEffectiveRights\", \"rights\": { \"rights\": { \"d\": \"true\" } } }\n]\n</code></pre>\n\n<p>With this configuration the check would only succeed, if the user is in both groups ('sol.pubsec.admin.Record' and 'sol.pubsec.sysadmin.Record').\nThe value can also be the group ID.</p>\n</div></div></div><div id='cfg-wfStatus' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-cfg-wfStatus' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-cfg-wfStatus' class='name expandable'>wfStatus</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>\"wfStatus\": { \"onSuccess\": \"left\", \"onFailure\": \"right\" }\n\nThis object can override the default workflow states which...</div><div class='long'><p>\"wfStatus\": { \"onSuccess\": \"left\", \"onFailure\": \"right\" }</p>\n\n<p>This object can override the default workflow states which will be set after the check, if ths was used in a workflow node.\nIf the is <code>undefined</code>, the function will throw an exception in case the checke fails.</p>\n\n<ul>\n<li><code>onSuccess</code>: set as ELO_WF_STATUS after a successfull check</li>\n<li><code>onFailure</code>: set as ELO_WF_STATUS after a check failure</li>\n</ul>\n\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-S-className' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-property-S-className' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-property-S-className' class='name expandable'>$className</a> : Object<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'><p>{String}\nname of the class including its namespace.</p>\n</div><div class='long'><p>{String}\nname of the class including its namespace.</p>\n</div></div></div><div id='property-DEFAULT_FAILED_STATUS' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-property-DEFAULT_FAILED_STATUS' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-property-DEFAULT_FAILED_STATUS' class='name expandable'>DEFAULT_FAILED_STATUS</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Default workflow status in case of a check failure ...</div><div class='long'><p>Default workflow status in case of a check failure</p>\n<p>Defaults to: <code>&quot;FAILURE&quot;</code></p></div></div></div><div id='property-DEFAULT_PASSED_STATUS' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-property-DEFAULT_PASSED_STATUS' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-property-DEFAULT_PASSED_STATUS' class='name expandable'>DEFAULT_PASSED_STATUS</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Default workflow status in case of a successful check ...</div><div class='long'><p>Default workflow status in case of a successful check</p>\n<p>Defaults to: <code>&quot;SUCCESS&quot;</code></p></div></div></div><div id='property-logger' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.common.ix.FunctionBase' rel='sol.common.ix.FunctionBase' class='defined-in docClass'>sol.common.ix.FunctionBase</a><br/><a href='source/lib_sol.common.ix.FunctionBase.html#sol-common-ix-FunctionBase-property-logger' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.FunctionBase-property-logger' class='name expandable'>logger</a> : <a href=\"#!/api/sol.Logger\" rel=\"sol.Logger\" class=\"docClass\">sol.Logger</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'><p>The logger for the module</p>\n</div><div class='long'><p>The logger for the module</p>\n<p>Overrides: <a href=\"#!/api/sol.Base-property-logger\" rel=\"sol.Base-property-logger\" class=\"docClass\">sol.Base.logger</a></p></div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance methods</h3><div id='method-S-super' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-method-S-super' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-method-S-super' class='name expandable'>$super</a>( <span class='pre'>superClassName, functionName, arguments</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Calls a function of a superclass thanks to its name. ...</div><div class='long'><p>Calls a function of a superclass thanks to its name. Superclass must be part of the calling objects class hierarchy.</p>\n\n<p><b>Please note that calling superclass functions might lead to an infinitive loop if misused. Please validate that none class other than the classes superclass is passed as the superclass parent.</b></p>\n\n<pre><code>me.$super(superClassName, functionName, attributesArray);\n</code></pre>\n\n<p>A basic example of the initialize-function will look as followed.</p>\n\n<pre><code>me.$super(\"<a href=\"#!/api/sol.Base\" rel=\"sol.Base\" class=\"docClass\">sol.Base</a>\", \"initialize\", [config]);\nme.$super(\"<a href=\"#!/api/sol.Base\" rel=\"sol.Base\" class=\"docClass\">sol.Base</a>\", \"initialize\", arguments);\n</code></pre>\n\n<p>A word on performance: The superclass name must be passed since the js rhino engine does not allow accessing the caller of the callee due to performance reasons.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>superClassName</span> : String<div class='sub-desc'><p>name of the super class.</p>\n</div></li><li><span class='pre'>functionName</span> : String<div class='sub-desc'><p>name of the function that should be called.</p>\n</div></li><li><span class='pre'>arguments</span> : Object[]<div class='sub-desc'><p>list of arguments that should be passed to the function.</p>\n</div></li></ul></div></div></div><div id='method-checkRequirement' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-method-checkRequirement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-method-checkRequirement' class='name expandable'>checkRequirement</a>( <span class='pre'>requirement</span> ) : Boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Checks an inividual requirement. ...</div><div class='long'><p>Checks an inividual requirement.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>requirement</span> : Object<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-checkRequirements' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-method-checkRequirements' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-method-checkRequirements' class='name expandable'>checkRequirements</a>( <span class='pre'></span> ) : Boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Checks, if the configured requirements are meet. ...</div><div class='long'><p>Checks, if the configured requirements are meet.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-initialize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-method-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-method-initialize' class='name expandable'>initialize</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Initialize class. ...</div><div class='long'><p>Initialize class.\nThis function is called after the class was instantiated.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'></div></li></ul><p>Overrides: <a href=\"#!/api/sol.common.ix.FunctionBase-method-initialize\" rel=\"sol.common.ix.FunctionBase-method-initialize\" class=\"docClass\">sol.common.ix.FunctionBase.initialize</a></p></div></div></div><div id='method-process' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-method-process' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-method-process' class='name expandable'>process</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Performs the check. ...</div><div class='long'><p>Performs the check.</p>\n<p>Overrides: <a href=\"#!/api/sol.common.ix.FunctionBase-method-process\" rel=\"sol.common.ix.FunctionBase-method-process\" class=\"docClass\">sol.common.ix.FunctionBase.process</a></p></div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-onExitNode' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common.ix.functions.UserDispatcher'>sol.common.ix.functions.UserDispatcher</span><br/><a href='source/sol.common.ix.functions.UserDispatcher.html#sol-common-ix-functions-UserDispatcher-static-method-onExitNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common.ix.functions.UserDispatcher-static-method-onExitNode' class='name expandable'>onExitNode</a>( <span class='pre'>clInfo, userId, wFDiagram, nodeId</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>This function is called after a workflow node is deactivated. ...</div><div class='long'><p>This function is called after a workflow node is deactivated.</p>\n\n<p>The configuration for this function can be defined in the comments section of each workflow node and should be valid js.\nFor more information on using this function please refer to the functions documentation.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>clInfo</span> : de.elo.ix.client.ClientInfo<div class='sub-desc'><p>object with language, country and ticket</p>\n</div></li><li><span class='pre'>userId</span> : number<div class='sub-desc'><p>The calling users ID</p>\n</div></li><li><span class='pre'>wFDiagram</span> : de.elo.ix.client.WFDiagram<div class='sub-desc'>\n</div></li><li><span class='pre'>nodeId</span> : number<div class='sub-desc'><p>The deactivated node ID</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{"eloix":true}});