Ext.data.JsonP.sol_common_monitoring_as_collectors_NextRunCollector({"tagname":"class","name":"sol.common_monitoring.as.collectors.NextRunCollector","autodetected":{"aliases":true,"alternateClassNames":true,"extends":true,"mixins":true,"uses":true,"members":true,"code_type":true},"files":[{"filename":"lib_sol.common_monitoring.as.collectors.NextRunCollector.js","href":"lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector"}],"eloas":true,"requires":["sol.common.DateUtils","sol.common.SordUtils"],"aliases":{},"alternateClassNames":[],"extends":"sol.Base","mixins":[],"uses":[],"members":[{"name":"additionalSearchCriteria","tagname":"cfg","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"cfg-additionalSearchCriteria","meta":{}},{"name":"mask","tagname":"cfg","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"cfg-mask","meta":{}},{"name":"nextRunField","tagname":"cfg","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"cfg-nextRunField","meta":{}},{"name":"requiredConfig","tagname":"cfg","owner":"sol.Base","id":"cfg-requiredConfig","meta":{"protected":true}},{"name":"retrospection","tagname":"cfg","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"cfg-retrospection","meta":{}},{"name":"searchPeriodEndDays","tagname":"cfg","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"cfg-searchPeriodEndDays","meta":{}},{"name":"soltype","tagname":"cfg","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"cfg-soltype","meta":{}},{"name":"$className","tagname":"property","owner":"sol.Base","id":"property-S-className","meta":{"protected":true}},{"name":"defaultNextRunField","tagname":"property","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"property-defaultNextRunField","meta":{"private":true}},{"name":"defaultRetrospectionTime","tagname":"property","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"property-defaultRetrospectionTime","meta":{"private":true}},{"name":"defaultSordZ","tagname":"property","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"property-defaultSordZ","meta":{"private":true}},{"name":"logger","tagname":"property","owner":"sol.Base","id":"property-logger","meta":{"protected":true}},{"name":"utils","tagname":"property","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"property-utils","meta":{"private":true}},{"name":"$super","tagname":"method","owner":"sol.Base","id":"method-S-super","meta":{"private":true}},{"name":"createFindInfo","tagname":"method","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"method-createFindInfo","meta":{"private":true}},{"name":"dispose","tagname":"method","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"method-dispose","meta":{}},{"name":"getLookupPeriod","tagname":"method","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"method-getLookupPeriod","meta":{"private":true}},{"name":"getResults","tagname":"method","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"method-getResults","meta":{}},{"name":"hasMoreResults","tagname":"method","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"method-hasMoreResults","meta":{}},{"name":"initialize","tagname":"method","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"method-initialize","meta":{"private":true}},{"name":"postProcess","tagname":"method","owner":"sol.common_monitoring.as.collectors.NextRunCollector","id":"method-postProcess","meta":{}}],"code_type":"ext_define","id":"class-sol.common_monitoring.as.collectors.NextRunCollector","short_doc":"Collects all elements with a due date. ...","classIcon":"icon-class","superclasses":["sol.Base"],"subclasses":[],"mixedInto":[],"parentMixins":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/sol.Base' rel='sol.Base' class='docClass'>sol.Base</a><div class='subclass '><strong>sol.common_monitoring.as.collectors.NextRunCollector</strong></div></div><h4>Requires</h4><div class='dependency'><a href='#!/api/sol.common.DateUtils' rel='sol.common.DateUtils' class='docClass'>sol.common.DateUtils</a></div><div class='dependency'><a href='#!/api/sol.common.SordUtils' rel='sol.common.SordUtils' class='docClass'>sol.common.SordUtils</a></div><h4>Files</h4><div class='dependency'><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector' target='_blank'>lib_sol.common_monitoring.as.collectors.NextRunCollector.js</a></div></pre><div class='doc-contents'><p>Collects all elements with a due date.</p>\n\n<p>Retrospection: searches for next run dates in the past, so it doesn't miss any object in case, one or more executions went wrong.</p>\n\n<p>The search can be limited to a specific mask by configuration.\nThe default retrospection time in days can be overridden by configuration.\nThe default field containing the due date can be overridden by configuration.</p>\n\n<pre><code>var collector = <a href=\"#!/api/sol-static-method-create\" rel=\"sol-static-method-create\" class=\"docClass\">sol.create</a>(\"<a href=\"#!/api/sol.common_monitoring.as.collectors.NextRunCollector\" rel=\"sol.common_monitoring.as.collectors.NextRunCollector\" class=\"docClass\">sol.common_monitoring.as.collectors.NextRunCollector</a>\", {\n  soltype: \"CONTRACT\"\n  mask: \"My Mask\",\n  retrospection: 27,\n  nextRunField: \"MY_DUE_DATE\"\n});\n</code></pre>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-additionalSearchCriteria' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-cfg-additionalSearchCriteria' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-additionalSearchCriteria' class='name expandable'>additionalSearchCriteria</a> : Object[]<span class=\"signature\"></span></div><div class='description'><div class='short'>(optional) additional criteria which will be used in the initial search for sords. ...</div><div class='long'><p>(optional) additional criteria which will be used in the initial search for sords. multiple criterions will be \"AND\"ed</p>\n<ul><li><span class='pre'>Object</span> : Object<div class='sub-desc'><p>the criterion</p>\n<ul><li><span class='pre'>key</span> : String<div class='sub-desc'><p>the GRP-field name</p>\n</div></li><li><span class='pre'>value</span> : String|Array<div class='sub-desc'><p>the value, which should be searched for</p>\n</div></li></ul></div></li></ul></div></div></div><div id='cfg-mask' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-cfg-mask' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-mask' class='name expandable'>mask</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>(optional) If set, due items will be filtered by mask</p>\n</div><div class='long'><p>(optional) If set, due items will be filtered by mask</p>\n</div></div></div><div id='cfg-nextRunField' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-cfg-nextRunField' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-nextRunField' class='name expandable'>nextRunField</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>(optional) Spezifies, which field is used to search for the due items ...</div><div class='long'><p>(optional) Spezifies, which field is used to search for the due items</p>\n<p>Defaults to: <code>&quot;NEXT_RUN&quot;</code></p></div></div></div><div id='cfg-requiredConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-cfg-requiredConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-cfg-requiredConfig' class='name expandable'>requiredConfig</a> : Array<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>List of required config properties. ...</div><div class='long'><p>List of required config properties. <a href=\"#!/api/sol.Base-method-initialize\" rel=\"sol.Base-method-initialize\" class=\"docClass\">sol.Base.initialize</a> throws an exception if one of the properties is null or undefined.</p>\n</div></div></div><div id='cfg-retrospection' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-cfg-retrospection' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-retrospection' class='name expandable'>retrospection</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'>(optional) Spezifies, how long the rule looks back for next_run dates from now (in days) (see also defaultRetrospecti...</div><div class='long'><p>(optional) Spezifies, how long the rule looks back for next_run dates from now (in days) (see also <a href=\"#!/api/sol.common_monitoring.as.collectors.NextRunCollector-property-defaultRetrospectionTime\" rel=\"sol.common_monitoring.as.collectors.NextRunCollector-property-defaultRetrospectionTime\" class=\"docClass\">defaultRetrospectionTime</a>)</p>\n<p>Defaults to: <code>365</code></p></div></div></div><div id='cfg-searchPeriodEndDays' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-cfg-searchPeriodEndDays' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-searchPeriodEndDays' class='name expandable'>searchPeriodEndDays</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'>(optional) Spezifies the end of the search period, e.g. ...</div><div class='long'><p>(optional) Spezifies the end of the search period, e.g. <code>1</code> for <code>until yesterday</code></p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='cfg-soltype' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-cfg-soltype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-soltype' class='name expandable'>soltype</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>(optional) If set, due items will be filtered by solution type (GRP-field <code>SOL_TYPE</code>)</p>\n</div><div class='long'><p>(optional) If set, due items will be filtered by solution type (GRP-field <code>SOL_TYPE</code>)</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-S-className' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-property-S-className' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-property-S-className' class='name expandable'>$className</a> : Object<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'><p>{String}\nname of the class including its namespace.</p>\n</div><div class='long'><p>{String}\nname of the class including its namespace.</p>\n</div></div></div><div id='property-defaultNextRunField' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-property-defaultNextRunField' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-property-defaultNextRunField' class='name expandable'>defaultNextRunField</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>&quot;NEXT_RUN&quot;</code></p></div></div></div><div id='property-defaultRetrospectionTime' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-property-defaultRetrospectionTime' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-property-defaultRetrospectionTime' class='name expandable'>defaultRetrospectionTime</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>365</code></p></div></div></div><div id='property-defaultSordZ' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-property-defaultSordZ' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-property-defaultSordZ' class='name expandable'>defaultSordZ</a> : de.elo.ix.client.SordZ<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n</div></div></div><div id='property-logger' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-property-logger' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-property-logger' class='name expandable'>logger</a> : <a href=\"#!/api/sol.Logger\" rel=\"sol.Logger\" class=\"docClass\">sol.Logger</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Logger for this class instance. ...</div><div class='long'><p>Logger for this class instance. This logger is created by <a href=\"#!/api/sol.Base-method-initialize\" rel=\"sol.Base-method-initialize\" class=\"docClass\">sol.Base.initialize</a>.</p>\n\n<p>Please see <a href=\"#!/api/sol.Logger\" rel=\"sol.Logger\" class=\"docClass\">sol.Logger</a> class documentation for more information.</p>\n<p>Overrides: <a href=\"#!/api/sol.common.ix.FunctionBase-property-logger\" rel=\"sol.common.ix.FunctionBase-property-logger\" class=\"docClass\">sol.common.ix.FunctionBase.logger</a>, <a href=\"#!/api/sol.common.ix.ServiceBase-property-logger\" rel=\"sol.common.ix.ServiceBase-property-logger\" class=\"docClass\">sol.common.ix.ServiceBase.logger</a></p></div></div></div><div id='property-utils' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-property-utils' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-property-utils' class='name expandable'>utils</a> : Object<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-S-super' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/sol.Base' rel='sol.Base' class='defined-in docClass'>sol.Base</a><br/><a href='source/lib_Class.html#sol-Base-method-S-super' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.Base-method-S-super' class='name expandable'>$super</a>( <span class='pre'>superClassName, functionName, arguments</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Calls a function of a superclass thanks to its name. ...</div><div class='long'><p>Calls a function of a superclass thanks to its name. Superclass must be part of the calling objects class hierarchy.</p>\n\n<p><b>Please note that calling superclass functions might lead to an infinitive loop if misused. Please validate that none class other than the classes superclass is passed as the superclass parent.</b></p>\n\n<pre><code>me.$super(superClassName, functionName, attributesArray);\n</code></pre>\n\n<p>A basic example of the initialize-function will look as followed.</p>\n\n<pre><code>me.$super(\"<a href=\"#!/api/sol.Base\" rel=\"sol.Base\" class=\"docClass\">sol.Base</a>\", \"initialize\", [config]);\nme.$super(\"<a href=\"#!/api/sol.Base\" rel=\"sol.Base\" class=\"docClass\">sol.Base</a>\", \"initialize\", arguments);\n</code></pre>\n\n<p>A word on performance: The superclass name must be passed since the js rhino engine does not allow accessing the caller of the callee due to performance reasons.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>superClassName</span> : String<div class='sub-desc'><p>name of the super class.</p>\n</div></li><li><span class='pre'>functionName</span> : String<div class='sub-desc'><p>name of the function that should be called.</p>\n</div></li><li><span class='pre'>arguments</span> : Object[]<div class='sub-desc'><p>list of arguments that should be passed to the function.</p>\n</div></li></ul></div></div></div><div id='method-createFindInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-method-createFindInfo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-createFindInfo' class='name expandable'>createFindInfo</a>( <span class='pre'></span> ) : de.elo.ix.client.FindInfo<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Creates a FindInfo object for the search using nextRunField, getLookupPeriod and mask. ...</div><div class='long'><p>Creates a FindInfo object for the search using <a href=\"#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-nextRunField\" rel=\"sol.common_monitoring.as.collectors.NextRunCollector-cfg-nextRunField\" class=\"docClass\">nextRunField</a>, <a href=\"#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-getLookupPeriod\" rel=\"sol.common_monitoring.as.collectors.NextRunCollector-method-getLookupPeriod\" class=\"docClass\">getLookupPeriod</a> and <a href=\"#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-mask\" rel=\"sol.common_monitoring.as.collectors.NextRunCollector-cfg-mask\" class=\"docClass\">mask</a>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>de.elo.ix.client.FindInfo</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-dispose' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-method-dispose' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-dispose' class='name expandable'>dispose</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Performes cleanup by closeing the search and removing the current working set. ...</div><div class='long'><p>Performes cleanup by closeing the search and removing the current working set.</p>\n</div></div></div><div id='method-getLookupPeriod' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-method-getLookupPeriod' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-getLookupPeriod' class='name expandable'>getLookupPeriod</a>( <span class='pre'></span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Calculates the lookup period for the search using retrospection. ...</div><div class='long'><p>Calculates the lookup period for the search using <a href=\"#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-retrospection\" rel=\"sol.common_monitoring.as.collectors.NextRunCollector-cfg-retrospection\" class=\"docClass\">retrospection</a>.\nThe period String has the following form:</p>\n\n<pre><code>\"YYYYMMDD...YYYYMMDD\"\n</code></pre>\n\n<p>where the second ISO string is always the current date.\nIf <a href=\"#!/api/sol.common_monitoring.as.collectors.NextRunCollector-cfg-retrospection\" rel=\"sol.common_monitoring.as.collectors.NextRunCollector-cfg-retrospection\" class=\"docClass\">retrospection</a> is set to 0, just the current date will be returned in ISO form.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getResults' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-method-getResults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-getResults' class='name expandable'>getResults</a>( <span class='pre'></span> ) : de.elo.ix.client.Sord[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieves the next batch of work items. ...</div><div class='long'><p>Retrieves the next batch of work items.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>de.elo.ix.client.Sord[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-hasMoreResults' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-method-hasMoreResults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-hasMoreResults' class='name expandable'>hasMoreResults</a>( <span class='pre'></span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks, if this collector has additional results. ...</div><div class='long'><p>Checks, if this collector has additional results.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-initialize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-method-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-initialize' class='name expandable'>initialize</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Initialize class. ...</div><div class='long'><p>Initialize class.\nThis function is called after the class was instantiated.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>parameters as defined. See documentation for more details.</p>\n\n</div></li></ul><p>Overrides: <a href=\"#!/api/sol.Base-method-initialize\" rel=\"sol.Base-method-initialize\" class=\"docClass\">sol.Base.initialize</a></p></div></div></div><div id='method-postProcess' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='sol.common_monitoring.as.collectors.NextRunCollector'>sol.common_monitoring.as.collectors.NextRunCollector</span><br/><a href='source/lib_sol.common_monitoring.as.collectors.NextRunCollector.html#sol-common_monitoring-as-collectors-NextRunCollector-method-postProcess' target='_blank' class='view-source'>view source</a></div><a href='#!/api/sol.common_monitoring.as.collectors.NextRunCollector-method-postProcess' class='name expandable'>postProcess</a>( <span class='pre'>sord, results</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Checks, if a result set contains any instruction for further executions (nextRun) and updates a sord with the most re...</div><div class='long'><p>Checks, if a result set contains any instruction for further executions (<code>nextRun</code>) and updates a sord with the most recent.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sord</span> : de.elo.ix.client.Sord<div class='sub-desc'>\n</div></li><li><span class='pre'>results</span> : Object[]<div class='sub-desc'><p>The result object returned by an <code>analyzer</code></p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{"eloas":true}});